<?php
use \Core\View;
use Helpers\Url;
use Core\Language;
use Helpers\Form;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
*
* index.php
*
* @author Prashanth Kumar B - prashanth.kumar@parablu.com
* @version 2.0
* @date 7/10/15
* @time 11:55 AM
*
*/
if(googleAuthenticator == true){
include_once('/var/www/portal/app/views/login/GoogleAuthenticator.php');
$ga = new GoogleAuthenticator();
$website = MFATITLE; //Your Website
$title = $data['selectedUser'];
$secret = $data['secret'];
$qrCodeUrl = $ga->getQRCodeGoogleUrl($title, $secret,$website);
}
?>
<div class="container">
    <div>
	<?php if($data['lastLoginTime'] != "nil"){ ?>
	<div class="col-lg-6" style="float:right;margin-top: 5px;">
		<span style="font-size: 12px;float:right;"><?php if($data['lastLoginTime']) { ?>Last Login Time : <?php echo $data['lastLoginTime']; } ?></span>
	</div>
	<?php } ?>
        <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><h3><?=$data['title']?></h3></li>
		<!--<li><?=$data['crumb1']?></li>-->
		<li><?='Assets'?></li>
            </ol>
        </div>
        <div class="col-lg-6">
        </div>
    </div>
</div>
<div class="main" ng-controller="BackupController">
    <span class="d-none currentPage"><?='devices'?></span>
    <span class="d-none csrf_token"><?=$data['csrf_token']?></span>
    <span class="d-none selectedUser"><?=$data['selectedUser']?></span>
    <span class="d-none userType"><?=$data['userType']?></span>
    <span class="forceChangePasswordAtFirstTimeLogin d-none"><?=$data['forceChangePasswordAtFirstTimeLogin']?></span>
    <span class="forceSessionLogoutAfterChangepassword d-none"><?=$data['forceSessionLogoutAfterChangepassword']?></span>
    <span class="d-none MSP_Environment_Enabled"><?=$data['MSP_Environment_Enabled']?></span>
    <span class="d-none firstLogin"><?=$data['firstLogin']?></span>
    <div class="row profile">
	<?php if($data['MSP_Environment_Enabled'] == 'No'){?>
        <div class="col-lg-1 col-md-1 col-sm-1">
            <?php if(!isMobile()){ View::renderTemplate('partials/sideBar', $data); }?>
        </div>
	<div class="col-lg-11 col-md-11 col-sm-11">
	<?php } else { ?>
        <div class="col-lg-12 col-md-12 col-sm-12">
	<?php } ?>
            <div class="panel panel-default no-box-shadow panel-actions">
                <div class="panel-body">
                    <ul class="nav navbar-nav">
                        <li class="listOfDevices"><a style="color: #000 !important;">List of All Assets</a></li>
                    </ul>
                </div>
            </div>
            <div class="panel panel-default files-panel no-box-shadow">
                <div class="status" style="display: none; text-align: center;">Loading ...</div>
                <div class="table-responsive devicesList" style="display: none;">
                    <table class="table table-striped table-hover files-table">
                        <thead>
                        <tr>
                            <th class="clickAble" ng-click="sortType = 'name'; sortReverse = !sortReverse">
                                Asset
                                <span ng-show="sortType == 'name' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'name' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
                            <th class="clickAble" ng-click="sortType = 'status'; sortReverse = !sortReverse">
                                Status
                                <span ng-show="sortType == 'status' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'status' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
                            <th class="clickAble" ng-click="sortType = 'createdOn'; sortReverse = !sortReverse">
                                Asset Configured on
                                <span ng-show="sortType == 'createdOn' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'createdOn' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
                            <th class="clickAble" ng-click="sortType = 'lastSuccessfullBackup'; sortReverse = !sortReverse">
                                Last Successful Backup
                                <span ng-show="sortType == 'lastSuccessfullBackup' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'lastSuccessfullBackup' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
			    <th class="text-center clickAble" ng-click="sortType = 'lastSuccessfullBackup'; sortReverse = !sortReverse">
                                Action
                                <span ng-show="sortType == 'lastSuccessfullBackup' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'lastSuccessfullBackup' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
                            <?php if(\Helpers\Auth::checkCloudPermission('backup')){ ?>
                                <?php if(RESTORE_FROM_PORTAL){ ?>
                                    <th>Actions</th>
                                <?php }?>
                            <?php } ?>
                        </tr>
                        </thead>
                        <tbody class="clickAble">
                        <tr ng-repeat="value in devices | orderBy:sortType:sortReverse track by $index">
                            <td ng-if="value.deviceType !='SHAREPOINT'" ng-click="openFilesPage(value.id, value.nameEnc, value.uuId, value.deviceType, value.icon, value.userName, value.blocked, value.unusualActivity)" ng-cloak><i class="fa fa-{{ value.icon }} fa-1x"></i> {{ value.name }}</td>
			    <td ng-if="value.deviceType =='SHAREPOINT'" ng-click="openFilesPage(value.id, value.nameEnc, value.uuId, value.deviceType, value.icon, value.userName, value.blocked, value.unusualActivity)" ng-cloak><img src="<?=Url::templatePath()?>images/SharePoint-Logo.wine.svg?>" style="height:40px;width:40px;"> {{ value.name }}</td>
                            <td ng-click="openFilesPage(value.id, value.nameEnc, value.uuId, value.deviceType, value.icon, value.userName, value.blocked, value.unusualActivity)" ng-cloak>{{ value.status }}</td>
                            <td ng-click="openFilesPage(value.id, value.nameEnc, value.uuId, value.deviceType, value.icon, value.userName, value.blocked, value.unusualActivity)" ng-cloak>{{ value.createdOn}}</td>
			    <td ng-click="openFilesPage(value.id, value.nameEnc, value.uuId, value.deviceType, value.icon, value.userName, value.blocked, value.unusualActivity)" ng-cloak>{{ value.lastSuccessfullBackup}}</td>
			    <td class="text-center">
				<a class="btn btn-small btn-primary" href="<?=Url::basePath('user/backupHistory/{{value.userNameEnc}}/{{ value.uuId }}/{{ value.nameEnc }}')?>" style="margin: 5px;"><?=Language::show('backup_activity_history', 'keywords');?></a>
				<a class="btn btn-small btn-primary" ng-click="goToRestore(value.uuId, value.deviceType, value.icon, value.nameEnc, value.userNamePlain, value.blocked, value.unusualActivity)" style="margin: 5px;"><?=Language::show('Restore entire asset', 'keywords');?></a>
			    </td>
                            <?php if(\Helpers\Auth::checkCloudPermission('backup')){ ?>
                                <?php if(RESTORE_FROM_PORTAL){ ?>
                                    <th ng-if="value.blocked == 'false'"><a ng-click="initiateRestoreBackup(value.uuId, value.name, $index)" class="btn btn-primary btn-small initiateRestoreBtn{{$index}}">Initiate Restore</a></th>
                                    <th ng-if="value.blocked == 'true'">-</th>
                                <?php }?>
                            <?php } ?>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php if($data['MSP_Environment_Enabled'] == 'Yes' && $data['popup'] != 'visible'){?>
<!--change password msp user start-->
<div class="modal fade" id="changePassword" tabindex="-1">
                                <div class="modal-dialog">
                                  <!-- Modal content-->
                                  <div class="modal-content">
                                    <?= Form::open(array(
                                                'ng-submit' => 'changePasswordMsp()',
                                                'method' => 'post',
                                                'id' => 'changePasswordForm',
                                                'csrf' => $data['csrf_token'],
                                                'autocomplete' => 'off',
                                                'data-parsley-validate' => true
                                     )); ?>
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel">Change Password</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    </div>
                                    <div class="modal-body">
                                        <input type="text" class="form-control d-none" name="username1" id="username1" value="<?=$data['userName']?>">
                                        <input type="text" class="form-control d-none" name="recoverykey1" id="recoverykey1" value="<?=$data['recoverykey']?>">
                                        <input type="text" class="form-control d-none" name="googleSecretKey1" id="googleSecretKey1" value="<?=$data['googleSecretKey']?>">
                                    <div class="form-group">
                                                <label for="password">Enter Old Password</label>
                                                <input type="password" class="form-control" name="oldpassword" id="oldpassword" placeholder="<?=Language::show('enter_your', 'keywords');?> <?=Language::show('old', 'keywords');?> <?=Language::show('password', 'keywords');?>" autocomplete="off">
                                         </div>
                                      <div class="form-group">
                                                    <label for="password">Enter New Password</label>
                                                    <?php if(complexPassword == true) { ?>
						    <input type="password" name="password" class="form-control" id="password" placeholder="Enter a Password" data-parsley-minlength="6" data-parsley-required data-parsley-pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?!.*[!#\$%&\?])^\D" data-parsley-pattern-message="Password Should Contain one number, one uppercase, one lowercase and cannot start with a number (Special Characters Allowed '@' '.')" data-parsley-trigger="change">
                                                    <?php } else { ?>
                                                    <input type="password" class="form-control" name="password" id="password" placeholder="<?=Language::show('enter_your', 'keywords');?> <?=Language::show('new', 'keywords');?> <?=Language::show('password', 'keywords');?>" autocomplete="off" data-parsley-required data-parsley-minlength="6">
                                                    <?php } ?>

                                                </div>
                                                <div class="form-group">
                                                    <label for="rePassword">Re Type Password</label>
                                                    <input type="password" name="rePassword" class="form-control" id="rePassword" placeholder="Re-Type the New Password" data-parsley-equalto="#password" data-parsley-trigger="change" data-parsley-required>
                                                </div>
                                            <div id="captchaDiv">
                            <?php
                            if(enableRecaptcha == true){
                            global $image;
                            $image = imagecreatetruecolor(200, 50) or die("Cannot Initialize new GD image stream");
                            $background_color = imagecolorallocate($image, 255, 255, 255);
                            $text_color = imagecolorallocate($image, 0, 255, 255);
                            $line_color = imagecolorallocate($image, 64, 64, 64);
                            $pixel_color = imagecolorallocate($image, 0, 0, 255);
                            imagefilledrectangle($image, 0, 0, 200, 50, $background_color);
                            for ($i = 0; $i < 3; $i++) {
                                imageline($image, 0, rand() % 50, 200, rand() % 50, $line_color);
                            }
                            for ($i = 0; $i < 1000; $i++) {
                                imagesetpixel($image, rand() % 200, rand() % 50, $pixel_color);
			    }
                            $letters = $data['letter'];
                            //$letters = $data['letter'];
                            $len = strlen($letters);
                            $letter = $letters[rand(0, $len - 1)];
                            $text_color = imagecolorallocate($image, 0, 0, 0);
                            $word = "";
                            $font = '/var/www/portal/app/templates/default/css/fonts/monofont.ttf';
                            for ($i = 0; $i < strlen($letters); $i++) {
                                    $letter = $letters[$i];
                                    $letter = trim($letter);
                        //          imagestring($image, 8, 70 + ($i * 15), 20, $letter, $text_color);
                                    imagettftext($image, 36, 0, 70 + ($i * 15), 35, $text_color, $font, $letter);
                                $word .= $letter;
                            }
                            $images = glob("*.png");
                            foreach ($images as $image_to_delete) {
                                @unlink($image_to_delete);
                                }
                            imagepng($image, "image" . $data['count'] . ".png");
                            }
                        ?>
                        </div>
                        <?php if(enableRecaptcha == true){ ?>
                                <div class="from-group">
                                    <label>Enter captcha shown below </label>
                                    <input class="form-control" type="text" id="code" name="code" required autocomplete="off"/>
                                    <!--<img id="captchaImage" src="image<?php echo $data['count'] ?>.png">-->
                                    <span id="captchaSpan">
                                        <img id="captchaImage" src="https://<?=PARACLOUD_IP?>/portal/image<?=$data['count']?>.png">
                                    </span>
				    <span id="refreshSpan"><a class="loginCaptchaRefresh" id="loginCaptchaRefresh" style="margin-left:10px;"><i class="glyphicon glyphicon-refresh" title="refresh captcha"></i></a></span>
                                </div>
                        <?php }else{ ?>
                                <input class="form-control d-none" type="text" id="code" name="code" value="<?=$data['letter']?>" autocomplete="off"/>
                        <?php } ?>
                                    </div>
                                    <div class="modal-footer">
                                      <button type="button" class="btn btn-default" data-dismiss="modal"><?=Language::show('cancel', 'keywords');?></button>
                                      <button type="submit" id="changePasswordBtn" class="btn btn-primary"><?=Language::show('save', 'keywords');?></button>
                                    </div>
                                    <?= Form::close(); ?>
                                  </div>

                                </div>
                            </div>
<!--change password msp user end-->
<?php } ?>
    <!--modal start-->
<?php if($data['popup'] == 'visible') { ?>
<div class="modal fade" id="changePasswordForFirstloginConsent" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static" aria-labelledby="myModalLabel">
                <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" id="myModalLabel">Change Password Consent</h4>
                            <!--<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>-->
                            </div>
                            <div class="modal-body">
                                <p>Please change password to proceed further.</p>
                            </div>
                            <div class="modal-footer">
                                <!--<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>-->
                                <a class="btn btn-primary" id="proceedBtn" ng-click="proceedForChangePassword()">Proceed</a>
                            </div>
                        </div>
                </div>
            </div>
<?php } ?>
<!--modal ends-->
<!--modal-->
	<?php if($data['popup'] == 'visible') { ?>
            <div class="modal fade" id="changePasswordForFirstlogin" role="dialog" data-keyboard="false" data-backdrop="static">
                <div class="modal-dialog">
                <!-- Modal content-->
                        <div class="modal-content">
                        <?=Form::open(array(
                            		'ng-submit' => 'changePasswordForFirstlogin()',
                            		'method' => 'post',
                            		'id' => 'changePasswordForFirstlogin',
                            		'csrf' => $data['csrf_token'],
                            		'autocomplete' => 'off',
                            		'data-parsley-validate' => true
                        		));
                        ?>
        		<div class="modal-header">
          			<h4 class="modal-title">Change Password</h4>
        		</div>
        		<div class="modal-body">
	                        <div class="form-group">
	                        	<label for="passwordGuest">Password</label>
	                        	<?php if(complexPassword == true) { ?>
	                        		<input type="password" class="form-control" name="password" id="password" placeholder="<?=Language::show('enter_your', 'keywords');?> <?=Language::show('password', 'keywords');?>" required autocomplete="off"  data-parsley-minlength="6" data-parsley-required data-parsley-pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?!.*[!#\$%&\?])^\D" data-parsley-pattern-message="Password Should Contain one number, one uppercase, one lowercase and cannot start with a number (Special Characters Allowed '@' '.')" data-parsley-trigger="change">
						<span id="passwordError" style="color: #f55753;font-size: 0.9em;"></span>
	                        	<?php } else { ?>
	                        		<input type="password" class="form-control" name="password" id="password" placeholder="<?=Language::show('enter_your', 'keywords');?> <?=Language::show('password', 'keywords');?>" required autocomplete="off"  data-parsley-required data-parsley-minlength="6">
						<span id="passwordError" style="color: #f55753;font-size: 0.9em;"></span>
	                        	<?php } ?>
                        	</div>
                        	<div class="form-group">
                            		<label for="rePasswordGuest">Re Type Password</label>
                            		<input type="password" class="form-control" name="rePassword" id="rePassword" placeholder="<?=Language::show('rePassword', 'keywords');?>" required autocomplete="off" data-parsley-required data-parsley-equalto="#password" data-parsley-trigger="change">
					<span id="rePasswordError" style="color: #f55753;font-size: 0.9em;"></span>
                        	</div>
				<?php if(multifactorAuthWithAccessCode == true){ ?>
                        	<div class="form-group">
                                        <label for="accessKey">Enter One Time Access Code sent to the registered Email address - <a href="" id="generateOtpLink" style="cursor:pointer;">Resend One Time Access Code</a></label>
                                        <input type="text" class="form-control" name="accessKey" id="accessKey" placeholder="<?=Language::show('Enter', 'keywords');?> <?=Language::show('One Time Access Code', 'keywords');?>" required autocomplete="off">
                                </div>
                        	<?php } ?>
				<?php if(googleAuthenticator == true && multifactorAuthWithAccessCode == false){ ?>
				<!--collapse start-->
				<div class="form-group">
					<a ng-click="requestQR()" href="" style="margin-top:25px;">Request QR Code</a>
                                	<!--<a data-toggle="collapse" href="#qrCollapse" role="button" aria-expanded="false" aria-controls="qrCollapse"><span class="aa">Request QR Code</span><span class="aa hide">Request QR Code</span></a>-->
                            	</div>
				<div class="col-lg-12 collapse" id="qrCollapse" style="border: 1px solid rgb(242, 115, 49);">
					<div class="row" style="margin-bottom:10px;">
                                		<div class="col-lg-8">
                                    			<label for="mailId"><?=Language::show('Email Id', 'keywords');?></label>
                                    			<input type="text" class="form-control" name="mailId" id="mailId" value="<?=$_SESSION['emailId']?>" placeholder="<?=Language::show('enter_your', 'keywords');?> <?=Language::show('Email Id', 'keywords');?>" autocomplete="off" style="opacity:0.5;pointer-events:none;">
                                            	</div>
						<div class="col-lg-2">
						    <a type="button" class="btn btn-success" ng-click="requestQR()" style="margin-top:25px;"><?=Language::show('Submit', 'share');?></a>
						</div>
						<div class="col-lg-12">
						    <span id="statussuccess" style="color: #4faf50;font-size: 0.9em;"></span>
						    <span id="statuserror" style="color: #f55753;font-size: 0.9em;"></span>
						</div>
					</div>
                            	</div>
				<!--collapse end-->
				<center class="hide"><div id="img">
                                <img src='<?php echo $qrCodeUrl; ?>' />
                                </div></center>
				<?php } ?>
        		</div>
        		<div class="modal-footer">
          			<?php if(googleAuthenticator == true){ ?>
          				<p style="float: left;">Note: This user account has been enabled for multi-factor authentication.  Please use an authenticator app on your smartphone to scan the QR code sent to your Email Id and generate a one-time key.</p>
				<?php } else { ?>
        				<p style="float: left;">Note: Please change password to proceed further.</p>
				<?php } ?>
          			<?php if(googleAuthenticator == true){ ?>
                			<a id="changePasswordBtnGuest" ng-bootbox-confirm="<h4>You may use Microsoft or Google Authenticator to set up Multi-Factor Authentication (MFA) using the QR code sent to your Email Id.  If you have not requested for QR code yet, please click Cancel and get QR code from 'Request QR Code' first.</h4>"
                                       ng-bootbox-confirm-action="changePasswordForFirstlogin()"
                                       ng-bootbox-confirm-action-cancel="" class="btn btn-primary"> <?=Language::show('save', 'keywords');?></a>
          			<?php } else { ?>
                			<button type="submit" id="changePasswordBtnGuest" class="btn btn-primary"><?=Language::show('save', 'keywords');?></button>
          			<?php } ?>
        		</div>
        		<?=Form::close();?>
      		</div>
      	</div>
  </div>
  <?php } ?>
<!--modal-->
<!--modal-start-->
<?php if($data['MSP_Environment_Enabled'] == 'Yes'){?>
<!--<div class="modal fade" id="storylane" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static" aria-labelledby="myModalLabel">
                <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" id="myModalLabel">Let's do it..!</h4>
                            </div>
                            <div class="modal-body">
                                <p>Taking backups is not possible without an active device Allow me to guide you through the agent installation process.</p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Skip</button>
                                <a class="btn btn-primary" ng-click="proceedForStorylane()">Proceed</a>
                            </div>
                        </div>
                </div>
            </div>-->
<div class="modal fade" id="storylane" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static" aria-labelledby="myModalLabel">
                <div class="modal-dialog">
                        <div class="modal-content" style="width:80% !important;">
                            <!--<div class="modal-header">
                                <h4 class="modal-title" id="myModalLabel">Let's do it..!</h4>
                            </div>-->
                            <div class="modal-body" style="border-radius:10px;">
<!--<img style="width: -webkit-fill-available;" src="<?=Url::templatePath()?>images/New.gif" />-->
<!--<img style="width: -webkit-fill-available;height:400px!important;" src="<?=Url::templatePath()?>images/story_2.gif" />-->
<center><img src="<?=Url::templatePath()?>images/story_4.gif" /></center>				    
                    <div class="col-lg-12 row checkrow">
<?php if(is_file("/var/lib/parablusys/clients/Parablu_EPA.exe")){ ?>
                        <div class="col-lg-6" style="text-align:center;">
                            <input id="windows" name="optradio" type="radio" value="windows" checked>
                            <label><?=Language::show('Windows Os', 'keywords');?></label>
                        </div>
<?php } ?>
<?php if(is_file("/var/lib/parablusys/clients/Parablu_EPA.dmg")){ ?>
                        <div class="col-lg-6" style="text-align:center;">
                            <input id="mac" name="optradio" type="radio" value="mac">
                            <label><?=Language::show('Mac Os', 'keywords');?></label>
                        </div>
<?php } ?>
                        <!--<div class="col-lg-6" style="text-align:center;">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Skip</button>
                        </div>
                        <div class="col-lg-6" style="text-align:center;">
                            <a class="btn btn-primary" ng-click="proceedForStorylane()">Proceed</a>
                        </div>-->
                    </div>

                            </div>
                            <div class="modal-footer" style="justify-content: center !important;">
				<button type="button" class="btn-grad" data-dismiss="modal">Skip</button>
                                <a class="btn-grad" ng-click="proceedForStorylane1()" style="cursor:pointer;">Let's do it</a>
                            </div>
                        </div>
                </div>
            </div>
<?php } ?>
<!--modal-start-->
    <div class="modal fade restoreBucket">
        <div class="modal-dialog">
            <div class="modal-content">
                <form class="form-inline" data-parsley-validate>
                    <div class="modal-header" style="margin-bottom: -10px;">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">Restore Bucket</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="">
                                    <br/>
                                    <div class="form-group col-lg-12">
                                        <label for="searchDeviceName">Select a Device to restore on:</label>
                                        <select class="searchDeviceName" style="width: 100%;" id="deviceName" ng-model="restoreBucket.deviceName" data-parsley-trigger="change"></select>
                                    </div>
                                    <div class="form-group col-lg-12">
                                        <br/>
                                        <label for="restoreAllVersions">Do you want to restore all versions</label>
                                        <select class="form-control selectPicker" name="restoreAllVersions" id="restoreAllVersions" required="">
                                            <option value="true"><?=Language::show('Yes', 'keywords')?></option>
                                            <option value="false" selected><?=Language::show('No', 'keywords')?></option>
                                        </select>
                                    </div>
                                    <div class="form-group col-lg-12">
                                        <br/>
                                        <label for="destinationPath">Enter a Destination Path(optional)</label>
                                        <input type="text" class="form-control" style="width: 100%;" ng-model="restoreBucket.destinationPath" id="destinationPath" placeholder="Enter Destination Path" />
                                        <span class="help-block">Note:- If Destination Path is not entered file will be restored on to the same location, as where it was backuped up from.</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" ng-click="sendFilesForRestore(restoreBucket.deviceName, restoreBucket.destinationPath)"  class="btn btn-default">Initiate Restore</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
<?php if($data['MSP_Environment_Enabled'] == 'Yes'){?>
<div id="overlayNoDevice" style="display:none;"><div class="hole"></div>
   <div class="bottom-arrow hide" style="position: absolute;background-color: white;width: 350px;padding: 20px;height: 150px;border-radius: 10px;right:0;top:100px;">
        <p>Click the download icon &amp; select your preferred OS.</p>
        <div class="col-lg-12">
                <button class="btn btn-success pull-right" onclick="finishForStorylane()" style="margin:5px;">Proceed</button>
                <button class="btn btn-default pull-right" onclick="backForStorylane()" style="margin:5px;">Skip</button>
        </div>
    </div>
</div>
<?php } ?>
<?php View::renderTemplate('partials/scripts')?>
<script src="<?=Url::templatePath()?>js/angular/controllers/BackupController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<script>
    $('.searchDeviceName').select2({
        ajax: {
            url: "<?=DIR?>"+"backup/getAllUnblockedDevices",
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    q: params.term, // search term
                    page: params.page
                };
            },
            processResults: function (data, params) {
                params.page = params.page || 1;
                return {
                    results: $.map(data.devices, function (o) {
                        if(o.deviceName != 'All'){
                            return { id: o.deviceName, text: o.deviceName, img: o.profilePic };
                        }else{
                            return { id: 'default', text: 'On to the same device', img: o.profilePic };
                        }
                    }),
                    pagination: {
                        more: (params.page * 30) < data.total_count
                    }
                };
            },
            cache: true
        },
        escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
        minimumInputLength: 0,
        templateResult: selectTemplateResult,
        templateSelection: selectTemplateSelection,
        placeholder: 'On to the same device'
    });

    function selectTemplateResult(users){
        if(users.text != undefined){
            var template = "<div class='select2-result-repository clearfix'><div class='select2-result-repository__avatar'>";
            if(users.img){
                template += "<img style='-webkit-border-radius: 50px;-moz-border-radius: 50px;border-radius: 50px;' width='30px' height='30px' src='"+ users.img +"'> ";
            }
            template += users.text + "</div></div>";
            return template;
        }else{
            return "<div class='select2-user-result'>Fetching...</div>";
        }
    }

    function selectTemplateSelection(users){
        return users.text;
    }
</script>
<script type="text/javascript">
   <?php if($data['popup'] == 'visible') { ?>
	$('#changePasswordForFirstloginConsent').modal('show');
    <?php } ?>

    function backForStorylane(){
            console.log("scope.backForStorylane");
//        $('#storylane').modal('show');
        $('#overlayNoDevice').hide();
        //$('.bottom-arrow').hide();
        if($('.bottom-arrow').hasClass('show')){
                $('.bottom-arrow').removeClass('show');
                $('.bottom-arrow').addClass('hide');
        }
    };

    function finishForStorylane(){
            console.log("scope.finishForStorylane");
            //$('.bottom-arrow').hide();
            if($('.bottom-arrow').hasClass('show')){
                $('.bottom-arrow').removeClass('show');
                $('.bottom-arrow').addClass('hide');
        }
            $('#overlayNoDevice').hide();
            window.location = '/portal/download';
    };
localStorage.setItem("login","yes");
    localStorage.setItem('isLoggedIn','<?=$data['loggedIn']?>');
    $(document).ready(function (){
        if(localStorage.getItem('isLoggedIn') =='Yes' && localStorage.getItem('userNameO') != null){
		console.log("redirected to archieve link");
                window.location = $('.protocol').html()+$('.cloud_url').html()+'/portal/viewFile/'+localStorage.getItem('userNameO')+'/'+localStorage.getItem('deviceUUIDO')+'/'+localStorage.getItem('odItemIdO')+'/'+localStorage.getItem('attachNameO')+'/'+localStorage.getItem('mailFoldPathO');
        }
    });
</script>
<style>
#overlayNoDevice {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5);
  z-index: 1000000000000;
  cursor: pointer;
}
.hole{
  position: absolute;
  right: 100px;
  width: 100px;
  height: 60px;
  box-shadow: 0 0 0 9999px rgba(0, 0, 255, 0.2);
  border-radius:50%;
}
.btn-grad {
            background-image: linear-gradient(to right, #C04848 0%, #480048  51%, #C04848  100%);
            margin: 10px;
            padding: 8px 20px;
            text-align: center;
            transition: 0.5s;
            background-size: 200% auto;
            color: white !important;
            box-shadow: 0 0 20px #eee;
            border-radius: 10px;
            display: block;
          }

          .btn-grad:hover {
            background-position: right center; /* change the direction of the change here */
            color: #fff;
            text-decoration: none;
          }	
</style>
