<?php use \Core\View;
use Helpers\Auth;
use Helpers\Url;
use Helpers\Form;
use Core\Language;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
*
* index.php
*
* @author Prashanth Kumar B - prashanth.kumar@parablu.com
* @version 2.0
* @date 7/10/15
* @time 11:55 AM
*
*/

?>
<div class="container">
    <div class="row">
        <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><h3><?=$data['title']?></h3></li>
                <li><?=$data['crumb1']?></li>
            </ol>
        </div>
    </div>
</div>
<div class="main" ng-controller="PmsController">
    <span class="hide currentPage"><?=''?></span>
    <span class="hide csrf_token"><?=$data['csrf_token'];?></span>
    <div class="row profile">
        <div class="col-lg-1 col-md-1 col-sm-1">
            <?php View::renderTemplate('partials/sideBar', $data); ?>
        </div>
        <div class="col-lg-11 col-md-11 col-sm-11 ng-cloak">
            
            <?php if(isMobile()){ ?>
            <ul class="nav nav-pills flex-column" style="border: 1px solid #EC6621;border-radius: 10px;">
                <?php if(Auth::checkCloudPermission('backup')){ ?>
                    <li class="nav-item" style="display:unset !important;"><a class="nav-link <?php echo $data['activeTabB'];?>" data-toggle="tab" data-target="#backup" aria-expanded="true" aria-controls="general">Backup Policies</a></li>
                <?php } ?>
                <?php if(Auth::checkCloudPermission('sync')){ ?>
                    <li class="nav-item" style="display:unset !important;"><a data-toggle="tab" class="nav-link <?php echo $data['activeTabS'];?>" data-target="#sync" aria-expanded="false" aria-controls="sync">BluSync Policies</a></li>
                <?php } ?>
                <?php if(Auth::checkCloudPermission('office365')){ ?>
                    <li class="nav-item" style="display:unset !important;"><a data-toggle="tab" class="nav-link <?php echo $data['activeTabO'];?>" data-target="#office365" aria-expanded="false" aria-controls="office365">Office 365 Policies</a></li>
                <?php } ?>
            </ul>
	<?php } ?>
	<?php if(!isMobile()){ ?>
            <ul class="nav nav-tabs" role="tablist" style="font-weight: 600;<?php if(!isMobile()){ ?>font-size: medium;<?php }else { ?> font-size: small;<?php } ?>">
                <?php if(DISABLE_BLUVAULT == false){ ?>
                    <?php if(Auth::checkCloudPermission('backup')){ ?>
                        <li role="presentation" class="nav-item"><a class="nav-link <?php echo $data['activeTabB'];?>" data-target="#backup" aria-controls="general" role="tab" data-toggle="tab">Backup Policies</a></li>
                <?php } } ?>
                <?php if(DISABLE_BLUSYNC == false){ ?>
                    <?php if(Auth::checkCloudPermission('sync')){ ?>
                        <li role="presentation" class="nav-item"><a class="nav-link <?php echo $data['activeTabS'];?>" data-target="#sync" aria-controls="sync" role="tab" data-toggle="tab">BluSync Policies</a></li>
                <?php } } ?>
                <?php if(Auth::checkCloudPermission('office365') ){ ?>
                    <li role="presentation" class="nav-item"><a class="nav-link <?php echo $data['activeTabO'];?>" data-target="#office365" aria-controls="office365" role="tab" data-toggle="tab">Office 365 Policies</a></li>
                <?php } ?>
            </ul>
        <?php } ?>
            
            <div class="tab-content">
                <div role="tabpanel" class="tab-pane <?php echo $data['activeTabB'];?>" id="backup">
                    <?php if(DISABLE_BLUVAULT == false){ ?>
                    <?php if(Auth::checkCloudPermission('backup')){ ?>
                        <div class="row">
                            <div class="panel col-lg-12">
                                <div class="panel-heading">
                                    <h4 style="padding: 0px 0px 0px 15px;">Backup Policy Settings</h4>
                                </div>
                                <div class="panel-body">
				    <div class="row">
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						<?php if($data['userType'] == 'admin'){ ?>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
                                                <a class="btn btn-success btn-small hide" ng-click="sendMeTo('/pms/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
						<?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-file-powerpoint-o"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policies')">
                                                <i class="fa fa-file-powerpoint-o"> Backup Policies</i><br/>
                                                <a>Create, View, Edit, Clone  Policies</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						<?php if($data['readOnlyAdminUser'] == 'No'){ ?>
                                                <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/policyMapping/multiple')">Map policies in bulk</a>
						<?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-user"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policyMapping/single')">
                                                <i class="fa fa-user"> Policy Mapping</i><br/>
                                                <a>Map users to backup policies</a>
                                            </div>
                                        </div>
                                    </div>
				    </div>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                    <?php }elseif(Auth::checkCloudPermission('serverBackup')){ ?>
                        <div class="row">
                            <div class="panel">
                                <div class="panel-heading">
                                    <h4 style="padding: 0px 0px 0px 15px;">Server Backup Policy Settings</h4>
                                </div>
                                <div class="panel-body">
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						<?php if($data['userType'] == 'admin'){ ?>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
						<?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-file-powerpoint-o"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policies')">
                                                <i class="fa fa-file-powerpoint-o"> Server Backup Policies</i><br/>
                                                <a>Create, Edit, View Policies</a>
                                            </div>
                                        </div>
                                    </div>
        <!--                            <div class="col-lg-4">-->
        <!--                                <div class="panel panel-default no-box-shadow widget-default widget-click">-->
        <!--                                    <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">-->
        <!--                                        <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/policyMapping/multiple')">Map policies in bulk</a>-->
        <!--                                    </div>-->
        <!--                                    <hr/>-->
        <!--                                    <div class="background">-->
        <!--                                        <i class="fa fa-user"></i>-->
        <!--                                    </div>-->
        <!--                                    <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/policyMapping/single')">-->
        <!--                                        <i class="fa fa-user"> Policy Mapping</i><br/>-->
        <!--                                        <a>Map users to backup policies</a>-->
        <!--                                    </div>-->
        <!--                                </div>-->
        <!--                            </div>-->
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <div role="tabpanel" class="tab-pane <?php echo $data['activeTabS'];?>" id="sync">
                    <?php if(DISABLE_BLUSYNC == false){ ?>
                        <?php if(Auth::checkCloudPermission('sync')){ ?>
                            <div class="row">
                                <div class="panel col-lg-12">
                                    <div class="panel-heading">                                        
                                        <h4 style="padding: 0px 0px 0px 15px;">BluSync Policy Settings</h4>                                    
                                    </div>
                                    <div class="panel-body">
					<div class="row">
                                        <div class="col-lg-4">
                                            <div class="panel panel-default no-box-shadow widget-default widget-click">
                                                <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						    <?php if($data['userType'] == 'admin'){ ?>
                                                    <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                                    <a class="btn btn-success btn-small hide" ng-click="sendMeTo('/pms/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
						    <?php } ?>
                                                </div>
                                                <hr/>
                                                <div class="background">
                                                    <i class="fa fa-file-powerpoint-o"></i>
                                                </div>
                                                <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/sync/policies')">
                                                    <i class="fa fa-file-powerpoint-o"> BluSync Policies</i><br/>
                                                    <a>Create, View, Edit, Clone Policies</a>                                                    
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="panel panel-default no-box-shadow widget-default widget-click">
                                                <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						<?php if($data['readOnlyAdminUser'] == 'No'){ ?>
                                                    <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/sync/policyMapping/multiple')">Map policies in bulk</a>
						<?php } ?>
                                                </div>
                                                <hr/>
                                                <div class="background">
                                                    <i class="fa fa-user"></i>
                                                </div>
                                                <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/sync/policyMapping/single')">
                                                    <i class="fa fa-user"> Policy Mapping</i><br/>
                                                    <a>Map users to BluSync policies</a>
                                                </div>
                                            </div>
                                        </div>
					</div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    <?php } ?>
                </div>
                <div role="tabpanel" class="tab-pane <?php echo $data['activeTabO'];?>" id="office365">
                    <?php if(Auth::checkCloudPermission('exchange')){ ?>
                        <div class="row">
                            <div class="panel col-lg-12">
                                <div class="panel-heading">
                                    <h4 style="padding: 0px 0px 0px 15px;">Microsoft Exchange Policy Settings</h4>
                                </div>
				<div class="panel-body">
<div class="row">
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						<?php if($data['userType'] == 'admin'){ ?>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
                                                <a class="btn btn-success btn-small hide" ng-click="sendMeTo('/pms/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
						<?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-hdd-o"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/exchangePolicies')">
                                                <i class="fa fa-hdd-o"> Microsoft Exchange Policies</i><br/>
                                                <a>Create, View, Edit, Clone  Policies</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
					    <?php if($data['readOnlyAdminUser'] == 'No'){ ?>
                                            <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/officePolicyMapping/multiple/Exchange')">Map policies in bulk</a>
					    <?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                            	<i class="fa fa-user"></i>
                                                </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/officePolicyMapping/single/Exchange')">
                                                <i class="fa fa-user"> Policy Mapping</i><br/>
                                                <a>Map Users to Microsoft Exchange Policies</a>
                                            </div>
                                        </div>
				    </div>
</div>
                                </div>
                            </div>
                        </div>
		    <?php } ?>
		    <?php if(Auth::checkCloudPermission('onedrive')){ ?>
                        <div class="row">
                            <div class="panel col-lg-12">
                                <div class="panel-heading">
                                    <h4 style="padding: 0px 0px 0px 15px;">OneDrive for Business Policy Settings</h4>
                                </div>
                                <div class="panel-body">
<div class="row">
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
                                                <?php if($data['userType'] == 'admin'){ ?>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
                                                <a class="btn btn-success btn-small hide" ng-click="sendMeTo('/pms/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
                                                <?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-hdd-o"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/oneDrivePolicies')">
                                                <i class="fa fa-hdd-o"> OneDrive for Business Policies</i><br/>
                                                <a>Create, View, Edit, Clone  Policies</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
                                            <?php if($data['readOnlyAdminUser'] == 'No'){ ?>
                                                <a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/officePolicyMapping/multiple/ODB')">Map policies in bulk</a>
                                            <?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-user"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/officePolicyMapping/single/ODB')">
                                                <i class="fa fa-user"> Policy Mapping</i><br/>
                                                <a>Map Users to OneDrive for Business Policies</a>
                                            </div>
                                        </div>
                                    </div>
</div>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
		    <?php if(Auth::checkCloudPermission('sharepoint')){ ?>
                        <div class="row">
                            <div class="panel col-lg-12">
                                <div class="panel-heading">
                                    <h4 style="padding: 0px 0px 0px 15px;">SharePoint Online Policy Settings</h4>
                                </div>
				<div class="panel-body">
<div class="row">
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						<?php if($data['userType'] == 'admin'){ ?>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
                                                <a class="btn btn-success btn-small hide" ng-click="sendMeTo('/pms/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
						<?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-hdd-o"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/spPolicies')">
                                                <i class="fa fa-hdd-o"> SharePoint Online Policies</i><br/>
                                                <a>Create, View, Edit, Clone  Policies</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
					    <?php if($data['readOnlyAdminUser'] == 'No'){ ?>
						<a class="btn btn-small btn-success pull-right hide" ng-click="sendMeTo('/pms/officePolicyMapping/multiple/Sharepoint')">Map policies in bulk</a>
					    <?php } ?>						    
                                            </div>
                                            <hr/>
                                            <div class="background">
                                            	<i class="fa fa-user"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/officePolicyMapping/single/Sharepoint')">
                                                <i class="fa fa-user"> Policy Mapping</i><br/>
                                                <a>Map Sites to SharePoint Online Policies</a>
                                            </div>
                                        </div>
				    </div>
</div>
                                </div>
                            </div>
                        </div>
		    <?php } ?>		
		</div>
<!--sharepoint starts-->
<div role="tabpanel" class="tab-pane" id="sharepoint">
                    <?php if(Auth::checkCloudPermission('sharepoint')){ ?>
                        <div class="row">
                            <div class="panel">
                                <div class="panel-heading">
                                    <h4 style="padding: 0px 0px 0px 15px;">SharePoint Policy Settings</h4>
                                </div>
                                <div class="panel-body">
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
						<?php if($data['userType'] == 'admin'){ ?>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/filters')"><i class="fa fa-filter" style="color: white"></i> Filters</a>
                                                <a class="btn btn-success btn-small" ng-click="sendMeTo('/pms/schedules')"><i class="fa fa-clock-o" style="color: white"></i> Schedules</a>
                                                <a class="btn btn-success btn-small hide" ng-click="sendMeTo('/pms/cloudCredentials')"><i class="fa fa-cloud" style="color: white"></i> Cloud Credentials</a>
						<?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-hdd-o"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/spPolicies')">
                                                <i class="fa fa-hdd-o"> SharePoint Policies</i><br/>
                                                <a>Create, View, Edit, Clone  Policies</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="panel panel-default no-box-shadow widget-default widget-click">
                                            <div class="panel-header pull-right" style="margin-right: 10px; margin-top: -11px;">
					    <?php if($data['readOnlyAdminUser'] == 'No'){ ?>
						<a class="btn btn-small btn-success pull-right" ng-click="sendMeTo('/pms/sharepointPolicyMapping/multiple')">Map policies in bulk</a>
					    <?php } ?>
                                            </div>
                                            <hr/>
                                            <div class="background">
                                                <i class="fa fa-user"></i>
                                            </div>
                                            <div class="panel-body widget widget-body clickAble" ng-click="sendMeTo('/pms/sharepointPolicyMapping/single')">
                                                <i class="fa fa-user"> Policy Mapping</i><br/>
                                                <a>Map sites to SharePoint policies</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
<!--sharepoint ends-->
            </div>
<!--            <div class="row">-->
<!--                <div class="panel">-->
<!--                    <div class="panel-heading">-->
<!--                        <h4 style="padding: 0px 0px 0px 15px;"></h4>-->
<!--                    </div>-->
<!--                    <div class="panel-body">-->
<!--                        <div class="col-lg-4">-->
<!--                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('/pms/bluvault')">-->
<!--                                <div class="background">-->
<!--                                    <i class="fa fa-cubes"></i>-->
<!--                                </div>-->
<!--                                <div class="panel-body widget widget-body">-->
<!--                                    <i class="fa fa-cubes"> Paraclouds</i><br/>-->
<!--                                    <a>Paracloud Settings</a>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        --><?php //if(BLUKRYPT_PAGE == true){ ?>
<!--                            <div class="col-lg-4">-->
<!--                                <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('/pms/blukrypt')">-->
<!--                                    <div class="background">-->
<!--                                        <i class="fa fa-key"></i>-->
<!--                                    </div>-->
<!--                                    <div class="panel-body widget widget-body">-->
<!--                                        <i class="fa fa-key"> Blukrypt</i><br/>-->
<!--                                        <a>Blukrypt Settings</a>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        --><?php //} ?>
<!--                        <div class="col-lg-4 hide">-->
<!--                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('/pms/networkThrottling')">-->
<!--                                <div class="background">-->
<!--                                    <i class="fa fa-crop"></i>-->
<!--                                </div>-->
<!--                                <div class="panel-body widget widget-body">-->
<!--                                    <i class="fa fa-crop"> Network Throttling</i><br/>-->
<!--                                    <a>Network Throttling Settings</a>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
        </div>
    </div>
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
<?php View::renderTemplate('partials/scripts')?>
<script>
    $('.timePicker').timepicker({
        showMeridian: false,
        defaultTime: '9:45'
    });
</script>
<script src="<?=Url::templatePath()?>js/angular/controllers/PmsController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<style>
.panel-default{
border-color:#f27331 !important;
border-radius: 10px !important;
}
hr{
    border-top: 1px solid #f27331;
}
</style>
