<?php

use \Core\View;
use \Helpers\Url;
use Helpers\Auth;
 /*
 *
 * Copyright 2015
 * ParaBlu Systems Private Limited
 * All Rights Reserved
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of ParaBlu Systems Private Limited and its suppliers, if any.
 * The intellectual and technical concepts contained herein are proprietary
 * to ParaBlu Systems Private Limited and its suppliers and may be covered by
 * Indian, US and Foreign Patents, patents in process, and are protected by
 * trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from ParaBlu Systems Private Limited.
 *
 * index.php
 *
 * @author Prashanth Kumar B - prashanth.kumar@parablu.com
 * @version 2.0
 * @date 7/10/15
 * @time 11:55 AM
 * 
 */
?>
<div class="container">
    <div class="row">
        <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><h3><?=$data['title']?></h3></li>
                <li><?=$data['crumb1']?></li>
            </ol>
        </div>
    </div>
</div>
<div class="main" ng-controller="SettingController">
    <div class="row profile">
        <div class="col-lg-1 col-md-1 col-sm-1">
            <?php if(!isMobile()){ View::renderTemplate('partials/sideBar', $data); }?>
        </div>
        <div class="col-lg-11 col-md-11 col-sm-11">
            <span class="csrf_token d-none"><?=$data['csrf_token']?></span>
	    <span class="currentPage d-none"><?='dashboard'?></span>
            <div class="row">
                <div class="panel">
                    <div class="panel-heading">
                        <h4 style="padding: 0px 0px 0px 15px;">Cloud Settings Tools</h4>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                        <?php if($data['showCC'] == 'true'){?>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/cloudCredentials')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-cloud"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-cloud"> Destination storage credentials</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit your destination storage credentials</a>
                                </div>
                            </div>
                        </div>
                        <?php } ?>
                        <?php if($data['showOffice'] == 'true'){ ?>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/office365Settings')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                <?php if($data['showOffice'] == 'true' && $data['showCC'] == 'false'){ ?>
                                    <i class="fa fa-cloud"></i>
                                <?php } else { ?>
                                    <i class="fa fa-hdd-o"></i>
                                <?php } ?>
                                </div>
                                <div class="panel-body widget widget-body">
                                <?php if($data['showOffice'] == 'true' && $data['showCC'] == 'false'){ ?>
                                    <i style="margin-left:0px !important;" class="fa fa-cloud"> Destination storage credentials</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit your destination storage credentials</a>
                                <?php } else { ?>
                                    <i style="margin-left:0px !important;" class="fa fa-hdd-o"> Office 365 Settings</i><br>
                                    <a style="margin-left:0px !important;">Change your Office 365 Settings</a>
                                <?php } ?>
                                </div>
                            </div>
                        </div>
			<?php } ?>
			<?php if($data['showC2CCredentials'] == 'true'){ ?>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/c2cSettings')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">                                
                                    <i class="fa fa-cloud"></i>                                
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-cloud"> Cloud2Cloud Credentials</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit your Cloud2Cloud credentials</a>                                
                                </div>
                            </div>
                        </div>
                        <?php } ?>
			<?php if(hosted_setup == false){ ?>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/paracloudblukrypt')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-cubes"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-cubes"> Paracloud, Blukrypt</i><br/>
                                    <a style="margin-left:0px !important;">List of Paracloud and BluKrypt</a>
                                </div>
                            </div>
			</div>
			<?php } ?>
                        <?php if(BLUKRYPT_PAGE == true){ ?>
                            <div class="col-lg-4 d-none">
                                <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/blukrypt')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                    <div class="background">
                                        <i class="fa fa-key"></i>
                                    </div>
                                    <div class="panel-body widget widget-body">
                                        <i style="margin-left:0px !important;" class="fa fa-key"> Blukrypt</i><br/>
                                        <a style="margin-left:0px !important;">Blukrypt Settings</a>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/networkThrottling')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-crop"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-crop"> Network Throttling</i><br/>
                                    <a style="margin-left:0px !important;">Network Throttling Settings</a>
                                </div>
                            </div>
                        </div>
                        <?php if($data['isLdapEnabled'] == 'true') { ?>
                        <div class="col-lg-4 toolTip" <?php  if(maxADGroup == false){ ?>data-toggle="tooltip" data-placement="top" title="This feature is Disabled in Lite Version"<?php }?>>
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" <?php  if(maxADGroup == false){ ?>style="cursor: not-allowed;" <?php }?><?php  if(maxADGroup == true){ ?> ng-click="sendMeTo('settings/adCredentials')"<?php } ?> style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-language"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-language"> Active Directory Credentials</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit your AD Credentials</a>
                                </div>
                            </div>
                        </div>
                        <?php } ?>
                        <?php if($data['isAADEnabled'] == 'true') {?>
                        <div class="col-lg-4 toolTip" <?php  if(maxADGroup == false){ ?>data-toggle="tooltip" data-placement="top" title="This feature is Disabled in Lite Version"<?php }?>>
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" <?php  if(maxADGroup == false){ ?>style="cursor: not-allowed;" <?php }?><?php  if(maxADGroup == true){ ?> ng-click="sendMeTo('settings/aadCredentials')"<?php } ?> style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-language"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-language"> AAD Credentials</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit your AAD Credentials</a>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                    <!--</div>
                    <div class="row">-->
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/proxy')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-sign-in"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-sign-in"> Proxy Settings</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit default Proxy Settings</a>
                                </div>
                            </div>
			</div>
			<?php if(hosted_setup == false){ ?>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/sslAndEncryption')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-lock"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-lock"> SSL Configuration</i><br>
                                    <a style="margin-left:0px !important;">Manage SSL Certificate</a>
                                </div>
                            </div>
			</div>
			<?php } ?>
                        <?php if(Auth::checkCloudPermission('backup') && $data['onedriveBkpEnabled'] != 'true'){ ?>
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/sharepoint')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-share-alt"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-share-alt"> Sharepoint</i><br/>
                                    <a style="margin-left:0px !important;">Sharepoint Settings</a>
                                </div>
                            </div>
                        </div>
                        <?php } ?>
			<?php if(hosted_setup == false){ ?>
			<?php if(showSmtpSettings == true){ ?>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/smtpPage')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-envelope"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-envelope"> SMTP Settings</i><br>
                                    <a style="margin-left:0px !important;">Change your Cloud SMTP Settings</a>
                                </div>
                            </div>
                        </div>
			<?php } ?>
			<?php } ?>
                        <?php if(Auth::checkCloudPermission('backup') || BLUDRIVE_MODE == false || Auth::checkCloudPermission('office365')) { ?>
                            <div class="col-lg-4">
                                <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/epaManager')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                    <div class="background">
                                        <i class="fa fa-archive"></i>
                                    </div>
                                    <div class="panel-body widget widget-body">
                                        <i style="margin-left:0px !important;" class="fa fa-archive"> Endpoint Agent Package Management</i><br>
                                        <a style="margin-left:0px !important;">Change, Edit Agent Settings</a>
                                    </div>
                                </div>
                            </div>
			<?php } ?>
			<?php if(hosted_setup == false){ ?>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/mongoProperties')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-database"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-database"> Meta-data Settings</i><br>
                                    <a style="margin-left:0px !important;">Manage Meta-data settings</a>
                                </div>
                            </div>
			</div>
			<?php } ?>
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/portalProperties')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-tachometer"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-tachometer"> Portal Properties</i><br>
                                    <a style="margin-left:0px !important;">Manage Portal related properties</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/globalSettings')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-cogs"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-cogs"> Global Settings</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit Global Settings</a>
                                </div>
                            </div>
                        </div>
			<div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/siemCredentials')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-wpforms"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-wpforms"> SIEM Credentials</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit your SEIM credentials</a>
                                </div>
                            </div>
			</div>
			<div class="col-lg-4">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/keyManager')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-key"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-key"> Encryption key management</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit Key Encryption key Settings</a>
                                </div>
                            </div>
                        </div>
                        <?php if(STORAGE_TYPE == "ONE_DRIVE"){ ?>
				<?php if($data['oneDriveBackupType'] == "NONMUX"){ ?>
					<div class="col-lg-4">
					    <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/dataMigration')" style="border-color:#f27331 !important;border-radius: 10px !important;">
						<div class="background" style="margin-left: 35% !important;margin-top: -46px !important;">
						    <i class="fa fa-desktop" style="margin-left: 0px;font-size: 65px;"></i>
						    <i class="fa fa-exchange" style="margin-left: -21px;font-size: 65px;"></i>
						    <i class="fa fa-desktop" style="margin-left: -21px;font-size: 65px;"></i>
						</div>
						<div class="panel-body widget widget-body">
						    <i class="fa fa-desktop" style="margin-left:0px !important"></i>
						    <i class="fa fa-exchange" style="margin-left:0px !important"></i>
						    <i class="fa fa-desktop" style="margin-left:0px !important"> Data Migration</i><br>
						    <a style="margin-left:0px !important;">Migrate Data of Users</a>
						</div>
					    </div>
					</div>
				<?php } ?>
                        <?php } ?>
                    <!--</div>-->
                    </div>
                        
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/email')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-envelope"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-envelope"> Email Configuration</i><br>
                                    <a style="margin-left:0px !important;">Change, Edit default Email Configuration</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/connector')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-code-fork"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-code-fork"> Connector Settings</i><br>
                                    <a style="margin-left:0px !important;">External Storage Configuration</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/domain')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-globe"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-globe"> Domain / Host Name</i><br>
                                    <a style="margin-left:0px !important;">Change your default Domain or Host Name</a>
                                </div>
                            </div>
                        </div>    
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/encryption')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-key"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-key"> Encryption Settings</i><br>
                                    <a style="margin-left:0px !important;">Change your Encryption Key</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/local')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-hdd-o"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-hdd-o"> Local Storage Settings</i><br>
                                    <a style="margin-left:0px !important;">Change your Local File Server Settings</a>
                                </div> 
                            </div>
                        </div>                        
                        <div class="col-lg-4 d-none">
                            <div class="panel panel-default no-box-shadow widget-default widget-click clickAble" ng-click="sendMeTo('settings/cloudProperties')" style="border-color:#f27331 !important;border-radius: 10px !important;">
                                <div class="background">
                                    <i class="fa fa-hdd-o"></i>
                                </div>
                                <div class="panel-body widget widget-body">
                                    <i style="margin-left:0px !important;" class="fa fa-hdd-o"> PI Settings</i><br>
                                    <a style="margin-left:0px !important;">Change your Parablu Installation Settings</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
<?php View::renderTemplate('partials/scripts')?>
<script src="<?=Url::templatePath()?>js/angular/controllers/SettingController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<style>
/*.panel-default{
border-color:#f27331 !important;
border-radius: 10px !important;
}*/
.widget-click .widget-body i{ 
font-size:19px !important;
}
</style>
