<?php
use \Core\View;
use Helpers\Url;
use Helpers\Form;
use Core\Language;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
*
* index.php
*
* @author Prashanth Kumar B - prashanth.kumar@parablu.com
* @version 2.0
* @date 7/10/15
* @time 11:55 AM
*
*/

?>
<span ng-controller="ShareWithController" xmlns="http://www.w2.org/1999/html">
<div class="container">
    <div class="row">
        <div class="col-lg-6">
            <ol class="breadcrumb">
		<li><h3><a href="<?=Url::basePath('sync/sharedFiles')?>">Files Shared</a></h3></li>
                <li>Files Shared With Me</li>
            </ol>
        </div>
    </div>
</div>
<div class="main">
    <span class="hide currentPage"><?='trash'?></span>
    <span class="hide csrf_token"><?=$data['csrf_token']?></span>
    <div class="row profile">
        <div class="col-lg-1 col-md-1 col-sm-1">
            <?php if(!isMobile()){ View::renderTemplate('partials/sideBar', $data); }?>
        </div>
        <!--<div class="col-lg-11 col-md-11 col-sm-11 status" style="display: none">
            <div class="statusMessage text-center"></div>
        </div>-->
        <div class="col-lg-11 col-md-11 col-sm-11 filePanel" block-ui="myBlockUI">
            <div class="panel panel-default no-box-shadow panel-actions">
                <div class="panel-body" style="height: 40px;">
                    <ul class="nav navbar-nav pull-right nav-actions">
                        <li><a class="viewAction toolTip" ng-click="view()" data-toggle="tooltip" data-placement="top" title="View" style="display: none" href="javascript:;"><i class="fa fa-eye"></i></a></li>
                        <li><a class="downloadAction toolTip" ng-click="download('')" data-toggle="tooltip" data-placement="top" title="Download" style="display: none" href="javascript:;"><i class="fa fa-download"></i></a></li>
                    </ul>
                </div>
            </div>
            <div class="panel panel-default files-panel no-box-shadow" ng-if="items.length > 0">
                <div class="table-responsive">
                    <table class="table table-striped table-hover files-table">
                        <thead>
                        <tr>
                            <th class="clickAble" ng-click="sortType = 'fileName'; sortReverse = !sortReverse">
                                Name
                                <span ng-show="sortType == 'fileName' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'fileName' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
                            <th class="clickAble" ng-click="sortType = 'sharedBy'; sortReverse = !sortReverse">
                                Shared By
                                <span ng-show="sortType == 'sharedBy' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'sharedBy' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
			    <th class="clickAble" ng-click="sortType = 'sharedTime'; sortReverse = !sortReverse">
                                Shared On
                                <span ng-show="sortType == 'sharedTime' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'sharedTime' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
                            <th class="clickAble" ng-click="sortType = 'validUntilTime'; sortReverse = !sortReverse">
                                Valid Until
                                <span ng-show="sortType == 'validUntilTime' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'validUntilTime' && sortReverse" class="fa fa-caret-down"></span>
                            </th>
                            <!--<th class="clickAble" ng-click="sortType = 'devicePath'; sortReverse = !sortReverse">
                                Path
                                <span ng-show="sortType == 'devicePath' && !sortReverse" class="fa fa-caret-up"></span>
                                <span ng-show="sortType == 'devicePath' && sortReverse" class="fa fa-caret-down"></span>
                            </th>-->
                        </tr>
                        </thead>
                        <tbody id="selectable"
                               selectable="tr"
                               selectable-list="items"
                               selectable-out="selected"
                               selectable-options="{filter:'tr',cancel: 'a.showDetails'}"
                               selectable-events="{start:'selectionStart($selected)', stop:'selectionStop($selected)'}"
                               block-ui="myBlockUI"
                               context-menu="menuOptions">
                        <tr ng-repeat="value in items | orderBy:sortType:sortReverse">
                            <td data-name="{{value.$$hashKey}}" title="{{value.fileName}}" ng-cloak><i class="fa fa-{{ value.icon }} fa-1x"></i> <a style="cursor: pointer; color: #585f69;"><span>{{value.fileName | limitTo:40}}{{value.fileName.length > 40 ? '...' : ''}}</span><span ng-if="value.fileName.length > 40">{{value.extension}}</span></a><a ng-if="value.haveMultipleFiles == 'yes'" class="showDetails"ng-click="showSharedFiles(value.backupIDs, value.destinationCollection, value.isShareLatestVersion, value.devicePath, value.userName, value.gatewayName, value.isView, value.isDownload)" style="color:#F27331;cursor:pointer;"><i class="fa fa-plus-circle" style="padding:5px;"></i></a>    <span class="badge badge-danger" ng-if="value.isExpired == 'Expired'"><?=Language::show('Expired', 'keywords')?></span></td>
                            <td ng-cloak> {{ value.sharedBy }} </td>
                            <td ng-cloak> {{ value.sharedTimeDate }} </td>
                            <td ng-if="value.perpetual == 'no'" ng-cloak> {{ value.validUntil }} </td>
                            <td ng-if="value.perpetual == 'yes'" ng-cloak> Perpetual </td>
                            <!--<td ng-cloak>{{ value.devicePath }}</td>-->
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="text-center status" style="display: none;">
                <h3>There are no files or folders</h3>
            </div>
	    <!--modal start-->
	    <div class="modal fade whiteAndBigModal" id="sharedFilesModal">
        	<div class="modal-dialog">
            	    <div class="modal-content">
                	<form class="form-inline" data-parsley-validate>
                    	    <div class="modal-header" style="margin-bottom: -10px;">
                                <h4 class="modal-title">File shared are as following</h4>
                        	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    	    </div>
                    	    <div class="modal-body">
                        	<div class="table-responsive">
                                    <hr/>
                                    <table class="table table-bordered table-striped fileVersionsTable">
                                        <tbody>
                                            <tr ng-repeat="value in sharedFilesList track by $index" ng-cloak>
                                        	<td ng-cloak><a title="{{value.fileName}}" style="word-wrap:break-word;" ng-cloak><span>{{value.fileName | limitTo:40}}{{value.fileName.length > 40 ? '...' : ''}}</span><span ng-if="value.fileName.length > 40">{{value.extension}}</span></a></td>
                                                <td>
                                            	    <a ng-if="value.isView == 'true'" class="btn btn-success btn-small" ng-click="viewFromMultiple(value.fileName, value.backupId, value.devicePath, value.userName, value.gatewayName)"><i class="fa fa-eye"></i></a>
                                             	    <a ng-if="value.isDownload == 'true'" class="btn btn-primary btn-small" ng-click="downloadFromMultiple(value.fileName, value.devicePath, value.gatewayName, value.backupId, value.userName)"><i class="fa fa-download"></i></a>
                                        	</td>
                                    	    </tr>
                                        </tbody>
                                    </table>
                        	</div>
			    </div>
                    	    <div class="modal-footer">
                        	<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    	    </div>
                	</form>
            	    </div>
        	</div>
	    </div>
	    <!--modal ends-->
            <div class="modal fade" id="share" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="myModalLabel">Share Details</h4>				
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="modal-body shareLoading">
                            <span>Loading ...</span>
                        </div>
                        <div class="modal-body shareBody" style="display: none;">
                            <div class="mt-md mb-md">
                                <div class="shareLinkBlock" style="display: none;">
                                    <h4>
                                        Share the below link to share the file:
                                        <a href="" ng-click="sendEmailShareLink()" class="clickAble pull-right sendEmailShareLink"><i class="fa fa-envelope"></i></a>
                                    </h4>
                                    <h5 class="shareLink" style="word-wrap: break-word;"></h5>
                                </div>
                                <div class="form-group sendEmailShareForm hide">
                                    <label for="emails">Emails</label>
                                    <textarea name="emails" ng-model="emails" class="form-control" id="emails"> </textarea>
                                    <br/>
                                    <a href="" ng-click="sendShareEmail(emails)" class="btn btn-small btn-default shareEmailLinkSendBtn"> Send</a>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                            <a ng-click="unShareFile()" style="display: none;" class="unShareBtn btn btn-danger">Un-Share</a>
                        </div>
                    </div>
                </div>
            </div>
            <!--<div class="modal" id="paraviewContainer" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h5 class="modal-title">Loading ...</h5>
                        </div>
                        <br/><br/>
                        <div class="modal-body">
                            <div class="pageContainer" style="display: none;"></div>
                            <div class="pdfContainer" style="display: none;"></div>
                            <div class="excelContainer" style="display: none;"></div>
                            <div class="content" style="display: none;"></div>
                            <div class="imageViewer" style="display: none;"></div>
                            <div class="paraviewLoading" style="margin-top: 15%">
                                <img width="5%" src="<?=Url::templatePath('default/images/gears.gif');?>" />
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary">Save changes</button>
                        </div>
                    </div>
                </div>
	    </div>-->
	    <div class="modal" id="paraviewContainer" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" style="background-color:white;">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
			    <h5 class="modal-title">Loading ...</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>                            
                        </div>
                        <br/><br/>
                        <div class="modal-body">
                            <div class="pageContainer" style="background-color: white;display: none;"></div>
                            <div class="pdfContainer" style="display: none;"></div>
                            <div class="excelContainer" style="background-color: white;display: none;"></div>
                            <div class="content" style="text-align: -webkit-auto;display: none;"></div>
                            <div class="imageViewer" style="display: none;"></div>
                            <div class="pptxViewer" style="background-color: white;display: none;"></div>
                            <div class="paraviewLoading" style="margin-top: 15%">
                                <img width="5%" src="<?=Url::templatePath('default/images/gears.gif');?>" />
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
</span>
<?php View::renderTemplate('partials/scripts')?>
<script src="<?=Url::templatePath()?>js/angular/controllers/ShareWithController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
