<?php
use \Core\View;
use Helpers\Url;
use Core\Language;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
*
* index.php
*
* @author Prashanth Kumar B - prashanth.kumar@parablu.com
* @version 2.0
* @date 7/10/15
* @time 11:55 AM
*
*/

?>
<div class="container">
    <div class="row">
        <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><h3><?=$data['title']?></h3></li>
                <li><span><?=$data['subTitle']?></span></li>
            </ol>
        </div>
    </div>
</div>
<div class="main" ng-controller="UserController">
    <span class="currentPage d-none"><?='users'?></span>
    <span class="d-none csrf_token"><?=$data['csrf_token']?></span>
    <div class="row profile">
        <div class="col-lg-1 col-md-1 col-sm-1">
            <?php if(!isMobile()){ View::renderTemplate('partials/sideBar', $data); }?>
        </div>
        <div class="col-lg-11 col-md-11 col-sm-11" block-ui="myBlockUI">
	    <div class="panel">
<?php if(isMobile()){ ?>
                                    <ul class="nav nav-pills nav-stacked hide" style="border: 1px solid #EC6621;border-radius: 10px;">
                                      <li class="nav-item" style="display:unset !important;"><a class="nav-link active" data-toggle="tab" data-target="#general" aria-expanded="true" aria-controls="general">Users</a></li>
                                      <li class="nav-item" style="display:unset !important;"><a class="nav-link" data-toggle="tab" data-target="#advanced" aria-expanded="false" aria-controls="advanced">SharePoint Sites</a></li>
                                    </ul>
                                    <?php } ?>
                                    <!-- for mobile end -->
                            <?php if(!isMobile()){ ?>
                                    <ul class="nav nav-tabs hide" role="tablist" style="font-size: medium;font-weight: 600;">
                                        <li role="presentation" class="nav-item" ><a class="nav-link active" data-target="#general" aria-controls="general" role="tab" data-toggle="tab">Users</a></li>
                                        <li role="presentation" class="nav-item" ><a class="nav-link" data-target="#advanced" aria-controls="advanced" role="tab" data-toggle="tab">SharePoint Sites</a></li>
                                    </ul>
                            <?php } ?>
<div class="tab-content">
                                <div role="tabpanel" class="tab-pane active" id="general">
                <div class="panel-heading">
                    <h4>
                        <?=Language::show('list_of_users', 'keywords');?>                        
                        <a ng-click="exportUsersToExcelModal()" class="btn btn-small btn-primary <?php if(!isMobile()) { ?> pull-right <?php } ?>">Export Users</a>
                        <?php if(\Helpers\Auth::checkCloudPermission('serverBackup') == true || \Helpers\Auth::checkCloudPermission('sync') == true){ ?>
                            <a class="btn btn-success btn-small pull-right d-none"  href="<?=Url::basePath('userGroup')?>">Manage User Group</a>
                        <?php } ?>
                        <?php if($data['readOnlyAdminUser'] == 'No'){ ?>
                        <?php if(block == false){ ?>
                            <a class="btn btn-primary btn-small pull-right" disabled style="color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>">Manage Users in Bulk</a>
                        <?php } else {?>
                            <?php if(!isMobile()) { ?>
                                <a class="btn btn-primary btn-small pull-right" style="color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>">Manage Users in Bulk</a>
                            <?php }else{ ?>
                                <a class="btn btn-primary btn-small" style="margin-top: 2px; color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>">Manage Users in Bulk</a>
                                <!--<a class="btn btn-danger btn-small" style="margin-top: 2px; margin-right: 10px; color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>"><i class="fa fa-user-times"></i> Block / </i> Unblock / <i class="fa fa-trash"></i> Delete Users in bulk</a>-->
                            <?php } ?>
                        <?php } ?>
                        <?php } ?>
                        <?php if(\Helpers\Auth::checkCloudPermission('serverBackup') == false){ ?>
                            <?php if($data['readOnlyAdminUser'] == 'No'){ ?>
                                <a class="btn btn-primary btn-small pull-right" href="<?=Url::basePath('user/create')?>">Create User</a>
                            <?php } ?>
                        <?php } ?>
                    </h4>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <!--<div class="col-lg-12">
                            <form ng-submit="searchUser(search.userName)">
                                <input name="searchUsername"
                                       type="text"
                                       class="pull-right form-control"
                                       ng-model="search.userName"
                                       placeholder="Enter a 'UserId' or 'Display Name' or 'Email id' or 'all (for all users)' and hit enter to search"
                                       data-toggle="popover" data-trigger="focus" data-placement="bottom"
                                       data-content="Entered UserId or Display Name or Email Id was not found!!! "
                                />
                            </form>
                        </div>-->
			<form class="col-lg-12" ng-submit="searchUser1(search.userName)" data-parsley-validate>
				<div class="row">
				    <div class="col-lg-12">
					<select class="assignUsers" ng-model="search.userName" name="userNames[]" style="width: 100%;" data-parsley-trigger="change" id="selectAssignUsers" multiple="multiple"></select>
				    </div>
				    <!--<div class="col-lg-2">
					<button type="submit" class="btn btn-default" >Search</button>
				    </div>-->
				</div>
                        </form>
                    </div>
                    <br/>
		    <div class="panel nouserListTable" style="display: none;">
                    	<div>
                        	<h2 align="center">No Users Found</h2>
                    	</div>
                    </div>
                    <div class="table-responsive">
                        <div class="h4 loading text-center">Loading.....</div>
                        <table class="table table-bordered table-striped userListTable" style="display: none;">
                            <thead>
                            <tr>
                                <th class="text-left clickAble" ng-click="sortType = 'userName'; sortReverse = !sortReverse">
                                    <?=Language::show('userId', 'keywords')?>
                                    <span ng-show="sortType == 'userName' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'userName' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
                                <th class="text-left clickAble" ng-click="sortType = 'displayName'; sortReverse = !sortReverse">
                                    <?=Language::show('displayName', 'keywords')?>
                                    <span ng-show="sortType == 'displayName' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'displayName' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
                                <th class="text-left clickAble" ng-click="sortType = 'emailId'; sortReverse = !sortReverse">
                                    <?=Language::show('email_address', 'keywords')?>
                                    <span ng-show="sortType == 'emailId' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'emailId' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
				<?php if(\Helpers\Auth::checkCloudPermission('backup')){ ?>
				<th class="text-left clickAble" ng-click="sortType = 'policyName'; sortReverse = !sortReverse">
                                    <?=Language::show('Policy Name', 'keywords')?>
                                    <span ng-show="sortType == 'policyName' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'policyName' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
				<?php } ?>
                                <th class="text-left clickAble" ng-click="sortType = 'timeinmillis'; sortReverse = !sortReverse">
                                    <?=Language::show('Last Modified Time', 'keywords')?>
                                    <span ng-show="sortType == 'timeinmillis' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'timeinmillis' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
                                <?php if(\Helpers\Auth::checkCloudPermission('serverBackup')){ ?>
                                    <th class="text-center"><?=Language::show('groupName', 'keywords')?></th>
                                <?php }?>
                                <th class="text-left clickAble" ng-click="sortType = 'isActive'; sortReverse = !sortReverse">
                                    <?=Language::show('status', 'keywords')?>
                                    <span ng-show="sortType == 'isActive' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'isActive' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
				<?php if(STORAGE_TYPE == "ONE_DRIVE"){ ?>
				<th class="clickAble" ng-click="sortType = 'status'; sortReverse = !sortReverse">
                                    <?=Language::show('Migration Status', 'keywords')?>
                                    <span ng-show="sortType == 'migrationStatus' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'migrationStatus' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
				<?php } ?>
                                <th class="text-left"><?=Language::show('action', 'keywords')?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="value in users  | orderBy:sortType:sortReverse track by $index">
                                <td ng-cloak  title="{{value.userName}}">{{ value.userName | limitTo:20}}{{value.userName.length > 20 ? '...' : ''}}
                                    <!--<span class="label label-info" ng-if="value.isAdmin == true"><?=Language::show('admin', 'keywords')?></span>
                                    <span class="label label-info" ng-if="value.isReadonlyAdmin == true "><?=Language::show('read_only_admin', 'keywords')?></span>-->
                                    <span class="badge badge-info" ng-if="value.isAdmin == true && value.userUnderOdbMigration == false"><?=Language::show('admin', 'keywords')?></span>
                                    <span class="badge badge-info" ng-if="value.isReadonlyAdmin == true && value.userUnderOdbMigration == false && value.delegatedAdmin == false"><?=Language::show('read_only_admin', 'keywords')?></span>
				    <span class="badge badge-info" ng-if="value.isReadonlyAdmin == true && value.userUnderOdbMigration == false && value.delegatedAdmin == true"><?=Language::show('Read Only Admin', 'keywords')?></span>
                                    <span class="badge badge-info" ng-if="value.isAdmin == true && value.userUnderOdbMigration == true"><?=Language::show('Data Migrating', 'keywords')?><i class="fa fa-spinner fa-spin fa-fw"></i></span>
                                    <span class="badge badge-info" ng-if="value.isReadonlyAdmin == true && value.userUnderOdbMigration == true"><?=Language::show('Data Migrating', 'keywords')?><i class="fa fa-spinner fa-spin fa-fw"></i></span>
				    <span class="badge badge-info" ng-if="value.isAdmin == false && value.isReadonlyAdmin == false && value.userUnderOdbMigration == true"><?=Language::show('Data Migrating', 'keywords')?><i class="fa fa-spinner fa-spin fa-fw"></i></span>					
                                </td>
                                <td ng-cloak ng-if="value.displayName"  title="{{value.displayName}}">{{ value.displayName | limitTo:20}}{{value.displayName.length > 20 ? '...' : ''}}</td>
                                <td ng-cloak ng-if="!value.displayName"  title="{{value.displayName}}"> - </td>
                                <td ng-cloak  title="{{value.emailId}}">{{ value.emailId | limitTo:20}}{{value.emailId.length > 20 ? '...' : ''}}</td>
				<?php if(\Helpers\Auth::checkCloudPermission('backup')){ ?>
				<td class="text-center" ng-if="value.policyName != null" ng-cloak>{{ value.policyName }}</td>
				<td class="text-center" ng-if="value.policyName == null" ng-cloak> - </td>
				<?php } ?>
                                <td ng-cloak>{{ value.time }}</td>
                                <?php if(\Helpers\Auth::checkCloudPermission('serverBackup')){ ?>
                                    <td ng-cloak>{{ value.userGroup }}</td>
                                <?php }?>
                                <td ng-cloak class="text-center">
                                    <h5><label class="badge badge-success" ng-show="value.isActive"><?=Language::show('enabled', 'keywords')?></label></h5>
                                    <h5><label class="badge badge-danger" ng-hide="value.isActive"><?=Language::show('disabled', 'keywords')?></label></h5>
                                </td>
				<?php if(STORAGE_TYPE == "ONE_DRIVE"){ ?>
                                <td ng-cloak class="text-center">
                                    <h5><label class="badge badge-success" ng-if="!value.isActive && value.migrationStatus == 'COMPLETED'"><?=Language::show('Migrated', 'keywords')?></label></h5>
                                    <h5><label class="badge badge-warning" ng-if="!value.isActive && value.migrationStatus == 'IN_PROGRESS'"><?=Language::show('Migration in progress', 'keywords')?></label></h5>
                                    <h5><label class="badge badge-danger" ng-if="!value.isActive && value.migrationStatus == ''"><?=Language::show('Not migrated', 'keywords')?></label></h5>
				    <h5 ng-if="value.isActive"> - </h5>
                                </td>
                                <?php } ?>
                                <td ng-cloak>
				    <a ng-class="{'true': 'not-allowed'}[value.guest]" class="btn btn-default btn-small" href="<?=Url::basePath('user/settings/{{ value.userNameForView }}')?>"><i class="fa fa-edit"></i> <?=Language::show('edit_profile', 'keywords');?></a>
				   <?php if((\Helpers\Auth::checkCloudPermission('backup')) || (\Helpers\Auth::checkCloudPermission('exchange')) || (\Helpers\Auth::checkCloudPermission('onedrive')) || (\Helpers\Auth::checkCloudPermission('sharepoint'))){ ?> 
				    <a class="btn btn-small btn-primary" href="<?=Url::basePath('myAccount/{{value.userNameForView}}')?>" style="margin: 5px;"><?=Language::show('Assets', 'keywords');?></a>
				    <?php } ?>
				    <?php if($data['readOnlyAdminUser'] == 'No'){ ?>					
				    <a ng-class="{'<?=$data['sessionUser']?>':'invalid'}[value.userName]" ng-if="value.userUnderOdbMigration == false" ng-show="value.isActive && value.localUser" class="btn btn-danger btn-small"
				       ng-bootbox-confirm="<h4><?=Language::show('blockConfirm', 'keywords')?></h4>"
                                       ng-bootbox-confirm-action="blockUserProfile(value.userName, 'true', 'user')"
                                       ng-bootbox-confirm-action-cancel=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('block', 'keywords');?></a>
				    <a ng-class="{'<?=$data['sessionUser']?>':'invalid'}[value.userName]" ng-if="value.userUnderOdbMigration == false" ng-show="value.isActive && !value.localUser" class="btn btn-danger btn-small"
				       ng-bootbox-alert="<h4><?php echo $data['type'];?></h4>"
                                       ng-bootbox-alert-action=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('block', 'keywords');?></a>                                    
				    <a ng-if="value.userUnderOdbMigration == false" ng-show="!value.isActive && value.localUser" class="btn btn-success btn-small"
                                       ng-bootbox-confirm="<h4><?=Language::show('unBlockConfirm', 'keywords')?></h4>"
                                       ng-bootbox-confirm-action="unBlockUserProfile(value.userName, 'true', 'user')"
                                       ng-bootbox-confirm-action-cancel=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('unblock', 'keywords');?></a>
				    <a ng-if="value.userUnderOdbMigration == false" ng-show="!value.isActive && !value.localUser" class="btn btn-success btn-small"
                                       ng-bootbox-alert="<h4><?php echo $data['type'];?></h4>"
                                       ng-bootbox-alert-action=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('unblock', 'keywords');?></a>
                                    <a ng-if="value.userUnderOdbMigration == false" ng-hide="value.isActive" class="btn btn-danger btn-small"
                                       ng-bootbox-confirm="<h4><?=Language::show('deleteConfirm', 'keywords')?></h4><br><span style='font-size:12px;'>Note : This action will result in <u>permanently</u> deleting all backups for this user.  Are you sure you wish to proceed?</span>"
                                       ng-bootbox-confirm-action="deleteUserProfile(value.userName, 'true', 'user')"
                                       ng-bootbox-confirm-action-cancel="" href="javascript:;"><i class="fa fa-trash"></i> <?=Language::show('delete', 'keywords');?></a>
				    <?php } ?>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="row userListTableNavigate">
                        <div class="col-lg-12 text-center">
                            <p><span ng-cloak>Page {{currentpageCount}} of {{totalpageCount}}</span></p>
                            <a class="btn btn-primary first" title="First" ng-click="updateUsersNavigate('all',first)" style="display: none;"><i class="fa fa-angle-double-left"></i></a>
                            <a class="btn btn-primary previous" title="Previous" ng-click="updateUsersNavigate('all',previous)" style="display: none;"><i class="fa fa-angle-left"></i></a>
                            <a class="btn btn-primary next" title="Next" ng-click="updateUsersNavigate('all',next)" style="display: none;"><i class="fa fa-angle-right"></i></a>
                            <a class="btn btn-primary last" title="Last" ng-click="updateUsersNavigate('all',last)" style="display: none;"><i class="fa fa-angle-double-right"></i></a>
                        </div>
                    </div>
		    <!--exportUsersToExcelModal starts-->
		    <div class="modal fade exportUsersToExcelModal" id="exportUsersToExcelModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static">
			<div class="modal-dialog" role="document">
			    <div class="modal-content">
				<div class="modal-header">
				    <h4 class="modal-title" id="myModalLabel">Export Users</h4>
				    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				</div>
				<div class="modal-body">
				    <div class="col-lg-12" id="chooserUsers">
					<div class="col-lg-6">
						<input type="radio" name="optradioUsers" value="allUsers" checked>
						<label for="link"><?=Language::show('All Users', 'keywords');?></label>
					</div>
					<div class="col-lg-6">
						<input type="radio" name="optradioUsers" value="onlyActiveUsers">
						<label for="link"><?=Language::show('Only Active Users', 'keywords');?></label>
					</div>
				    </div>
				    <br>
				</div>
				<div class="modal-footer">
				    <a ng-click="exportUsersToExcel()" class="btn btn-success">Export Excel</a>
				    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
				</div>
			    </div>
			</div>
		    </div>
		    <!--exportUsersToExcelModal ends-->
                    <div class="row loadMore" style="display: none;">
                        <div class="col-lg-12 text-center">
                            <a class="loadMoreBtn btn btn-primary" ng-click="loadMoreUsers(skipValue)">Load More ...</a>
                        </div>
                    </div>
                </div>
</div><!--for tab-->
<div role="tabpanel" class="tab-pane" id="advanced">
<div class="panel-heading">
                    <h4>
                        <?=Language::show('list_of_sites', 'keywords');?>
                        <?php if(\Helpers\Auth::checkCloudPermission('serverBackup') == false){ ?>
<!--                           <a class="btn btn-success btn-small pull-right" href="<?=Url::basePath('user/create')?>">Create User</a>-->
                        <?php } ?>
                        <a ng-click="exportSitesToExcel()" class="btn btn-small <?php if(!isMobile()) { ?> pull-right <?php } ?>" style="margin-right: 10px;">Export Sites</a>
                        <?php if(\Helpers\Auth::checkCloudPermission('serverBackup') == true || \Helpers\Auth::checkCloudPermission('sync') == true){ ?>
                            <a class="btn btn-success btn-small pull-right hide"  href="<?=Url::basePath('userGroup')?>">Manage Site Group</a>
                        <?php } ?>
                        <?php if(block == false){ ?>
                            <a class="btn btn-danger btn-small pull-right hide" disabled style="margin-right: 10px; color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>">Manage Sites in bulk</a>
                        <?php } else {?>
                            <?php if(!isMobile()) { ?>
                                <a class="btn btn-danger btn-small pull-right hide" style="margin-right: 10px; color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>">Manage Sites in bulk</a>
                            <?php }else{ ?>
                                <a class="btn btn-danger btn-small hide" style="margin-top: 2px; margin-right: 10px; color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>">Manage Sites in bulk</a>
                                <!--<a class="btn btn-danger btn-small" style="margin-top: 2px; margin-right: 10px; color: #ffffff;" href="<?=Url::basePath('users/usersBulkBlockDelete')?>"><i class="fa fa-user-times"></i> Block / </i> Unblock / <i class="fa fa-trash"></i> Delete Users in bulk</a>-->
                            <?php } ?>
                        <?php } ?>
                        </h4>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <form class="col-lg-12" ng-submit="searchSite1(search.siteName)" data-parsley-validate>
<div class="row">
                            <div class="col-lg-10">
                                <select class="assignSites" ng-model="search.siteName" name="siteNames[]" style="width: 100%;" data-parsley-trigger="change" id="selectAssignSites" multiple="multiple"></select>
                            </div>
                            <div class="col-lg-2">
                                <button type="submit" class="btn btn-small" >Search Sites</button>
                            </div>
</div>
                        </form>
                    </div>
                    <br/>
                    <div class="panel nouserListTable" style="display: none;">
                        <div>
                                <h2 align="center">No Sites Found</h2>
                        </div>
                        </div>
                    <div class="table-responsive">
                        <div class="h4 loading text-center">Loading.....</div>
                        <table class="table table-bordered table-striped userListTable" style="display: none;">
                            <thead>
                            <tr>
                                <th class="text-left clickAble" ng-click="sortType = 'userName'; sortReverse = !sortReverse">
                                    <?=Language::show('Site Name', 'keywords')?>
                                    <span ng-show="sortType == 'userName' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'userName' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
                                <th class="text-left clickAble" ng-click="sortType = 'displayName'; sortReverse = !sortReverse">
                                    <?=Language::show('displayName', 'keywords')?>
                                    <span ng-show="sortType == 'displayName' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'displayName' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
<!--                                <th class="text-left clickAble" ng-click="sortType = 'emailId'; sortReverse = !sortReverse">
                                    <?=Language::show('email_address', 'keywords')?>
                                    <span ng-show="sortType == 'emailId' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'emailId' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
                                <th class="text-left clickAble" ng-click="sortType = 'timeinmillis'; sortReverse = !sortReverse">
                                    <?=Language::show('Last Modified Time', 'keywords')?>
                                    <span ng-show="sortType == 'timeinmillis' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'timeinmillis' && sortReverse" class="fa fa-caret-down"></span>
                                </th>-->
                                <?php if(\Helpers\Auth::checkCloudPermission('serverBackup')){ ?>
                                    <th class="text-center"><?=Language::show('groupName', 'keywords')?></th>
                                <?php }?>
                                <th class="text-left clickAble" ng-click="sortType = 'isActive'; sortReverse = !sortReverse">
                                    <?=Language::show('status', 'keywords')?>
                                    <span ng-show="sortType == 'isActive' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'isActive' && sortReverse" class="fa fa-caret-down"></span>
                                </th>
                                <?php if(STORAGE_TYPE == "ONE_DRIVE"){ ?>
<!--                            <th class="clickAble" ng-click="sortType = 'status'; sortReverse = !sortReverse">
                                    <?=Language::show('Migration Status', 'keywords')?>
                                    <span ng-show="sortType == 'migrationStatus' && !sortReverse" class="fa fa-caret-up"></span>
                                    <span ng-show="sortType == 'migrationStatus' && sortReverse" class="fa fa-caret-down"></span>
                                </th>-->
                                <?php } ?>
                                <th class="text-left"><?=Language::show('action', 'keywords')?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="value in sites  | orderBy:sortType:sortReverse track by $index">
                                <td ng-cloak  title="{{value.userName}}">{{ value.userName | limitTo:20}}{{value.userName.length > 20 ? '...' : ''}}
                                    <!--<span class="label label-info" ng-if="value.isAdmin == true"><?=Language::show('admin', 'keywords')?></span>
                                    <span class="label label-info" ng-if="value.isReadonlyAdmin == true "><?=Language::show('read_only_admin', 'keywords')?></span>-->
                                    <span class="label label-info" ng-if="value.isAdmin == true && value.userUnderOdbMigration == false"><?=Language::show('admin', 'keywords')?></span>
                                    <span class="label label-info" ng-if="value.isReadonlyAdmin == true && value.userUnderOdbMigration == false"><?=Language::show('read_only_admin', 'keywords')?></span>
                                    <span class="label label-info" ng-if="value.isAdmin == true && value.userUnderOdbMigration == true"><?=Language::show('Data Migrating', 'keywords')?><i class="fa fa-spinner fa-spin fa-fw"></i></span>
                                    <span class="label label-info" ng-if="value.isReadonlyAdmin == true && value.userUnderOdbMigration == true"><?=Language::show('Data Migrating', 'keywords')?><i class="fa fa-spinner fa-spin fa-fw"></i></span>
                                    <span class="label label-info" ng-if="value.isAdmin == false && value.isReadonlyAdmin == false && value.userUnderOdbMigration == true"><?=Language::show('Data Migrating', 'keywords')?><i class="fa fa-spinner fa-spin fa-fw"></i></span>
                                </td>
                                <td ng-cloak ng-if="value.displayName"  title="{{value.displayName}}">{{ value.displayName | limitTo:20}}{{value.displayName.length > 20 ? '...' : ''}}</td>
                                <td ng-cloak ng-if="!value.displayName"  title="{{value.displayName}}"> - </td>
<!--                                <td ng-cloak>{{ value.emailId }}</td>
                                <td ng-cloak>{{ value.time }}</td>-->
                                <?php if(\Helpers\Auth::checkCloudPermission('serverBackup')){ ?>
                                    <td ng-cloak>{{ value.userGroup }}</td>
                                <?php }?>
                                <td ng-cloak class="text-center">
                                    <h5><label class="label label-success" ng-show="value.isActive"><?=Language::show('enabled', 'keywords')?></label></h5>
                                    <h5><label class="label label-danger" ng-hide="value.isActive"><?=Language::show('disabled', 'keywords')?></label></h5>
                                </td>
                                <?php if(STORAGE_TYPE == "ONE_DRIVE"){ ?>
<!--                                <td ng-cloak class="text-center">
                                    <h5><label class="label label-success" ng-if="!value.isActive && value.migrationStatus == 'COMPLETED'"><?=Language::show('Migrated', 'keywords')?></label></h5>
                                    <h5><label class="label label-warning" ng-if="!value.isActive && value.migrationStatus == 'IN_PROGRESS'"><?=Language::show('Migration in progress', 'keywords')?></label></h5>
                                    <h5><label class="label label-danger" ng-if="!value.isActive && value.migrationStatus == ''"><?=Language::show('Not migrated', 'keywords')?></label></h5>
                                    <h5 ng-if="value.isActive"> - </h5>
                                </td>-->
                                <?php } ?>
                                <td ng-cloak>
                                    <a class="btn btn-default btn-small" href="<?=Url::basePath('user/settings/{{ value.userNameForView }}')?>"><i class="fa fa-edit"></i> <?=Language::show('edit_profile', 'keywords');?></a>
<!--                                    <a ng-if="value.userUnderOdbMigration == false" ng-show="value.isActive" class="btn btn-danger btn-small"
                                       ng-bootbox-confirm="<h4><?=Language::show('blockConfirm', 'keywords')?></h4>"
                                       ng-bootbox-confirm-action="blockUserProfile(value.userName, 'true')"
                                       ng-bootbox-confirm-action-cancel=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('block', 'keywords');?></a>-->
                                    <a ng-if="value.userUnderOdbMigration == false" ng-show="value.isActive && value.localUser" class="btn btn-danger btn-small"
                                       ng-bootbox-confirm="<h4><?=Language::show('blockConfirm', 'keywords')?></h4>"
                                       ng-bootbox-confirm-action="blockUserProfile(value.userName, 'true', 'site')"
                                       ng-bootbox-confirm-action-cancel=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('block', 'keywords');?></a>
                                    <a ng-if="value.userUnderOdbMigration == false" ng-show="value.isActive && !value.localUser" class="btn btn-danger btn-small"
                                       ng-bootbox-alert="<h4><?php echo $data['type'];?></h4>"
                                       ng-bootbox-alert-action=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('block', 'keywords');?></a>
                                    <!--<a ng-if="value.userUnderOdbMigration == false" ng-hide="value.isActive" class="btn btn-success btn-small"
                                       ng-bootbox-confirm="<h4><?=Language::show('unBlockConfirm', 'keywords')?></h4>"
                                       ng-bootbox-confirm-action="unBlockUserProfile(value.userName, 'true')"
                                       ng-bootbox-confirm-action-cancel=""
                                       href="javascript:;"><i class="fa fa-user-plus"></i> <?=Language::show('unblock', 'keywords');?></a>-->
                                    <a ng-if="value.userUnderOdbMigration == false" ng-show="!value.isActive && value.localUser" class="btn btn-success btn-small"
                                       ng-bootbox-confirm="<h4><?=Language::show('unBlockConfirm', 'keywords')?></h4>"
                                       ng-bootbox-confirm-action="unBlockUserProfile(value.userName, 'true', 'site')"
                                       ng-bootbox-confirm-action-cancel=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('unblock', 'keywords');?></a>
                                    <a ng-if="value.userUnderOdbMigration == false" ng-show="!value.isActive && !value.localUser" class="btn btn-success btn-small"
                                       ng-bootbox-alert="<h4><?php echo $data['type'];?></h4>"
                                       ng-bootbox-alert-action=""
                                       href="javascript:;"><i class="fa fa-user-times"></i> <?=Language::show('unblock', 'keywords');?></a>
                                    <a ng-if="value.userUnderOdbMigration == false" ng-hide="value.isActive" class="btn btn-danger btn-small"
                                       ng-bootbox-confirm="<h4><?=Language::show('deleteConfirm', 'keywords')?></h4><br><span style='font-size:12px;'>Note : This action will result in <u>permanently</u> deleting all backups for this user.  Are you sure you wish to proceed?</span>"
                                       ng-bootbox-confirm-action="deleteUserProfile(value.userName, 'true', 'site')"
                                       ng-bootbox-confirm-action-cancel="" href="javascript:;"><i class="fa fa-trash"></i> <?=Language::show('delete', 'keywords');?></a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="row userListTableNavigate">
                        <div class="col-lg-12 text-center">
                            <p><span ng-cloak>Page {{currentpageCount}} of {{totalpageCount}}</span></p>
                            <a class="btn btn-primary first" title="First" ng-click="updateUsersNavigate('all',first)" style="display: none;"><i class="fa fa-angle-double-left"></i></a>
                            <a class="btn btn-primary previous" title="Previous" ng-click="updateUsersNavigate('all',previous)" style="display: none;"><i class="fa fa-angle-left"></i></a>
                            <a class="btn btn-primary next" title="Next" ng-click="updateUsersNavigate('all',next)" style="display: none;"><i class="fa fa-angle-right"></i></a>
                            <a class="btn btn-primary last" title="Last" ng-click="updateUsersNavigate('all',last)" style="display: none;"><i class="fa fa-angle-double-right"></i></a>
                        </div>
                    </div>
                </div>
</div>
</div><!--tab full end-->
<!--modal confirmation starts-->
  <div class="modal fade" id="confirmUnblock" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
		<h4 class="modal-title">Confirmation</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>                
        </div>
        <div class="modal-body">
                This user's device has been assigned to someone else, by saying yes will undo that. Are you sure you want to continue?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal"><?=Language::show('No', 'keywords')?></button>
          <button type="button" ng-click="unBlockUserProfile1(operatedUser, 'true', 'user')" class="btn btn-primary">Yes</button>
        </div>
      </div>
    </div>
  </div>
<!--modal confirmation ends-->		    
            </div>
        </div>
    </div>
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
<?php View::renderTemplate('partials/scripts')?>
<script src="<?=Url::templatePath()?>js/angular/controllers/UserController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<script src="<?=Url::templatePath()?>js/angular/directives/fileUpload.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<script>
    $(function() {
    $('.tooltip-wrapper').tooltip({position: "bottom"});
});
</script>
<style>
.tooltip-wrapper.disabled {
  cursor: not-allowed;
}
<?php if(isMobile()){?>
.main{
    padding:0px !important;
}
<?php } ?>
</style>
<script>
var assignUsers = $(".assignUsers").select2({
        ajax: {
            url: "<?=DIR?>"+"userGroups/getAllUnBlockedUsersWithGroups",
            dataType: 'json',
            //delay: 250,
            data: function (params) {
                return {
                    q: params.term,
                    page: params.page
                };
            },
            processResults: function (data, params) {
                console.log(data);
                params.page = params.page || 1;
                return {
                    results: $.map(data.users, function (o) {
                return { id: o.userName, text: o.userName, img: o.profilePic };
                    }),
                    pagination: {
                        more: (params.page * 30) < data.total_count
                    }
                };
            },
            cache: true
        },
        escapeMarkup: function (markup) { return markup; },
        templateResult: selectTemplateResult,
	templateSelection: selectTemplateSelection,
	minimumInputLength: 3,
        placeholder: 'Select users'
    });

    function addAssignUsers(selectedMiniCloudName) {
        assignUsers.val(null).trigger("change");
        var miniClouds = $('.attachedUsersFor' + selectedMiniCloudName).html().split(',');
        miniClouds.forEach(function(value, key){
            if(value.length > 0){
                $('#selectAssignUsers').append($('<option>', {
                    value: value,
                    text: value
                }));
            }
        });

        $('[name="miniCloudName"]').val(selectedMiniCloudName);
        $('#assignUsers').modal('show');
        assignUsers.val(miniClouds).trigger("change");
    }

    function selectTemplateResult(users){
        if(users.text != undefined){
            var template = "<div class='select2-result-repository clearfix'><div class='select2-result-repository__avatar'>";
            if(users.img){
                template += "<img style='-webkit-border-radius: 50px;-moz-border-radius: 50px;border-radius: 50px;' width='30px' height='30px' src='"+ users.img +"'> ";
            }
            template += users.text + "</div></div>";
            return template;
        }else{
            return "<div class='select2-user-result'>Fetching...</div>";
        }
    }

    function selectTemplateSelection(users){
        return users.text;
    }

    var assignSites = $(".assignSites").select2({
        ajax: {
            url: "<?=DIR?>"+"getAllUnBlockedSites",
            dataType: 'json',
            //delay: 250,
            data: function (params) {
                return {
                    q: params.term,
                    page: params.page
                };
            },
            processResults: function (data, params) {
                console.log(data);
                params.page = params.page || 1;
                return {
                    results: $.map(data.users, function (o) {
                return { id: o.userName, text: o.userName, img: o.profilePic };
                    }),
                    pagination: {
                        more: (params.page * 30) < data.total_count
                    }
                };
            },
            cache: true
        },
        escapeMarkup: function (markup) { return markup; },
        templateResult: selectTemplateResultSites,
	templateSelection: selectTemplateSelectionSites,
	minimumInputLength: 3,
        placeholder: 'Select sites'
    });

    function selectTemplateResultSites(users){
        if(users.text != undefined){
            var template = "<div class='select2-result-repository clearfix'><div class='select2-result-repository__avatar'>";
            if(users.img){
                template += "<img style='-webkit-border-radius: 50px;-moz-border-radius: 50px;border-radius: 50px;' width='30px' height='30px' src='"+ users.img +"'> ";
            }
            template += users.text + "</div></div>";
            return template;
        }else{
            return "<div class='select2-user-result'>Fetching...</div>";
        }
    }

    function selectTemplateSelectionSites(users){
        return users.text;
    }

</script>
<style>
.not-allowed {
    pointer-events: none !important;
    opacity : 0.5 !important;
}
.invalid{
    background-color: gainsboro !important;
    cursor:not-allowed !important;
    opacity: 0.4 !important;
    pointer-events:none !important;
}
</style
