<?php
use \Core\View;
use Helpers\Url;
use Core\Language;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
*
* index.php
*
* @author Prashanth Kumar B - prashanth.kumar@parablu.com
* @version 2.0
* @date 7/10/15
* @time 11:55 AM
*
*/

?>
<div class="container">
    <div class="row">
        <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><a href="<?=Url::basePath('users')?>"><h3><?=$data['title']?></h3></a></li>
                <li><span>Manage users in bulk</span></li>
            </ol>
        </div>
    </div>
</div>
<div class="main" ng-controller="UserController">
    <span class="gotDiv d-none"><?=$data['div']?></span>
    <span class="currentPage d-none"><?='usersBulkBlockDelete'?></span>
    <div class="row profile">
        <div class="col-lg-1 col-md-1 col-sm-1">
            <?php if(!isMobile()){ View::renderTemplate('partials/sideBar', $data); }?>
        </div>
        <div class="col-lg-11 col-md-11 col-sm-11" block-ui="myBlockUI">
            <span class="d-none csrf_token"><?=$data['csrf_token']?></span>
            
            <div class="panel">
                <div class="panel-heading">
                    <h4><?=Language::show('Create Users', 'keywords')?></h4>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <a href="javascript:;" class="btn btn-small btn-default" ngf-select="readUserNamesFromExcelCreateUsers($files)" <?php if(isMobile()){ ?> disabled <?php } ?>><i class="share-icon fa fa-upload"> Import User ID's from Excel</i></a>
                        <a class="btn btn-small btn-default" href="<?=Url::basePath('users')?>" ><i class="fa fa-times"></i> Cancel</a>
                    </div>
                    <a href="" ng-click="downloadSample('bulkcreateusers')" style="<?php if(isMobile()){?>pointer-events:none;opacity: 0.5; <?php } ?>cursor: pointer;font-weight:600 !important;"><i class="fa fa-download"></i> Download template</a>
                    </br>
		    <?php if(complexPassword == true){ ?>
			<span class="help-line text-muted">Note:- Please note that complex password policy enforcement is not possible during a bulk user import operation.  If complex passwords are desired, please ensure such complex passwords are entered in the import spreadsheet.</span>
		    <?php } ?>
                    <?php if(isMobile()){ ?>
                        <span class="help-line text-muted">Note:- Bulk Import feature is available from your workstation.</span>
                    <?php } ?>
                    <div class="row uncreatedUsers col-lg-12" style="display: none;">
                
                    <div class="panel-heading">
                        <h3>
                            User creation status
                            <a id="uncreatedDump" ng-click="downloadSample('downloadDump')" class="btn btn-success btn-small pull-right" style="display:none;">Download List</a>
                            <span id="uncreatedDumpStatement" style="color: #f55753;font-size: 0.7em !important;"></span>
                        </h3>
                    </div>
                    <div class="panel-body col-lg-12 table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th><?=Language::show('username', 'keywords')?></th>
                                    <th><?=Language::show('status', 'keywords')?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="value in not_created track by $index">
                                    <!--<td ng-class="{DELETED:'invalid', BLOCKED: 'invalid'}[value.status]" ng-cloak>{{ value.userName }}</td>-->
                                    <td ng-cloak>{{ value.userName }}</td>
                                    <td ng-cloak>{{ value.errorMessage }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                
            </div>
                </div>
            </div>
            
            <div class="panel">
                <div class="panel-heading">
                    <h4><?=Language::show('Block Multiple Users', 'keywords')?></h4>
                </div>
                <div class="panel-body">
                    <div class="form-group d-none">
                        <label for="userNames"><?=Language::show('userNames', 'keywords');?></label><br/>
                        <!--<select class="blockUserNames" name="blockUserNames[]" style="width: 100%;" id="userNames" multiple="multiple" required></select>-->
                        <input type="text" data-role="tagsinput" value="" class="form-control blockUserNames" name="blockUserNames[]" id="blockUserNames" placeholder="<?=Language::show('enter', 'keywords');?> <?=Language::show('userId', 'keywords');?>" required autocomplete="off" style="display: none;">
                    </div>
                    <div class="form-group">
                        <a ng-click="blockUnBlockMultipleUsers(false)" class="block btn btn-small btn-danger" disabled><i class="fa fa-lock"></i> Block</a>
                        <!--<a ng-click="vusers()" class="block btn btn-danger"><i class="fa fa-save"></i> Block</a>-->
                        <!--<a ng-click="blockUnBlockMultipleUsers(true)" class="unblock btn btn-success"><i class="fa fa-save"></i> UnBlock</a>-->
                        <!--<a ng-click="deleteMultipleUsers()" class="delete btn btn-danger"><i class="fa fa-save"></i> Delete</a>-->
                        <a href="javascript:;" class="btn btn-small btn-default" ngf-select="readUserNamesFromExcel($files)" <?php if(isMobile()){ ?> disabled <?php } ?>><i class="share-icon fa fa-upload"> Import User ID's from Excel</i></a>
                        <a class="btn btn-small btn-default" href="<?=Url::basePath('users')?>" <?php if(isMobile()){ ?>style="margin-top: 5px;" <?php }?>><i class="fa fa-times"></i> Cancel</a>
                    </div>
                    <a href="" ng-click="downloadSample('bulkblockusers')" style="<?php if(isMobile()){?>pointer-events:none;opacity: 0.5; <?php } ?>cursor: pointer;font-weight:600 !important;"><i class="fa fa-download"></i> Download template</a>
                    </br>
                    <?php if(isMobile()){ ?>
                        <span class="help-line text-muted">Note:- Bulk Import feature is available from your workstation.</span>
                    <?php } ?>
                    <div class="row blockusers" style="display: none;">
                
                    <div class="panel-heading">
                        <h3>
                            Block Users -
                            <!--<span id="selected_users" style="color: #f55753;font-size: 0.9em;"></span>
                            <a ng-click="startMigrating()" class="btn btn-success btn-small pull-right">Start Migrating Users</a>
                            <button id="selected" class="btn button-default">GetSelected</button>-->
                            <a id="blockDump" ng-click="downloadSample('downloadDump')" class="btn btn-success btn-small pull-right" style="display:none;">Download List</a>
                            <span id="blockStatement" style="color: #f55753;font-size: 0.7em !important;"></span>
                        </h3>
                    </div>
                    <div class="panel-body blockUsersPanel col-lg-12 table-responsive" style="display:none;">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th class="active">
                                        <input type="checkbox" class="select-all checkbox" name="select-all" checked/>
                                    <th><?=Language::show('username', 'keywords')?></th>
                                    <th><?=Language::show('email_address', 'keywords')?></th>
                                    <th><?=Language::show('Last Modified Time', 'keywords')?></th>
                                    <th><?=Language::show('User Type', 'keywords')?></th>
                                    <th class="text-center"><?=Language::show('status', 'keywords')?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="value in userList track by $index">
                                    <td ng-class="{disablee:'invalid'}[value.flag]">
                                        <input type="checkbox" class="select-item checkbox" name="select-item" value="{{ value.userName }}" ng-checked="value.status == 'ACTIVE' && value.flag != 'disablee'" ng-disabled="value.flag == 'disablee' || value.status == 'User does not exist or invalid'"/>
                                    </td>
				    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{ value.userName }}</td>
                                    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{ value.emailId }}</td>
                                    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{value.time}}</td>
				    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{value.type}}</td>
                                    <td class="text-center" ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>
                                        <h5><label class="label label-success" ng-if="value.status == 'ACTIVE'"><?=Language::show('active', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'BLOCKED'"><?=Language::show('blocked', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'DELETED'"><?=Language::show('deleted', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'INVALID' || value.status == 'User does not exist or invalid'"><?=Language::show('User not found', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'CurrentUser'"><?=Language::show('User logged in', 'keywords')?></label></h5>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                
            </div>
                </div>
            </div>
        
            <div class="panel">
                <div class="panel-heading">
                    <h4><?=Language::show('Delete/Unblock Multiple Users', 'keywords')?></h4>
                </div>
                <div class="panel-body">
                    <div class="form-group d-none">
                        <label for="userNames"><?=Language::show('userNames', 'keywords');?></label><br/>
                        <!--<select class="deleteUserNames" name="deleteUserNames[]" style="width: 100%;" id="userNames" multiple="multiple" required></select>-->
                        <input type="text" data-role="tagsinput" value="" class="form-control deleteUserNames" name="deleteUserNames[]" id="deleteUserNames" placeholder="<?=Language::show('enter', 'keywords');?> <?=Language::show('userId', 'keywords');?>" required autocomplete="off">
                    </div>
                    <div class="form-group">
                        <a ng-click="blockUnBlockMultipleUsers(true)" class="unblock btn btn-small btn-success" disabled><i class="fa fa-unlock"></i> UnBlock</a>
                        <a ng-click="deleteMultipleUsers()" class="delete btn btn-small btn-danger" disabled><i class="fa fa-trash"></i> Delete</a>
                        <a href="javascript:;" class="btn btn-small btn-default" ngf-select="readUserNamesFromExcel1($files)" <?php if(isMobile()){ ?>style="margin-top: 5px;" <?php }?> <?php if(isMobile()){ ?> disabled <?php } ?>><i class="share-icon fa fa-upload"> Import User ID's from Excel</i></a>
                        <a class="btn btn-small btn-default" href="<?=Url::basePath('users')?>" <?php if(isMobile()){ ?>style="margin-top: 5px;" <?php }?>><i class="fa fa-times"></i> Cancel</a>
                    </div>
                    <a href="" ng-click="downloadSample('bulkdeleteunblockusers')" style="<?php if(isMobile()){?>pointer-events:none;opacity: 0.5; <?php } ?>cursor: pointer;font-weight:600 !important;"><i class="fa fa-download"></i> Download template</a>
                    </br>
                    <?php if(isMobile()){ ?>
                        <span class="help-line text-muted">Note:- Bulk Import feature is available from your workstation.</span>
                    <?php } ?>
                    <div class="row unblockdeleteusers" style="display: none;">
                
                    <div class="panel-heading">
                        <h3>
                            Unblock/Delete Users -
                            <!--<span id="selected_users" style="color: #f55753;font-size: 0.9em;"></span>
                            <a ng-click="startMigrating()" class="btn btn-success btn-small pull-right">Start Migrating Users</a>
                            <button id="selected" class="btn button-default">GetSelected</button>-->
                            <a id="unblockDump" ng-click="downloadSample('downloadDump')" class="btn btn-success btn-small pull-right" style="display:none;">Download List</a>
                            <span id="unblockStatement" style="color: #f55753;font-size: 0.7em !important;"></span>
                        </h3>
                    </div>
                    <div class="panel-body unblockUsersPanel col-lg-12 table-responsive" style="display:none;">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>
                                        <input type="checkbox" class="select-all checkbox" name="select-all" checked/>
                                    </th>
                                    <th><?=Language::show('username', 'keywords')?></th>
                                    <th><?=Language::show('email_address', 'keywords')?></th>
                                    <th><?=Language::show('Last Modified Time', 'keywords')?></th>
                                    <th><?=Language::show('User Type', 'keywords')?></th>
                                    <th class="text-center"><?=Language::show('status', 'keywords')?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="value in userUnblockList track by $index">
                                    <td ng-class="{disablee:'invalid'}[value.flag]">
                                        <input type="checkbox" class="select-item checkbox" name="select-item" value="{{ value.userName }}" ng-checked="value.status == 'BLOCKED' && value.flag != 'disablee'" ng-disabled="value.status == 'ACTIVE' || value.status == 'DELETED'|| value.status == 'INVALID' || value.status == 'CurrentUser' || value.status == 'User does not exist or invalid'"/>
                                    </td>
                                    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{ value.userName }}</td>
                                    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{ value.emailId }}</td>
                                    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{value.time}}</td>
				    <td ng-class="{disablee:'invalid'}[value.flag]" ng-cloak>{{value.type}}</td>
                                    <td ng-class="{disablee:'invalid'}[value.flag]" class="text-center" ng-cloak>
                                        <h5><label class="label label-success" ng-if="value.status == 'ACTIVE'"><?=Language::show('active', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'BLOCKED'"><?=Language::show('blocked', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'DELETED'"><?=Language::show('deleted', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'INVALID' || value.status == 'User does not exist or invalid'"><?=Language::show('User not found', 'keywords')?></label></h5>
                                        <h5><label class="label label-danger" ng-if="value.status == 'CurrentUser'"><?=Language::show('User logged in', 'keywords')?></label></h5>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    
                  </div>
                </div>
            </div>
<!--soft block start-->
        <?php if($data['softBlockEnabled'] == true){?>
            <div class="panel" id="approveUserBlockingDiv">
                <div class="panel-heading">
                    <h4><?=Language::show('Approve User Blocking', 'keywords')?></h4>
                </div>
                <div class="panel-body">
                    <div class="form-group hide">
                        <label for="userNames"><?=Language::show('userNames', 'keywords');?></label><br/>
                        <input type="text" data-role="tagsinput" value="" class="form-control deleteUserNames" name="deleteUserNames[]" id="deleteUserNames" placeholder="<?=Language::show('enter', 'keywords');?> <?=Language::show('userId', 'keywords');?>" required autocomplete="off">
                    </div>
                    <div class="form-group">
                        <a ng-click="getUsersSoftDelete()" class="btn btn-small btn-success"> Get Users List</a>
			<a ng-click="exportSoftDeletedUsersToExcel()" class="btn btn-small btn-success" <?php if(isMobile()){ ?>style="margin-top: 5px;" <?php }?>>Export Users</a>
                        <a class="softBlock btn btn-small btn-danger" ng-bootbox-confirm="<h4><?=Language::show('Are you sure to block the selected users?', 'keywords')?></h4>"ng-bootbox-confirm-action="softBlockUsers(false)" ng-bootbox-confirm-action-cancel="" href="javascript:;" disabled><i class="fa fa-lock"></i> <?=Language::show('block', 'keywords');?></a>
                        <a class="btn btn-small btn-default" href="<?=Url::basePath('users')?>" <?php if(isMobile()){ ?>style="margin-top: 5px;" <?php }?>><i class="fa fa-times"></i> Cancel</a>
                        <h3><span id="softblockStatement" style="color: #f55753;font-size: 0.7em !important;"></span></h3>
                    </div>
                    </br>
                    <div class="row softBlockUsers" style="display: none;">
                        <div class="panel-heading">
                            <h3>
                                Blocked users waiting for approval
                            </h3>
                        </div>
                        <div class="panel-body softblockUsersPanel col-lg-12" style="display:none;">
			    <div class="form-group col-lg-6">
				<input class="form-control" type="text" id="searchBlockedInput" onkeyup="searchedBlockedUsers()" placeholder="Search for Usernames.." title="Type in a name">
			    </div>
			    <div class="softBlockListDiv table-responsive">
                            <table class="table table-bordered" id="softBlockListTable">
                                <thead>
                                    <tr>
                                        <th>
                                            <input title="select all" type="checkbox" class="select-allsoft checkbox" name="select-allsoft"/>
                                        </th>
                                        <th class="text-left clickAble" ng-click="sortType = 'userName'; sortReverse = !sortReverse">
                                            <?=Language::show('username', 'keywords')?>
                                            <span ng-show="sortType == 'userName' && !sortReverse" class="fa fa-caret-up"></span>
                                            <span ng-show="sortType == 'userName' && sortReverse" class="fa fa-caret-down"></span>
                                        </th>
                                        <th class="text-left clickAble" ng-click="sortType = 'emailId'; sortReverse = !sortReverse">
                                            <?=Language::show('email_address', 'keywords')?>
                                            <span ng-show="sortType == 'emailId' && !sortReverse" class="fa fa-caret-up"></span>
                                            <span ng-show="sortType == 'emailId' && sortReverse" class="fa fa-caret-down"></span>
                                        </th>
					<th class="text-left clickAble" ng-click="sortType = 'softBlockedTimeInMillis'; sortReverse = !sortReverse">
                                            <?=Language::show('Soft Blocked Time', 'keywords')?>
                                            <span ng-show="sortType == 'softBlockedTimeInMillis' && !sortReverse" class="fa fa-caret-up"></span>
                                            <span ng-show="sortType == 'softBlockedTimeInMillis' && sortReverse" class="fa fa-caret-down"></span>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="value in softBlockList | orderBy:sortType:sortReverse track by $index">
                                        <td>
                                            <input type="checkbox" class="select-itemsoft checkbox" name="select-itemsoft" value="{{ value.userName }}"/>                                        
                                        </td>
                                        <td ng-cloak>{{ value.userName }}</td>
                                        <td ng-cloak>{{ value.emailId }}</td>
					<td ng-cloak>{{ value.softBlockedTime }}</td>
                                    </tr>
                                </tbody>
                            </table>
			    </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
<!--soft block end-->
            <?php if(STORAGE_TYPE == "ONE_DRIVE" && $data['oneDriveBackupType'] == 'MUX'){?>
	    <div class="panel">
                <div class="panel-heading">
                    <h4><?=Language::show('Bulk mapping of users to a multiplexed OneDrive for Business', 'keywords')?></h4>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <a class="btn btn-success btn-small" ng-click="muxUsers()"><?=Language::show('Map Users', 'keywords');?></a>
                    </div>
                    </br>
                </div>
            </div>
        </div>
    </div>
<!--modal start-->
<div class="modal" id="multiplexed" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
			    <h5 class="modal-title">Bulk mapping of users to a multiplexed OneDrive for Business</h5>
<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <br/><br/>
                        <div class="modal-body">
                            <div class="row usersFound col-lg-12" style="display: none;">
                                <div class="row col-lg-12">
                                    <div class="table-responsive col-lg-4 usersTable">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>
                                                        <input type="checkbox" class="select-allmux checkbox" name="select-all"/>
                                                    </th>
                                                    <th class="text-center clickAble" ng-click="currentBackupSortType = 'userName'; sortReverse = !sortReverse">
                                                        <?=Language::show('Un mapped users', 'keywords')?>
                                                        <span ng-show="currentBackupSortType == 'userName' && !sortReverse" class="fa fa-caret-up"></span>
                                                        <span ng-show="currentBackupSortType == 'userName' && sortReverse" class="fa fa-caret-down"></span>
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            <tr ng-repeat="value in muxedUsers">
                                                <td class="text-center">
                                                    <input type="checkbox" class="select-itemmux checkbox" name="select-itemmux" value="{{ value }}" ng-click="itemSelect()"/>
                                                </td>
                                                <td class="text-left" title="{{ value }}" ng-cloak>{{ value | limitTo:20}}{{value.length > 20 ? '...' : ''}}</td>
                                            </tr>
                                            </tbody>
                                        </table>
        
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group row">
                                            <label for="selectedUsers"><?=Language::show('Selected users', 'keywords');?></label><br/>
                                            <input type="text" data-role="tagsinput" value="" class="form-control selectedUsers" name="selectedUsers[]" id="selectedUsers" placeholder="<?=Language::show('enter', 'keywords');?> <?=Language::show('Selected Users', 'keywords');?>" required autocomplete="off">
                                        </div>
                                        <div class="form-group row">
                                            <label for="bucketName"><?=Language::show('Assign OneDrive for Business Id to use as backup target', 'keywords');?></label><br/>
                                            <input type="text" value="" class="form-control bucketName" name="bucketName" id="bucketName" placeholder="<?=Language::show('enter', 'keywords');?> <?=Language::show('OneDrive for Business Id to use as backup target', 'keywords');?>" required autocomplete="off">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <div class="row noUsers" style="display: none;">
                            <div class="panel-body col-lg-12">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <h2 align="center"><?=Language::show('No Users found !!!!!!', 'keywords');?></h2>
                                        </div>
                                </div>
                            </div>
                        </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                <a class="btn btn-success"
                                    ng-bootbox-confirm="<h4><?=Language::show('datamigrationConfirm', 'keywords')?></h4>"
                                    ng-bootbox-confirm-action="startMuxing()"
                                    ng-bootbox-confirm-action-cancel=""
                                    href="javascript:;"><?=Language::show('Start', 'keywords');?>
                                </a>
                        </div>
                    </div>
                </div>
            </div>
<!--modal end-->
<?php } ?>
</div>
    <?php View::renderTemplate('partials/search', $data); ?>
</div><!-- /.container -->
<?php View::renderTemplate('partials/scripts')?>
<script src="<?=Url::templatePath()?>js/angular/controllers/UserController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<script>
   /* $(".deleteUserNames").select2({
        ajax: {
            url: "<?=DIR?>"+"user/getAllBlockedUsers",
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    q: params.term, // search term
                    page: params.page
                };
            },
            processResults: function (data, params) {
                console.log(data.users);
                params.page = params.page || 1;
                if(data.users.length > 0){
                    $('.assignSaveBtn').removeAttr('disabled');
                }
                return {
                    results: $.map(data.users, function (o) {
                        return { id: o.userName, text: o.userName, img: o.profilePic };
                    }),
                    pagination: {
                        more: (params.page * 30) < data.total_count
                    }
                };
            },
            cache: true
        },
        escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
        minimumInputLength: 0,
        templateResult: selectTemplateResult,
        templateSelection: selectTemplateSelection,
        placeholder: 'Select users'
    });

    $(".blockUserNames").select2({
        ajax: {
            url: "<?=DIR?>"+"user/getAllUnBlockedUsers",
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    q: params.term, // search term
                    page: params.page
                };
            },
            processResults: function (data, params) {
                params.page = params.page || 1;
                if(data.users.length > 0){
                    $('.assignSaveBtn').removeAttr('disabled');
                }
                return {
                    results: $.map(data.users, function (o) {
                        return { id: o.userName, text: o.userName, img: o.profilePic };
                    }),
                    pagination: {
                        more: (params.page * 30) < data.total_count
                    }
                };
            },
            cache: true
        },
        escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
        minimumInputLength: 0,
        templateResult: selectTemplateResult,
        templateSelection: selectTemplateSelection,
        placeholder: 'Select users'
    });

    function selectTemplateResult(users){
        if(users.text != undefined){
            var template = "<div class='select2-result-repository clearfix'><div class='select2-result-repository__avatar'>";
            if(users.img){
                template += "<img style='-webkit-border-radius: 50px;-moz-border-radius: 50px;border-radius: 50px;' width='30px' height='30px' src='"+ users.img +"'> ";
            }
            template += users.text + "</div></div>";
            return template;
        }else{
            return "<div class='select2-user-result'>Fetching...</div>";
        }
    }

    function selectTemplateSelection(users){
        return users.text;
    }*/
</script>
<script>
    $(function(){

        //button select all or cancel
        $("#select-all").click(function () {
            var all = $("input.select-all")[0];
            all.checked = !all.checked;
            var checked = all.checked;
            $("input.select-item").each(function (index,item) {
                item.checked = checked;
            });
        });

        //button select invert
        $("#select-invert").click(function () {
            $("input.select-item").each(function (index,item) {
                item.checked = !item.checked;
            });
            checkSelected();
        });

        //button get selected info
        $("#selected").click(function () {
            var items=[];
            $("input.select-item:checked:checked").each(function (index,item) {
                items[index] = item.value;
            });
            if (items.length < 1) {
                //document.getElementById("selected_users").innerHTML = "";
            }else {
                var values = items.join();
                console.log("items"+items);
                console.log(values);
                //var html = $("<div></div>");
                //document.getElementById("selected_users").innerHTML = arr;
                //html.html("selected:"+values);
                //html.appendTo("body");
            }
        });

        //column checkbox select all or cancel
        $("input.select-all").click(function () {
            var checked = this.checked;
            $("input.select-item").each(function (index,item) {
                if(!$(this).is('[disabled=disabled]')){
                item.checked = checked;
                }
            });
        });

        //check selected items
        $("input.select-item").click(function () {
            var checked = this.checked;
            console.log(checked);
            checkSelected();
        });

        //check is all selected
        function checkSelected() {
            var all = $("input.select-all")[0];
            var total = $("input.select-item").length;
            var len = $("input.select-item:checked:checked").length;
            console.log("total:"+total);
            console.log("len:"+len);
            all.checked = len===total;
        }
    });
</script>
<style>
    .invalid{
        background-color: gainsboro !important;
        cursor:not-allowed !important;
    }
</style>
<script>
    $(function(){

        //button select all or cancel
        $("#select-allmux").click(function () {
            var all = $("input.select-allmux")[0];
            all.checked = !all.checked;
            var checked = all.checked;
            $("input.select-itemmux").each(function (index,item) {
                item.checked = checked;
            });
        });

        //button select invert
        $("#select-invert").click(function () {
            $("input.select-itemmux").each(function (index,item) {
                item.checked = !item.checked;
            });
            checkSelected();
            });

        //button get selected info
        $("#selected").click(function () {
            var items=[];
            $("input.select-itemmux:checked:checked").each(function (index,item) {
                items[index] = item.value;
            });
            if (items.length < 1) {
                //document.getElementById("selected_users").innerHTML = "";
            }else {
                var values = items.join();
                //console.log("items"+items);
                //console.log(values);
                //var html = $("<div></div>");
                //document.getElementById("selected_users").innerHTML = arr;
                //html.html("selected:"+values);
                //html.appendTo("body");
            }
        });

        //column checkbox select all or cancel
        $("input.select-allmux").click(function () {
            //console.log("chhhhh");
            var checked = this.checked;
            $("input.select-itemmux").each(function (index,item) {
                if(!$(this).is('[disabled=disabled]')){
                item.checked = checked;
                }
            });
            //console.log("all clicked");
            var usersSelected;
            var arr = $('input.select-itemmux:checkbox:checked').map(function () {
                return this.value;
            }).get();
            usersSelected = arr;
            $('.selectedUsers').tagsinput('removeAll');
            $('.selectedUsers').tagsinput('add', usersSelected.join());
        });
        //check selected items
        $("input.select-itemmux").click(function () {
            //console.log("vvvvv");
            var checked = this.checked;
            console.log(checked);
            checkSelected();
        });

        //check is all selected
        function checkSelected() {
            var all = $("input.select-allmux")[0];
            var total = $("input.select-itemmux").length;
            var len = $("input.select-itemmux:checked:checked").length;
            console.log("total:"+total);
            console.log("len:"+len);
            all.checked = len===total;
        }


    });


    </script>
    <script>
    $(function(){

        //button select all or cancel
        $("#select-allsoft").click(function () {
            var all = $("input.select-allsoft")[0];
            all.checked = !all.checked;
            var checked = all.checked;
            $("input.select-itemsoft").each(function (index,item) {
                item.checked = checked;
            });
        });

        //button select invert
        $("#select-invertsoft").click(function () {
            $("input.select-itemsoft").each(function (index,item) {
                item.checked = !item.checked;
            });
            checkSelected();
            });

        //button get selected info
        $("#selected").click(function () {
            var items=[];
            $("input.select-itemsoft:checked:checked").each(function (index,item) {
                items[index] = item.value;
            });
            if (items.length < 1) {
                //document.getElementById("selected_users").innerHTML = "";
            }else {
                var values = items.join();
                //console.log("items"+items);
                //console.log(values);
                //var html = $("<div></div>");
                //document.getElementById("selected_users").innerHTML = arr;
                //html.html("selected:"+values);
                //html.appendTo("body");
                }
        });

        //column checkbox select all or cancel
        $("input.select-allsoft").click(function () {
            //console.log("chhhhh");
            var checked = this.checked;
            $("input.select-itemsoft").each(function (index,item) {
                if(!$(this).is('[disabled=disabled]')){
                item.checked = checked;
                }
            });
            //console.log("all clicked");
            var usersSelected;
            var arr = $('input.select-itemsoft:checkbox:checked').map(function () {
                return this.value;
            }).get();
            usersSelected = arr;
            $('.selectedUsers').tagsinput('removeAll');
            $('.selectedUsers').tagsinput('add', usersSelected.join());
        });
        //check selected items
        $("input.select-itemsoft").click(function () {
            //console.log("vvvvv");
            var checked = this.checked;
            console.log(checked);
            checkSelected();
        });

        //check is all selected
        function checkSelected() {
            var all = $("input.select-allsoft")[0];
            var total = $("input.select-itemsoft").length;
            var len = $("input.select-itemsoft:checked:checked").length;
            console.log("total:"+total);
            console.log("len:"+len);
            all.checked = len===total;
        }
    });
	    
    function searchedBlockedUsers() {
  	var input, filter, table, tr, td, i, txtValue;
  	input = document.getElementById("searchBlockedInput");
  	filter = input.value.toUpperCase();
  	table = document.getElementById("softBlockListTable");
  	tr = table.getElementsByTagName("tr");
  	for (i = 0; i < tr.length; i++) {
    		td = tr[i].getElementsByTagName("td")[1];
    		if (td) {
      			txtValue = td.textContent || td.innerText;
      			if (txtValue.toUpperCase().indexOf(filter) > -1) {
        			tr[i].style.display = "";
      			} else {
        			tr[i].style.display = "none";
      			}
    		}
  	}
    }
</script>
