<?php
use \Core\View;
use Helpers\Auth;
use Helpers\Form;
use Helpers\Url;
use Core\Language;
/*
*
* Copyright 2015
* ParaBlu Systems Private Limited
* All Rights Reserved
*
* NOTICE:  All information contained herein is, and remains
* the property of ParaBlu Systems Private Limited and its suppliers, if any.
* The intellectual and technical concepts contained herein are proprietary
* to ParaBlu Systems Private Limited and its suppliers and may be covered by
* Indian, US and Foreign Patents, patents in process, and are protected by
* trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from ParaBlu Systems Private Limited.
* index.php
* @author Naveen Verma - naveenverma@parablu.com
* @version 2.5.5.2
* @date 14/12/2022
* @time 17:06 PM
*
*/
?>
<div class="container">
    <div class="row">
      <div class="col-lg-6">
            <ol class="breadcrumb">
                <li><h3><?=$data['title']?></h3></li>
                <li><?=$data['crumb1']?></li>
            </ol>
        </div>
    </div>
</div>
<div class="main" ng-controller="HistoryController">
    <span class="d-none csrf_token"><?=$data['csrf_token']?></span>
    <span class="d-none currentPage"><?='ransomwareActivityHistory'?></span>
    <span class="d-none redirectFrom"><?='fromAudit'?></span>
    <div class="row profile">
        <div class="col-lg-1 col-md-1 col-sm-1">
            <?php if(!isMobile()){ View::renderTemplate('partials/sideBar', $data); }?>
        </div>
        <div class="col-lg-11 col-md-11 col-sm-11 ng-cloak">
            <div class="panel">
                <div class="panel-heading">
                    <h4>
                        <?=Language::show('Unusual Activity History', 'keywords')?>
                        <?php if(Auth::checkUserPermission('admin')){ ?>
                            <a class="btn btn-default btn-small pull-right" data-toggle="modal" data-target="#assignUsers">Export Unusual Activity History To Excel</a>
                        <?php } ?>
                    </h4>
                </div>
		<div class="panel-body" style="padding: 0px 10px 10px 10px;">
		    <div class="h4 noactivity text-center" style="display: none;">No records found</div>
                    <div class="table-responsive activity" style="padding: 20px 10px 20px 40px;">
                        <div class="h4 loading text-center">Loading.....</div>
                        <ul class="mini-timeline">
                            <li ng-repeat="value in audits track by $index" class="mini-timeline-deeporange">
                                <div class="timeline-icon"></div>
                              <div class="timeline-body">
                                    <div class="timeline-content">
                                      <span>Unusual activity detected for user </span><span class="text-primary" ng-cloak>{{ value.userName }}</span><span> and device </span><span class="text-primary" ng-cloak>{{ value.deviceName }}</span><span class="time pull-right" ng-cloak>{{ value.time }}</span>
                                          <ul style="display:flex;">
                                              <li style="margin-right:15px;"><span>Total number of files : </span>{{value.totalNumberOfFiles}}</li>
                                              <li style="margin-right:15px;"><span>Number of files infected : </span>{{value.numberOfFilesInfected}}</li>
                                              <li style="margin-right:15px;"><span>Number of files deleted : </span>{{value.numberOfFilesDeleted}}</li>
                                              <li style="margin-right:15px;"><span>Number of new files : </span>{{value.numberOfNewFiles}}</li>
                                              <li style="margin-right:15px;"><span>Number of modified files : </span>{{value.numberOfFilesmodified}}</li>
                                          </ul>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="row activity">
                        <div class="col-lg-12 text-center">
                            <p><span ng-cloak>Page {{currentpageCount}} of {{totalpageCount}}</span></p>
                            <a class="btn btn-primary first" title="First" ng-click="navigateUnusualActivityHistory(first)" style="display: none;"><i class="fa fa-angle-double-left"></i></a>
                            <a class="btn btn-primary previous" title="Previous" ng-click="navigateUnusualActivityHistory(previous)" style="display: none;"><i class="fa fa-angle-left"></i></a>
                            <a class="btn btn-primary next" title="Next" ng-click="navigateUnusualActivityHistory(next)" style="display: none;"><i class="fa fa-angle-right"></i></a>
                            <a class="btn btn-primary last" title="Last" ng-click="navigateUnusualActivityHistory(last)" style="display: none;"><i class="fa fa-angle-double-right"></i></a>
                        </div>
                    </div>
                  </div>
            </div>
        </div>
    </div>
    <?php View::renderTemplate('partials/search', $data); ?>
    <div class="modal fade" id="assignUsers" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog">
            <?=
                Form::open(array(
                    'csrf' => $data['csrf_token'],
                    'class' => 'selectUsersForUnusualActivityHistory',
                    'autocomplete' => 'off',
                    'ng-submit' => 'exportUnusualActivityHistory()',
                    'data-parsley-validate' => true
                ));
            ?>
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Select Users and date range to Export</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body">
                    <div class="col-lg-12 row">
                        <div class="col-lg-6">
                            <div class="checkbox check-primary">
                                <input id="allAdmins" name="allAdmins" type="checkbox" value="admins">
                                <label for="allAdmins"><?=Language::show('Get History for all admins', 'keywords');?></label>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="checkbox check-primary">
                                <input id="users" name="users" type="checkbox" value="users">
                                <label for="users"><?=Language::show('Get History for users', 'keywords');?></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="owner"></label>
                        <select class="assignUsers" name="userNames" style="width: 100%;" id="selectAssignUsers" multiple="multiple"></select>
                    </div>
                    <div class="input-group input-daterange">
                        <input type="text" id="from" name="from" class="form-control" value="{{ search.from }}">
                        <span class="input-group-addon">to</span>
                        <input type="text" id="to" name="to" class="form-control" value="{{ search.to }}">
                    </div>
                    <br/>
                    <p class="d-none" style="text-align: right">Note:- Duration should not exceed 15 days</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary exportExcelGenerateUA">Export to Excel</button>
                </div>
            </div>
            <?=
                Form::close();
            ?>
        </div>
    </div>
</div><!-- /.container -->
<?php View::renderTemplate('partials/scripts')?>
<script src="<?=Url::templatePath()?>js/angular/controllers/HistoryController.js?<?=VERSIONS_NUMBER?>" type="text/javascript"></script>
<script>
  $('#from').datepicker({
        //format: 'mm/dd/yyyy',
        format: 'dd-M-yyyy',
        autoclose: true,
        startDate: '-1y',
        endDate: '+0d',
        todayHighlight: true
    });
    var currentDate = new Date();
    currentDate.setDate(currentDate.getDate() - 14);
    $('#from').datepicker('update', currentDate);

    $('#to').datepicker({
        format: 'dd-M-yyyy',
        autoclose: true,
        //startDate: '-1y',
        //endDate: '+0d',
        todayHighlight: true
    });
    $("#to").datepicker().datepicker("setDate", new Date());
    $("#to").datepicker().datepicker('setEndDate', new Date());

    $("#allAdmins").on('change', function(){
        if($("#allAdmins").prop('checked') || $("#users").prop('checked')){
            $(".assignUsers").attr('disabled', 'disabled');
        }else{
            $(".assignUsers").removeAttr('disabled', 'disabled');
        }
    });

    $("#users").on('change', function(){
        if($("#users").prop('checked') || $("#allAdmins").prop('checked')){
            $(".assignUsers").attr('disabled', 'disabled');
        }else{
            $(".assignUsers").removeAttr('disabled', 'disabled');
        }
      });

    $(".assignUsers").select2({
        maximumSelectionLength: 1,
        ajax: {
            url: "<?=DIR?>"+"user/searchUserName",
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    q: params.term, // search term
                    page: params.page
                };
            },
            processResults: function (data, params) {
                params.page = params.page || 1;
                if(data.users.length > 0){
                    $('.changeOwnerSaveBtn').removeAttr('disabled', 'disabled');
                }
                return {
                    results: $.map(data.users, function (o) {
                        return { id: o.userName, text: o.userName, img: o.profilePic };
                    }),
                    pagination: {
                        more: (params.page * 30) < data.total_count
                    }
                };
            },
            cache: true
        },
        escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
        templateResult: selectTemplateResult,
        templateSelection: selectTemplateSelection,
        placeholder: 'Select a User'
    });
  
  function selectTemplateResult(users){
        if(users.text != undefined && users.text != 'all'){
            var template = "<div class='select2-result-repository clearfix'><div class='select2-result-repository__avatar'>";
            if(users.img){
                template += "<img style='-webkit-border-radius: 50px;-moz-border-radius: 50px;border-radius: 50px;' width='30px' height='30px' src='"+ users.img +"'> ";
            }
            template += users.text + "</div></div>";


            return template;
        }/*else{
            return "<div class='select2-user-result'>Fetching...</div>";
        }*/
    }

    function selectTemplateSelection(users){
        return users.text;
    }

    $('#assignUsers').on('hidden.bs.modal', function () {
        window.location.reload(true);
    });
</script>
