<?php

namespace Controllers;

use Core\Language;
use Core\View;
use Core\Controller;
use Helpers\Auth;
use Helpers\Url;
use Models\Settings;
/*
 * Copyright 2014
 * ParaBlu Systems Private Limited
 * All Rights Reserved
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of ParaBlu Systems Private Limited and its suppliers, if any.
 * The intellectual and technical concepts contained herein are proprietary
 * to ParaBlu Systems Private Limited and its suppliers and may be covered by
 * Indian, US and Foreign Patents, patents in process, and are protected by
 * trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from ParaBlu Systems Private Limited.
 *
 * Login controller
 *
 * @author Prashanth Kumar B - prashanth.kumar@parablu.com
 * @version 2.0
 * @date June 10, 2015
 *
 */

class SettingsController extends Controller{

    /**
     * Below variable contains the object reference of a model
     */

    protected $_model;

    /**
     * Call the parent construct
     */
    public function __construct(){
        parent::__construct();
        $this->auth->loginCheck();
        $this->language->load('settings');
        $this->_model = new Settings();
	$this->verifyAndCleanItUp();
        //Auth::allowOnly('admin');
    }

    /**
     * Display for my account details
     */
    public function dashboard(){
	//Auth::allowOnly('admin');
        $onedriveBkpEnabled = 'false';
        if($this->session->get('onedriveBkpEnabled') == true){
            $onedriveBkpEnabled = 'true';
        }
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('dashboard'),
            'active' => 'settings',
            'onedriveBkpEnabled' => $onedriveBkpEnabled,
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all(),
            'isLdapEnabled' => $this->session->get('isLdapEnabled'),
            'isAADEnabled' => $this->session->get('isAADEnabled')
        );	    
	/*if($this->session->get('graphApiEnabled') == 'true' && STORAGE_TYPE == "ONE_DRIVE"){
		$showCC = 'false';
		if(Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
			$showOffice = 'true';
		}
		if(!Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
			$showOffice = 'true';
		}
		if(Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
			$showOffice = 'true';
		}
	}else{
		$showCC = 'true';
		if(Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
			$showOffice = 'false';
		}
		if(!Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
			$showOffice = 'true';
		}
		if(Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
			$showOffice = 'true';
		}
	}	    
	if(Auth::checkCloudPermission('sync') && STORAGE_TYPE == "ONE_DRIVE" && !Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
                $showCC = 'false';
                $showOffice = 'true';
        }
        if(Auth::checkCloudPermission('sync') && STORAGE_TYPE != "ONE_DRIVE" && !Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
                $showCC = 'true';
                $showOffice = 'false';
	}*/
	$showCC = 'true';
        $showOffice = 'true';
	$data['showCC'] = $showCC;
	$data['showOffice'] = $showOffice;
	if($this->session->get('c2cRestoreEnabled') == 'true'){
                $data['showC2CCredentials'] = 'true';
        }else{
                $data['showC2CCredentials'] = 'false';
        }
	$headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token')
        );
	$cloudProperties = $this->_model->getCloudProperties($headers);
        $data['oneDriveBackupType'] = $cloudProperties['body']->{'cloudPropertyElement'}->{'oneDriveBackupType'};
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/dashboard', $data);
        View::renderTemplate('footer', $data);
    }

    /**
     * Display for my account details
     */
    public function email(){
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('emailConfiguration'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/email', $data);
        View::renderTemplate('footer', $data);
    }

    public function writeToMailConfig(){
        if(!empty($_POST['hostName']) && !empty($_POST['portNumber']) && !empty($_POST['fromName']) && !empty($_POST['emailUsername']) && !empty($_POST['emailPassword'])){
            $values = htmlentities($_POST['hostName']).' '.htmlentities($_POST['portNumber']).' '.htmlentities($_POST['fromName']).' '.htmlentities($_POST['emailUsername']).' '.$_POST['emailPassword'];
            $scriptOutput = shell_exec('sh /var/lib/parablusys/bin/mailoverwrite.sh '.$values);
            $this->log('scriptOutput' . json_encode($scriptOutput), 'info');
            $data = array(
                'result'=>'success',
                'msg' => 'Details has been successfully saved'
            );
            echo json_encode($data);
        }else{
            $data = array(
                'result' => 'error',
                'msg'=>'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }
    
    public function office365Settings(){
        $userDetails = $this->_model->getUserDetails(array('token' => $this->session->get('token'), 'loggedInUserName' => base64_encode($this->session->get('userName'))), base64_encode($this->session->get("userName")));
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );
        
        $onedriveBkpEnabled = 'false';
        if($this->session->get('onedriveBkpEnabled') == true){
            $onedriveBkpEnabled = 'true';
        }
	if($this->session->get('exchange_backup_enabled') == "true"){
                $exchangeBackupEnabled = 'true';
        }else{
                $exchangeBackupEnabled = 'false';
        }
        $data = array(
            'title' => $this->language->get('indexPageName'),
             'crumb1' => 'Office 365 Settings',
            'active' => 'settings',
            'userDetails' => $userDetails['body'],
            'onedriveBkpEnabled' => $onedriveBkpEnabled,
	    'exchangeBackupEnabled' => $exchangeBackupEnabled,
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
            'storageType' => 'GoogleDrive',
        );
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/office365Settings', $data);
        View::renderTemplate('footer', $data);
    }
    
    public function blukryptSettings(){
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );
        $result = $this->_model->getBlukryptSettings($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => 'Office 365 Backup Settings',
            'crumb2' => 'Agent Settings',
            'active' => 'settings',
            'proxy' => !empty($result['body']->{'MSAppBluKryptElementList'}) ? $result['body']->{'MSAppBluKryptElementList'} : [],
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/blukryptSettings', $data);
        View::renderTemplate('footer', $data);
    }
    
    public function getAllOneDriveControllerSettings(){
        if(empty($_POST)){
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
        $controllers = [];
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token')
        );
        $result = $this->_model->getBlukryptSettings($headers);
        $this->log($result);
        switch ($result['status']) {
            case (200):
                if(!empty($result['body']->{'MSAppBluKryptElementList'})){
                    foreach($result['body']->{'MSAppBluKryptElementList'} as $value){
                        $controllers = array_merge(array($value), $controllers);
                    }
                }
                $response = array(
                    'result' => 'success',
                    'controllers' => $controllers,
                );
                echo json_encode($response);
                exit;
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'code' => $result,
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
    }

    public function saveBlukryptSettings(){
        if (!empty($_POST['host']) && !empty($_POST['port'])) {
        $this->log("inside saveBlukeyptSettings","info");
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
            );
            $details = array(
                'name' => "",
                'host' => trim($_POST['host']),
                'port' => trim($_POST['port']),
            );
            $this->log("POSTtTTTT : ".json_encode($details),"info");
            $result = $this->_model->saveBlukryptSettings($headers, $details);
            switch ($result['status']) {
                case (200):
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                    'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        } else {
            $data = array(
                "post" => $_POST,
                'result' => 'error',
                'msg' => 'None of the field listed should be empty'
            );
            echo json_encode($data);
        }

    }

    public function saveEditBlukryptSettings(){
        if(!empty($_POST['edithost']) && !empty($_POST['editport'])) {
        $this->log("inside saveBlukeyptSettings","info");
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
            );
            $details = array(
                'name' => "",
                'host' => trim($_POST['edithost']),
                'port' => trim($_POST['editport']),
            );
            $this->log("POSTtTTTT : ".json_encode($details),"info");
            $result = $this->_model->saveBlukryptSettings($headers, $details);
            switch ($result['status']) {
                case (200):
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                        );
                    echo json_encode($data);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                $result = array(
                    'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        } else {
            $data = array(
                "post" => $_POST,
                'result' => 'error',
                'msg' => 'None of the field listed should be empty'
            );
            echo json_encode($data);
        }

    }


    public function oneDriveSettings(){
        $userDetails = $this->_model->getUserDetails(array('token' => $this->session->get('token'), 'loggedInUserName' => base64_encode($this->session->get('userName'))), base64_encode($this->session->get("userName")));
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );

        $result = $this->_model->getOneDriveDetails($headers);
	$this->log("RESULTTTT : ".json_encode($result),"info");
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => 'Office 365 Settings',
            'crumb2' => 'Tenant Settings',
            'active' => 'settings',
            'userDetails' => $userDetails['body'],
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
            'storageType' => 'GoogleDrive',
            'clientID'=> !empty($result["body"]->{"clientId"}) ? $result["body"]->{"clientId"} : '',
	    'appName' => !empty($result["body"]->{"appName"}) ? $result["body"]->{"appName"} : '',
            'clientRedirectURI'=> !empty($result["body"]->{"clientRedirectURI"}) ? $result["body"]->{"clientRedirectURI"} : '',
            'portalURL'=> !empty($result["body"]->{"portalURL"}) ? $result["body"]->{"portalURL"} : '',
            'clientSecretKey'=> !empty($result["body"]->{"clientSecretKey"}) ? $result["body"]->{"clientSecretKey"} : '',
            'clientResourceURL'=> !empty($result["body"]->{"clientResourceURL"}) ? $result["body"]->{"clientResourceURL"} : '',
            'clientTokenURL'=> !empty($result["body"]->{"clientTokenURL"}) ? $result["body"]->{"clientTokenURL"} : '',
            'configId'=> !empty($result["body"]->{"configId"}) ? $result["body"]->{"configId"} : '',
	    'tenantId'=> !empty($result["body"]->{"tenantId"}) ? $result["body"]->{"tenantId"} : '',
	    'user_principal' => !empty($result["body"]->{"accountId"}) ? $result["body"]->{"accountId"} : '',
	    'tokenMapped' => !empty($result['header']->{'container'}['tokenMapped']) ? $result['header']->{'container'}['tokenMapped'] : 'false',
        );
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/oneDriveSettings', $data);
        View::renderTemplate('footer', $data);
    }

    public function writeOneDriveSettings(){
     if (!empty($_POST['clientId']) && !empty($_POST['clientSecret']) && !empty($_POST['clientResourceURL']) && !empty($_POST['tenantId']) && !empty($_POST['portalURL'])) {
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
            );
            $this->log("TENANTID : ".$_POST['tenantId'],"info");
            $odbDetails = array(
		'appName' => trim($_POST['appName']),
                'clientId' => trim($_POST['clientId']),
                'configId' => trim($_POST['configId']),
                'clientSecretKey' => trim($_POST['clientSecret']),
                'clientRedirectURI' => trim($_POST['clientRedirectURI']),
                'clientResourceURL' => trim($_POST['clientResourceURL']),
                'clientTokenURL' => trim($_POST['clientTokenURL']),
                'tenantId' => trim($_POST['tenantId']),
                'portalURL' => trim($_POST['portalURL'])
            );
            $this->log("POSTtTTTT : ".json_encode($odbDetails),"info");
            $result = $this->_model->saveOneDriveDetails($headers, $odbDetails);
            $this->log(json_encode($odbDetails), "info");
            switch ($result['status']) {
                case (200):
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        } else {
            $data = array(
                "post" => $_POST,
                'result' => 'error',
                'msg' => 'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }

    /**
     * Below Method Renders ODB Configuration View
     */
    public function connector(){
        $userDetails = $this->_model->getUserDetails(array('token' => $this->session->get('token'), 'loggedInUserName' => base64_encode($this->session->get('userName'))), base64_encode($this->session->get("userName")));
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );
        $result = $this->_model->getOdbDetails($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('connector'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'userDetails' => $userDetails['body'],
            'loggedInUser' => $this->session->all(),
            'clientID'=> $result["body"][0]->{"clientId"},
            'clientRedirectURI'=> $result["body"][0]->{"clientRedirectURI"},
            'portalURL'=> $result["body"][0]->{"portalURL"},
            'clientSecretKey'=> $result["body"][0]->{"clientSecretKey"},
            'clientResourceURL'=> $result["body"][0]->{"clientResourceURL"},
            'configId'=> $result["body"][0]->{"configId"},
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/connector', $data);
        View::renderTemplate('footer', $data);
    }

    public function writeODB(){
        if (!empty($_POST['clientId']) && !empty($_POST['clientSecret']) && !empty($_POST['clientRedirectURI']) && !empty($_POST['clientResourceURL']) && !empty($_POST['portalURL'])) {
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
            );
            $odbDetails = array(
		'appName' => trim($_POST['appName']),
                'clientId' => trim($_POST['clientId']),
                'configId' => trim($_POST['configId']),
                'clientSecretKey' => trim($_POST['clientSecret']),
                'clientRedirectURI' => trim($_POST['clientRedirectURI']),
                'clientResourceURL' => trim($_POST['clientResourceURL']),
                'clientTokenURL' => trim($_POST['clientTokenURL']),
                'portalURL' => trim($_POST['portalURL'])
            );
            $result = $this->_model->saveOdbDetails($headers, $odbDetails);
            $this->log(json_encode($odbDetails), "info");
            switch ($result['status']) {
                case (200):
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        } else {
            $data = array(
                "post" => $_POST,
                'result' => 'error',
                'msg' => 'None of the field listed should be empty'
            );
            echo json_encode($data);
        }

    }

    public function writeGoogle(){
	if(!empty($_POST['clientId']) && !empty($_POST['clientSecret'])){
         $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
         );
		file_put_contents('/var/www/portal/app/Core/GoogleConfig.php',"<?php 
		define('GOOGLE_CLIENT_ID','".trim($_POST['clientId'])."');
		define('GOOGLE_SECRET_KEY','".trim($_POST['clientSecret'])."');
		define('GOOGLE_REDIRECT_URI','https://accounts.google.com/o/oauth2/auth');
		define('GOOGLE_TOKEN_URL', 'https://accounts.google.com/o/oauth2/token');
		define('GOOGLE_USER_INFO_URL', 'https://people.googleapis.com/v1/people/me?personFields=emailAddresses&access_token=');
		define('GOOGLE_SCOPE', 'email%20profile%20https://www.googleapis.com/auth/drive.file%20https://www.googleapis.com/auth/plus.me');
		define('GOOGLE_RESOURCE_URI', 'googleOAuth');
		?>");
            $googleDetails = array(
                'clientId' => trim($_POST['clientId']),
                'configId' => trim($_POST['configId']),
                'clientSecretKey' => trim($_POST['clientSecret'])
            );
            $result = $this->_model->saveGoogleDetails($headers, $googleDetails);
            $this->log(json_encode($googleDetails), "info");
            switch ($result['status']) {
                case (200):
		    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
		    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
 	    }
        }else {
            $data = array(
                "post" => $_POST,
                'result' => 'error',
                'msg' => 'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }


    public function writeODC(){
        if(!empty($_POST['ClientId']) && !empty($_POST['clientSecret']) && !empty($_POST['clientRedirectURI']) && !empty($_POST['clientResourceURL']) && !empty($_POST['portalURL'])){
            $values = htmlentities($_POST['ClientId']).' '.htmlentities($_POST['clientSecret']).' '.htmlentities($_POST['clientRedirectURI']).' '.htmlentities($_POST['clientResourceURL']).' '.$_POST['portalURL'];
            $scriptOutput = shell_exec('sh /var/lib/parablusys/bin/odcoverwrite.sh '.$values);
            $this->log('scriptOutput' . json_encode($scriptOutput), 'info');
            $data = array(
                'result'=>'success',
                'msg' => 'Details has been successfully saved'
            );
            echo json_encode($data);
        }else{
            $data = array(
                'result' => 'error',
                'msg'=>'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }

    /**
     * Below Method Renders proxy Configuration View
     */
    public function proxy(){
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );
        $result = $this->_model->getProxyDetails($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('proxyConfiguration'),
            'active' => 'settings',
            'proxy' => $result['body']->{'proxyList'},
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/proxy', $data);
        View::renderTemplate('footer', $data);
    }

    public function proxyremove(){
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token'),
            'proxyHost'     => $_POST['proxyHost']
        );
        $result = $this->_model->removeProxyDetails($headers);
        switch ($result['status']) {
            case (200):
                $response = array(
                    'result' => 'success',
                    'msg'    => $this->language->get('removeProxySettings')
                );
                echo json_encode($response);
                exit;
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
    }

    /**
     *
     */
    public function writeProxySettings(){
        if(!empty($_POST['proxyURL']) && !empty($_POST['proxyUserName']) && !empty($_POST['proxyPassword']) && !empty($_POST['proxyPort'])){
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token'),

            );
        $password_en = $_POST['proxyPassword'];
        $password_en = str_replace(".","+",$password_en);
        $password_en = str_replace("_","/",$password_en);
        $password_en = str_replace("-","=",$password_en);
	$privkey ='-----BEGIN RSA PRIVATE KEY-----
MIICXAIBAAKBgQCqGKukO1De7zhZj6+H0qtjTkVxwTCpvKe4eCZ0FPqri0cb2JZfXJ/DgYSF6vUp
wmJG8wVQZKjeGcjDOL5UlsuusFncCzWBQ7RKNUSesmQRMSGkVb1/3j+skZ6UtW+5u09lHNsj6tQ5
1s1SPrCBkedbNf0Tp0GbMJDyR4e9T04ZZwIDAQABAoGAFijko56+qGyN8M0RVyaRAXz++xTqHBLh
3tx4VgMtrQ+WEgCjhoTwo23KMBAuJGSYnRmoBZM3lMfTKevIkAidPExvYCdm5dYq3XToLkkLv5L2
pIIVOFMDG+KESnAFV7l2c+cnzRMW0+b6f8mR1CJzZuxVLL6Q02fvLi55/mbSYxECQQDeAw6fiIQX
GukBI4eMZZt4nscy2o12KyYner3VpoeE+Np2q+Z3pvAMd/aNzQ/W9WaI+NRfcxUJrmfPwIGm63il
AkEAxCL5HQb2bQr4ByorcMWm/hEP2MZzROV73yF41hPsRC9m66KrheO9HPTJuo3/9s5p+sqGxOlF
L0NDt4SkosjgGwJAFklyR1uZ/wPJjj611cdBcztlPdqoxssQGnh85BzCj/u3WqBpE2vjvyyvyI5k
X6zk7S0ljKtt2jny2+00VsBerQJBAJGC1Mg5Oydo5NwD6BiROrPxGo2bpTbu/fhrT8ebHkTz2epl
U9VQQSQzY1oZMVX8i1m5WUTLPz2yLJIBQVdXqhMCQBGoiuSoSjafUhV7i1cEGpb88h5NBYZzWXGZ
37sJ5QsW+sJyoNde3xH8vdXhzU7eT82D6X/scw9RZz+/6rCJ4p0=
-----END RSA PRIVATE KEY-----';
        $encrypted_password = $password_en;
        if(openssl_private_decrypt(base64_decode($encrypted_password), $decrypted, $privkey))
        {
                $proxyPassword = $decrypted;
        }
        $this->log("Resultencrypted_password:".$proxyPassword, "info");
            $data = array(
                'host'     => trim($_POST['proxyURL']),
                'userName'      => trim($_POST['proxyUserName']),
                'password'      => trim($proxyPassword),
                'port'          => trim($_POST['proxyPort'])
            );
            $result = $this->_model->saveProxyDetails($headers,json_encode($data));
            $this->log("Result:".json_encode($result), "info");
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details has been successfully saved')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            $data = array(
                'result' => 'error',
                'msg'=>'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }
    
    public function editProxySettings(){
        if(!empty($_POST['proxyURL'])){
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token'),

            );
        $password_en = $_POST['proxyPassword'];
        $password_en = str_replace(".","+",$password_en);
        $password_en = str_replace("_","/",$password_en);
        $password_en = str_replace("-","=",$password_en);
	$privkey ='-----BEGIN RSA PRIVATE KEY-----
MIICXAIBAAKBgQCqGKukO1De7zhZj6+H0qtjTkVxwTCpvKe4eCZ0FPqri0cb2JZfXJ/DgYSF6vUp
wmJG8wVQZKjeGcjDOL5UlsuusFncCzWBQ7RKNUSesmQRMSGkVb1/3j+skZ6UtW+5u09lHNsj6tQ5
1s1SPrCBkedbNf0Tp0GbMJDyR4e9T04ZZwIDAQABAoGAFijko56+qGyN8M0RVyaRAXz++xTqHBLh
3tx4VgMtrQ+WEgCjhoTwo23KMBAuJGSYnRmoBZM3lMfTKevIkAidPExvYCdm5dYq3XToLkkLv5L2
pIIVOFMDG+KESnAFV7l2c+cnzRMW0+b6f8mR1CJzZuxVLL6Q02fvLi55/mbSYxECQQDeAw6fiIQX
GukBI4eMZZt4nscy2o12KyYner3VpoeE+Np2q+Z3pvAMd/aNzQ/W9WaI+NRfcxUJrmfPwIGm63il
AkEAxCL5HQb2bQr4ByorcMWm/hEP2MZzROV73yF41hPsRC9m66KrheO9HPTJuo3/9s5p+sqGxOlF
L0NDt4SkosjgGwJAFklyR1uZ/wPJjj611cdBcztlPdqoxssQGnh85BzCj/u3WqBpE2vjvyyvyI5k
X6zk7S0ljKtt2jny2+00VsBerQJBAJGC1Mg5Oydo5NwD6BiROrPxGo2bpTbu/fhrT8ebHkTz2epl
U9VQQSQzY1oZMVX8i1m5WUTLPz2yLJIBQVdXqhMCQBGoiuSoSjafUhV7i1cEGpb88h5NBYZzWXGZ
37sJ5QsW+sJyoNde3xH8vdXhzU7eT82D6X/scw9RZz+/6rCJ4p0=
-----END RSA PRIVATE KEY-----';
        $encrypted_password = $password_en;
        function decrypt($data, $privkey)
        {
                if (openssl_private_decrypt(base64_decode($data), $decrypted, $privkey))
                    $data = $decrypted;
                else
                    $data = '';

                return $data;
        }
        $proxyPassword = decrypt ($encrypted_password, $privkey);
            $data = array(
                'host'          => trim($_POST['proxyURL']),
                'userName'      => trim($_POST['proxyUserName']),
                'password'      => trim($proxyPassword),
                'port'          => trim($_POST['proxyPort'])
            );
            $this->log("ResultEDIT:".json_encode($data), "info");
            $result = $this->_model->editProxyDetails($headers,json_encode($data));
            $this->log("Result:".json_encode($result), "info");
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details has been successfully updated')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            $data = array(
                'result' => 'error',
                'msg'=>'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }
    

    /**
     * Below Method Renders Domain Host Name Configuration View
     */
    public function domain(){
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('domain'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/domain', $data);
        View::renderTemplate('footer', $data);
    }

    public function writeDomainHost(){
        if(!empty($_POST['domainName']) && !empty($_POST['hostName'])){
            $data = array(
                'result'=>'success',
                'msg' => 'Details has been successfully saved'
            );
            echo json_encode($data);
        }else{
            $data = array(
                'result' => 'error',
                'msg'=>'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }

    /**
     * Below Method Renders SSL Certificate Upload View
     */
    public function sslAndEncryption(){
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('ssl'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/sslAndEncryption', $data);
        View::renderTemplate('footer', $data);
    }

    public function saveSSLCertificate(){
        $tempFilePath = '/var/lib/parablusys/conf/';
        $flag = true;
        if(!empty($_FILES['mainCRTFile']) && !empty($_FILES['chainCRTFile']) && !empty($_FILES['keyFile'])){
            $tmp_name = $_FILES["mainCRTFile"]["tmp_name"];
            $name = $_FILES["mainCRTFile"]["name"];
            /*$ext1 = substr(strrchr($_FILES['mainCRTFile']['name'], "."), 1);
            if($ext1 != 'crt')
            {
                $flag = false;
            }*/
            move_uploaded_file($tmp_name, $tempFilePath.$name);
            $tmp_name = $_FILES["chainCRTFile"]["tmp_name"];
            $name = $_FILES["chainCRTFile"]["name"];
            /*$ext2 = substr(strrchr($_FILES['chainCRTFile']['name'], "."), 1);
            if($ext2 != 'crt')
            {
                $flag = false;
            }*/
            move_uploaded_file($tmp_name, $tempFilePath.$name);
            $tmp_name = $_FILES["keyFile"]["tmp_name"];
            $name = $_FILES["keyFile"]["name"];
            /*$ext3 = substr(strrchr($_FILES['keyFile']['name'], "."), 1);
            if($ext3 != 'key')
            {
                $flag = false;
            }*/
            move_uploaded_file($tmp_name, $tempFilePath.$name);
            //$values = $_FILES["mainCRTFile"]["name"] . ' '.$_FILES["chainCRTFile"]["name"].' '.$_FILES["keyFile"]["name"].' '.$_POST["serverName"];
            $values = $_FILES["mainCRTFile"]["name"] .' '.$_FILES["keyFile"]["name"].' '.$_POST["serverName"] . ' '.$_FILES["chainCRTFile"]["name"];
            //$scriptOutput = shell_exec('sh /var/lib/parablusys/conf/cert_file.sh '.$values);
            file_put_contents('/var/lib/parablusys/conf/ssh_install.sh', "./cert_file.sh " .$values);
            chmod('/var/lib/parablusys/conf/ssh_install.sh', 0755);
            //$this->log('scriptOutput' . json_encode($scriptOutput), 'info');
            //if($flag == 'true'){
            $data = array(
                'result'=>'success',
                'msg' => 'Details has been successfully saved'
            );
            /*}
            else {
             $data = array(
                'result'=>'fail',
                'msg' => 'file not supported, <br> check extension'
            );   
            }*/
            echo json_encode($data);
        }else{
            $data = array(
                'result' => 'error',
                'msg'=>'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }

    /**
     * Below Method Renders Encryption settings page
     */
    public function encryption(){
        $keys = [];
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token')
        );

        $result = $this->_model->getEncryption($headers);
        switch ($result['status']) {
        case (200):
                if(!empty($result['body']->{'encryptionKeyElementList'})){
                    foreach($result['body']->{'encryptionKeyElementList'} as $value){
                        date_default_timezone_set('Asia/Calcutta');


                        $a = $value->startTimestamp/1000;
                        //$date = new DateTime("@$a");
                        $value->startTime = date('d.m.Y H:i:s', $a);
                        $keys = array_merge(array($value), $keys);
                    }
                }
                /*if($result['body']->{'encryptionKeyElement'}->{'azureType'} == 'AZURE'){
                        $this->log("INSIDE AZURE ","info");
                        $azureType = $result['body']->{'encryptionKeyElement'}->{'azureType'};
                        $clientId = $result['body']->{'encryptionKeyElement'}->{'clientId'};
                        $secretKey = $result['body']->{'encryptionKeyElement'}->{'secretKey'};
                        $tenantId = $result['body']->{'encryptionKeyElement'}->{'tenantId'};
                        $overviewList = [];
                        foreach($result['body']->{'encryptionKeyElement'}->{'productKeyElements'} as $value){
                                $this->log("xxxxxxxxx : ".$value->{'azureProductType'},"info");
                                $overview = array(
                                        'azureSaltKey' => $value->{'azureSaltKey'},
                                        'saltSecret' => $value->{'saltSecret'},
                                        'azureProductType' => $value->{'azureProductType'}
                                );
                                $overviewList = array_merge(array($overview), $overviewList);
                        }
                }else{

                }*/
                /*if(!empty($result['body']->{'encryptionKeyElementList'})){
                    foreach($result['body']->{'encryptionKeyElementList'} as $value){
                        date_default_timezone_set('Asia/Calcutta');
                        $a = $value->startTimestamp/1000;
                        //$date = new DateTime("@$a");
                        $value->startTime = date('d.m.Y H:i:s', $a);
                        $keys = array_merge(array($value), $keys);
                    }
                }*/
//                $this->log("encryptionKeyElement : ".$result['body']->{'encryptionKeyElement'}->{'azureType'},"info");

/*              $this->log("COUNT : ".count($result['body']->{'encryptionKeyElement'}),"info");
                if(!empty($result['body']->{'encryptionKeyElement'})){
                        $totalEntries = count($result['body']->{'encryptionKeyElementList'}) - 1;
                        foreach($result['body']->{'encryptionKeyElement'} as $value){
                                $this->log("startTimestamp : ".$value->azureType,"info");
                                date_default_timezone_set('Asia/Calcutta');
                                $a = $value->startTimestamp/1000;
                                //$date = new DateTime("@$a");
                                $value->startTime = date('d.m.Y H:i:s', $a);
                                $keys = array_merge(array($value), $keys);
                        }
                }
                $nav = $result['body']->{'encryptionKeyElementList'}[$totalEntries];
                foreach($nav as $key => $val){        
                        if($key == 'vaultSecret'){
                                $this->log("KEYYYYYYYYY : ".$key." : VALUEEEEEEEEE : ".json_encode($val),"info");
                                foreach($val as $a => $b){
                                        $this->log("BBB : ".$b,"info");
                                        $b = (array)explode(",", (string)$b);
                                        $this->log("BBBAFTER : ".$b,"info");
                                }
                        }
                }*/
                $response = array(
                        'result' => 'success',
                        /*'azureType' => $azureType,
                        'clientId' => $clientId,
                        'secretKey' => $secretKey,
			'tenantId' => $tenantId,*/
                        'keys' => $keys,
//                    'keys' => $overviewList,
                );
                echo json_encode($response);
                exit;
            case (404):
                $result = array(
                    'result' => 'fail',
                    //'msg' => $this->language->get('404')
                );
                echo json_encode($result);
                exit();
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'code' => $result,
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
    }
	
    public function saveEncryption(){
        if(!empty($_POST)){
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
            );
            $this->log("azureType : ".$_POST['azureType'],"info");
            if($_POST['azureType'] != 'AZURE'){
                    if(strlen($_POST['saltKey']) > 0){
                        if(strlen($_POST['saltKey']) < 16 || strlen($_POST['saltKey']) > 128){
                                $response = array(
                                    'result' => 'fail',
                                    'msg' => 'Salt Key length validation failed'
                                );
                                echo json_encode($response);
                                exit;
                        }
                    }
                    $body = array(
                        'userName'      => $this->session->get('userName'),
                        'productType'   => $_POST['productType'],
                        'saltKey'       => $_POST['saltKey'],
                        'azureType'   => $_POST['azureType']
                    );
            }else{
                $this->log("COUNTT : ".$_POST['countt'],"info");
                $_POST['countt'] = explode(",", $_POST['countt']);
                $this->log("COUNTTggg : ".$_POST['countt'][1],"info");
                $this->log("COUNTT3333 : ".json_encode($_POST['countt']),"info");
                $this->log("VAULTS : ".json_encode($_POST['vaultName']),"info");
		$_POST['vaultName'] = array_filter($_POST['vaultName']);
                $this->log("VAULTS : ".json_encode($_POST['vaultName']),"info");
                $this->log("secretNames : ".json_encode($_POST['secretNames']),"info");
                $this->log("SECRETTTTTS1111 : ".json_encode($_POST['secrett']),"info");
                $this->log("SECRETTTTTS111122222222 : ".$_POST['secrett'],"info");
                $this->log("PRODUCT TYPE AZ : ".json_encode($_POST['productTypeAz']),"info");
		$this->log("****************************************","info");
                $this->log("VAULTS : ".json_encode($_POST['vaultName']),"info");
                $this->log("secretNames : ".json_encode($_POST['secretNames']),"info");
                $this->log("PRODUCT TYPE AZ : ".json_encode($_POST['productTypeAz']),"info");
                $this->log("lenghthththht : ".count($_POST['productTypeAz']),"info");
                $overviewList = [];
                for($i=0; $i<count($_POST['productTypeAz']);$i++){
                        $overview = array(
                        'azureSaltKey' => $_POST['vaultName'][$i],
                        'saltSecret' => $_POST['secretNames'][$i],
                        'azureProductType' => $_POST['productTypeAz'][$i],
                );
                        $overviewList = array_merge(array($overview), $overviewList);

                }
                $this->log("FINALLLLLL---> : ".json_encode($overviewList),"info");
                $this->log("****************************************","info");
                /*start*/
                $newone = explode(",", $_POST['secrett']);
                $b = [];
                $secFi = [];
                foreach($_POST['countt'] as $val){
                        if($val != 0){
                                $this->log("AAAA_newoneXXXXXXXXXXX : ".json_encode($newone)." : N : ".$val,"info");
                                $a = [];
                                for($i=0;$i<$val;$i++){
                                        $this->log(" : I : ".$i,"info");
                                        $this->log("VALUE : ".$newone[$i],"info");
					if($newone[$i] != ''){
                                                array_push($a,$newone[$i]);
                                                unset($newone[$i]);
                                        }
                                }
                                $newone = array_values($newone);
                                $this->log("AAAA_newone00000000000 : ".json_encode($newone),"info");
                                $this->log("AAAA0000000 : ".implode(",",$a),"info");
                                $nb = implode(",",$a);
                                $this->log("NBBBBB0 : ".$nb,"info");
                                array_push($secFi,$nb);
                                $this->log("SECFI00000 : ".json_encode($secFi),"info");
                        }
                }
                /*end*/
//              $finalOne = array_combine($_POST['vaultName'], $secFi);
//              $finalTwo = array_combine($_POST['productTypeAz'], $finalOne);
                $this->log("FINALONE : ".json_encode($finalOne),"info");
                $this->log("FINALTWO : ".json_encode($finalTwo),"info");
                $body = array(
                        'userName'      => $this->session->get('userName'),
                        'azureType'   => $_POST['azureType'],
                        'clientId'       => $_POST['clientId'],
                        'secretKey'       => $_POST['secretKey'],
                        'tenantId'       => $_POST['tenantId'],
                        'productKeyElements' => $overviewList
//                      'vaultSecret' => $finalOne,
                );
                $this->log("BODY : ".json_encode($body),"info");
            }
            $result = $this->_model->saveEncryption($headers,$body);
	    switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'response' => $result,
                        'msg'    => $this->language->get('encryptionKeySaved')
                    );
                    echo json_encode($response);
                    exit;
		case (404):
                    $response = array(
                        'result' => 'fail',
                        'msg'    => 'Please check Key and Salt combination.'
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
		     );
                    echo json_encode($result);
                    exit();
            }

        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }

    /*public function saveEncryption(){
        if(!empty($_POST)){
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
            );
	    if(strlen($_POST['saltKey']) > 0){
                if(strlen($_POST['saltKey']) < 16 || strlen($_POST['saltKey']) > 128){
                        $response = array(
                            'result' => 'fail',
                            'msg' => 'Salt Key length validation failed'
                        );
                        echo json_encode($response);
                        exit;
                }
            }
            $body = array(
                'userName'      => $this->session->get('userName'),
                'productType'   => $_POST['productType'],
                'saltKey'       => $_POST['saltKey']
            );
            $result = $this->_model->saveEncryption($headers,$body);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'response' => $result,
                        'msg'    => $this->language->get('encryptionKeySaved')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }

        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }*/

    /**
     * Below Method Renders Encryption settings page
     */
    public function local(){
        $headers = array(
            'Content-Type' => 'application/json',
            'token' => $this->session->get('token')
        );
        $result = $this->_model->getLocalStorageDetails($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('local'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'localStorage' => $result['body'],
            'loggedInUser' => $this->session->all()
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/local', $data);
        View::renderTemplate('footer', $data);
    }

    public function saveLocal(){
        if(!empty($_POST)){
            $headers = array(
                'Content-Type'      => 'application/json',
                'token'          => $this->session->get('token')
            );
            $data = array(
                'fileServerPath' => $_POST['path'],
                'fileServerUserName' => $_POST['userName'],
                'fileServerPassword' => $_POST['password']
            );
            $result = $this->_model->saveLocalStorageDetails($headers, $data);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('encryptionKeySaved')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }

    /**
     * Below Method Renders Encryption settings page
     */
    public function adCredentials(){
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('adCredentials'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/adCredentials', $data);
        View::renderTemplate('footer', $data);
    }

    public function getAdCredentials(){
        $adcS = [];
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token')
        );
        if($this->session->get('admin') == "1"){
            $result = $this->_model->getAdCredentials($headers);
        }
	$pubkey = '-----BEGIN PUBLIC KEY-----
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDJa13jCuhhMNQfcXb6uRJEnKkQ
BQxpl1Dp5U8EDbo16KrSDT++OytnYqVx6opHwJoZ9jwc8qUMheyPkvqRwkxBEulq
Ig8Tca9eg/uVjg2DHs4wIyzNJ7P19n1d4KoF3I8ZU1IrdDa0aQ85Fc3ogakZY9+x
VCPksMvihMgXe2xLdwIDAQAB
-----END PUBLIC KEY-----';
        if(!empty($result['body']->{'adElementList'})){
            foreach($result['body']->{'adElementList'} as $value){
		if($value->{'adPassword'}){
			$pass = $value->{'adPassword'};
			openssl_public_encrypt($pass, $encrypted, $pubkey);
			$encrypted = base64_encode($encrypted);
			$encrypted = str_replace(".","+",$encrypted);
			$encrypted = str_replace("_","/",$encrypted);
			$encrypted = str_replace("-","=",$encrypted);
			$value->{'adPassword'} = $encrypted;
		}
                $adcS = array_merge(array($value), $adcS);
            }
        }
        switch ($result['status']) {
            case (200):
                $response = array(
                    'result' => 'success',
                    'adcS'    => $adcS
                );
                echo json_encode($response);
                exit;
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
    }

    public function getAdCredential(){
        if(!empty($_POST['id'])){
            $headers = array(
                'Content-Type'      => 'application/json',
                'id'            => $_POST['id'],
                'token'             => $this->session->get('token')
            );
            $result = $this->_model->getAdCredential($headers);
		$pubkey = '-----BEGIN PUBLIC KEY-----
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCaVFCuBhZ2QmGjMKbazOBlO/NT
ClwVo+QQyzAG8Nun80ZIXtsefSse7a0Objtp33PJO5ddPkHIZQ3KTzJnjIociZFU
KWc1zRkDU6XCkRihPU+ujTv3s0zUf/5KET6x3OorHALO7lZZOuHp3K73cGshaZ5f
Zz6fMPh3cBdgIcdXowIDAQAB
-----END PUBLIC KEY-----';
		$adPassword = $result['body']->{'adElement'}->{'adPassword'};
		openssl_public_encrypt($adPassword, $encrypted, $pubkey);
	        $encrypted = base64_encode($encrypted);
		$encrypted = str_replace(".","+",$encrypted);
	        $encrypted = str_replace("_","/",$encrypted);
        	$encrypted = str_replace("-","=",$encrypted);
		$result['body']->{'adElement'}->{'adPassword'} = $encrypted;
		$this->log("Password : ".$adPassword,"info");
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'adcS'    => $result['body']->{'adElement'}
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }

    public function saveAdCredentials(){
        if(!empty($_POST['userDn']) && !empty($_POST['adPassword']) && !empty($_POST['adUrl']) && !empty($_POST['adBase'])){
        $adProductType = '';
        switch ($_POST['adProductType']) {
            case 'BluSync':
                $adProductType = "sync";
                break;
            case 'BluVault':
                $adProductType = "backup";
                break;
            case 'O365':
                 $adProductType = "O365";
                 break;
            default:
                $adProductType = $_POST['adProductType'];
            break;
        }
        $this->log("Password : ".$_POST['adPassword'],"info");
        $password_en = $_POST['adPassword'];
        $password_en = str_replace(".","+",$password_en);
        $password_en = str_replace("_","/",$password_en);
        $password_en = str_replace("-","=",$password_en);

	$privkey ='-----BEGIN RSA PRIVATE KEY-----
MIICXAIBAAKBgQCqGKukO1De7zhZj6+H0qtjTkVxwTCpvKe4eCZ0FPqri0cb2JZfXJ/DgYSF6vUp
wmJG8wVQZKjeGcjDOL5UlsuusFncCzWBQ7RKNUSesmQRMSGkVb1/3j+skZ6UtW+5u09lHNsj6tQ5
1s1SPrCBkedbNf0Tp0GbMJDyR4e9T04ZZwIDAQABAoGAFijko56+qGyN8M0RVyaRAXz++xTqHBLh
3tx4VgMtrQ+WEgCjhoTwo23KMBAuJGSYnRmoBZM3lMfTKevIkAidPExvYCdm5dYq3XToLkkLv5L2
pIIVOFMDG+KESnAFV7l2c+cnzRMW0+b6f8mR1CJzZuxVLL6Q02fvLi55/mbSYxECQQDeAw6fiIQX
GukBI4eMZZt4nscy2o12KyYner3VpoeE+Np2q+Z3pvAMd/aNzQ/W9WaI+NRfcxUJrmfPwIGm63il
AkEAxCL5HQb2bQr4ByorcMWm/hEP2MZzROV73yF41hPsRC9m66KrheO9HPTJuo3/9s5p+sqGxOlF
L0NDt4SkosjgGwJAFklyR1uZ/wPJjj611cdBcztlPdqoxssQGnh85BzCj/u3WqBpE2vjvyyvyI5k
X6zk7S0ljKtt2jny2+00VsBerQJBAJGC1Mg5Oydo5NwD6BiROrPxGo2bpTbu/fhrT8ebHkTz2epl
U9VQQSQzY1oZMVX8i1m5WUTLPz2yLJIBQVdXqhMCQBGoiuSoSjafUhV7i1cEGpb88h5NBYZzWXGZ
37sJ5QsW+sJyoNde3xH8vdXhzU7eT82D6X/scw9RZz+/6rCJ4p0=
-----END RSA PRIVATE KEY-----';
        $encrypted_password = $password_en;
        $this->log("Password changed : ".$password_en,"info");
        function decrypt($data, $privkey)
        {
                if (openssl_private_decrypt(base64_decode($data), $decrypted, $privkey))
                        $data = $decrypted;
                else
                        $data = '';
                return $data;
        }
        $password = decrypt ($encrypted_password, $privkey);
        $this->log("Password changed : ".$password,"info");
        $_POST['adUrl'] = "ldap://".$_POST['adUrl'].":".$_POST['adPort'];
        $data = array(
                'userDn' => trim($_POST['userDn']),
                'adPassword' => $password,
                'adUrl' => trim($_POST['adUrl']),
                'adBase' => trim($_POST['adBase']),
                'adCn' => trim($_POST['newAdCn']),
                'adProductType' => $adProductType,
                'adGroupName' => trim($_POST['adGroupName'])
            );
            $this->log('Data: '. json_encode($data), 'info');
            $headers = array(
                'Content-Type'      => 'application/json',
                'token'          => $this->session->get('token')
            );
            $result = $this->_model->saveAdCredentials($headers, json_encode($data));
            $this->log('Result: '. json_encode($result), 'info');
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('savedAdCredentials')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }
    
    public function editAdCredentials(){
        if(!empty($_POST['userDn']) && !empty($_POST['editAdPassword']) && !empty($_POST['adUrl']) && !empty($_POST['adBase'])){
        $adProductType = '';
        switch ($_POST['editAdProductType']) {
            case 'BluSync':
                $adProductType = "sync";
                break;
            case 'BluVault':
                $adProductType = "backup";
                break;
            case 'O365':
                 $adProductType = "O365";
                 break;
            default:
                $adProductType = $_POST['editAdProductType'];
            break;
        }
        $password_en = $_POST['editAdPassword'];
        $password_en = str_replace(".","+",$password_en);
        $password_en = str_replace("_","/",$password_en);
        $password_en = str_replace("-","=",$password_en);
	$privkey ='-----BEGIN RSA PRIVATE KEY-----
MIICXAIBAAKBgQCqGKukO1De7zhZj6+H0qtjTkVxwTCpvKe4eCZ0FPqri0cb2JZfXJ/DgYSF6vUp
wmJG8wVQZKjeGcjDOL5UlsuusFncCzWBQ7RKNUSesmQRMSGkVb1/3j+skZ6UtW+5u09lHNsj6tQ5
1s1SPrCBkedbNf0Tp0GbMJDyR4e9T04ZZwIDAQABAoGAFijko56+qGyN8M0RVyaRAXz++xTqHBLh
3tx4VgMtrQ+WEgCjhoTwo23KMBAuJGSYnRmoBZM3lMfTKevIkAidPExvYCdm5dYq3XToLkkLv5L2
pIIVOFMDG+KESnAFV7l2c+cnzRMW0+b6f8mR1CJzZuxVLL6Q02fvLi55/mbSYxECQQDeAw6fiIQX
GukBI4eMZZt4nscy2o12KyYner3VpoeE+Np2q+Z3pvAMd/aNzQ/W9WaI+NRfcxUJrmfPwIGm63il
AkEAxCL5HQb2bQr4ByorcMWm/hEP2MZzROV73yF41hPsRC9m66KrheO9HPTJuo3/9s5p+sqGxOlF
L0NDt4SkosjgGwJAFklyR1uZ/wPJjj611cdBcztlPdqoxssQGnh85BzCj/u3WqBpE2vjvyyvyI5k
X6zk7S0ljKtt2jny2+00VsBerQJBAJGC1Mg5Oydo5NwD6BiROrPxGo2bpTbu/fhrT8ebHkTz2epl
U9VQQSQzY1oZMVX8i1m5WUTLPz2yLJIBQVdXqhMCQBGoiuSoSjafUhV7i1cEGpb88h5NBYZzWXGZ
37sJ5QsW+sJyoNde3xH8vdXhzU7eT82D6X/scw9RZz+/6rCJ4p0=
-----END RSA PRIVATE KEY-----';

        $encrypted_password = $password_en;
        function decrypt($data, $privkey)
            {
                if (openssl_private_decrypt(base64_decode($data), $decrypted, $privkey))
                    $data = $decrypted;
                else
                    $data = '';

                return $data;
            }
            $password = decrypt ($encrypted_password, $privkey);
            $_POST['adUrl'] = "ldap://".$_POST['adUrl'].":".$_POST['adPort'];
            $data = array(
                'id' => $_POST['id'],
                'userDn' => trim($_POST['userDn']),
                'adPassword' => $password,
                'adUrl' => trim($_POST['adUrl']),
                'adBase' => trim($_POST['adBase']),
                'adCn' => trim($_POST['newAdCn']),
                'adProductType' => $adProductType,
                'adGroupName' => trim($_POST['adGroupName'])
            );
            $this->log('Data: '. json_encode($data), 'info');
            $headers = array(
                'Content-Type'      => 'application/json',
                'token'          => $this->session->get('token')
            );
            $result = $this->_model->editAdCredentials($headers, json_encode($data));
            $this->log('Result: '. json_encode($result), 'info');
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('savedAdCredentials')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }

    public function removeAdCredentials(){
        if(!empty($_POST['userDn'])){
            $headers = array(
                'Content-Type'      => 'application/json',
                'userDn'            => $_POST['userDn'],
                'token'             => $this->session->get('token')
            );
            $result = $this->_model->removeAdCredentials($headers);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('removeAdCredentials')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }

    public function smtp(){
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token')
        );
        //$result = $this->_model->getSmtp($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('smtp'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()            
        );
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/smtp', $data);
        View::renderTemplate('footer', $data);
    }
	
    public function getSMTP(){
            $headers = array(
            	'Content-Type'      => 'application/json',
            	'token'             => $this->session->get('token')
            );
            $result = $this->_model->getSmtp($headers);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'smtp'    => $result['body']->{'smtpElement'}
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (404):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "No SMTP Configuration found."
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }

    public function saveSmtp(){
        if(!empty($_POST)){
            $headers = array(
                'Content-Type'      => 'application/json',
                'token'             => $this->session->get('token')
            );
        $password_en = $_POST['smtpPwd'];
        $password_en = str_replace(".","+",$password_en);
        $password_en = str_replace("_","/",$password_en);
        $password_en = str_replace("-","=",$password_en);

	$privkey ='-----BEGIN RSA PRIVATE KEY-----
MIICXAIBAAKBgQCqGKukO1De7zhZj6+H0qtjTkVxwTCpvKe4eCZ0FPqri0cb2JZfXJ/DgYSF6vUp
wmJG8wVQZKjeGcjDOL5UlsuusFncCzWBQ7RKNUSesmQRMSGkVb1/3j+skZ6UtW+5u09lHNsj6tQ5
1s1SPrCBkedbNf0Tp0GbMJDyR4e9T04ZZwIDAQABAoGAFijko56+qGyN8M0RVyaRAXz++xTqHBLh
3tx4VgMtrQ+WEgCjhoTwo23KMBAuJGSYnRmoBZM3lMfTKevIkAidPExvYCdm5dYq3XToLkkLv5L2
pIIVOFMDG+KESnAFV7l2c+cnzRMW0+b6f8mR1CJzZuxVLL6Q02fvLi55/mbSYxECQQDeAw6fiIQX
GukBI4eMZZt4nscy2o12KyYner3VpoeE+Np2q+Z3pvAMd/aNzQ/W9WaI+NRfcxUJrmfPwIGm63il
AkEAxCL5HQb2bQr4ByorcMWm/hEP2MZzROV73yF41hPsRC9m66KrheO9HPTJuo3/9s5p+sqGxOlF
L0NDt4SkosjgGwJAFklyR1uZ/wPJjj611cdBcztlPdqoxssQGnh85BzCj/u3WqBpE2vjvyyvyI5k
X6zk7S0ljKtt2jny2+00VsBerQJBAJGC1Mg5Oydo5NwD6BiROrPxGo2bpTbu/fhrT8ebHkTz2epl
U9VQQSQzY1oZMVX8i1m5WUTLPz2yLJIBQVdXqhMCQBGoiuSoSjafUhV7i1cEGpb88h5NBYZzWXGZ
37sJ5QsW+sJyoNde3xH8vdXhzU7eT82D6X/scw9RZz+/6rCJ4p0=
-----END RSA PRIVATE KEY-----';
        $encrypted_password = $password_en;
        function decrypt($data, $privkey) {
                if (openssl_private_decrypt(base64_decode($data), $decrypted, $privkey))
                    $data = $decrypted;
                else
                    $data = '';
                return $data;
            }
        $password = decrypt ($encrypted_password, $privkey);
        $smtpDetails = array(
                "smtpHost" => trim($_POST["smtpHost"]),
                "sslPort" => trim($_POST["sslPort"]),
                "sslFactoryClass" => $_POST["factoryClass"],
                "smtpPort" => trim($_POST["smtpPort"]),
                "smtpAuth" => $_POST["smtpAuth"],
                "smtpStarttlsEnable" => $_POST["smtpStarttlsEnable"],
                "smtpSSLEnable" => $_POST["smtpSSLEnable"],
                "smtpUserName" => $_POST["smtpUname"],
                "smtpPwd" => $password,
                "fromEmail" => $_POST["email"],
                "enableEmail" => $_POST["enableMail"],
            );
            $result = $this->_model->saveSmtp($headers, $smtpDetails);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('saveSmtp')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }
    
    public function testMail(){
        $headers = array(
                'Content-Type'      => 'application/json',
                "clientType"        => "PORTAL"
            );
        $recipents = array(
                "userName"      =>  "test",
                "email"         => $_POST['email']
            );
        $reci = [];
        array_push($reci,$recipents);
        $data = array(
                "bodyData"      =>      "This is an automated test email from the Parablu Systems",
                "subjectData"   =>      "Parablu",
                "recipents"     =>      $reci
            );

            $result = $this->_model->testMail($headers,$data);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('testMail')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }

    public function cloudProperties(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token')
        );

        $result = $this->_model->getCloudProperties($headers);
        $backupPoliciesResult= $this->_model->getAllPolicies($this->session->get('token'));
        $syncPoliciesResult= $this->_model->getAllSyncPolicies($this->session->get('token'));
        //$odbPolicyResult1 = $this->_model->getAllOneDrivePolicies(array('token'=>$this->session->get('token')));
        /*if(empty((array)$backupPoliciesResult['body']->{'backupPolicyElementList'}) && $this->auth->checkCloudPermission('backup')){
             header('Location: '.Url::basePath('pms/policy/create'));
             exit;
         }
         if(empty((array)$syncPoliciesResult['body']->{'syncPolicyElementList'}) && $this->auth->checkCloudPermission('sync')){
             header('Location: '.Url::basePath('pms/sync/policy/create'));
             exit;
	 }*/
 
         $backupPolicies = [];
	if(!empty($backupPoliciesResult['body']->{'backupPolicyElementList'})){
	foreach((array)$backupPoliciesResult['body']->{'backupPolicyElementList'} as $value){
             $policy = array('name' => $value->{'policygroupName'});
             $backupPolicies = array_merge(array($policy), $backupPolicies);
	}
	}
         
         $syncPolicies = [];
	if(!empty($syncPoliciesResult['body']->{'syncPolicyElementList'})){
	foreach((array)$syncPoliciesResult['body']->{'syncPolicyElementList'} as $value){
             $policy = array('name' => $value->{'policygroupName'});
             $syncPolicies = array_merge(array($policy), $syncPolicies);
	}
	}
         
        $backupResult1 = $this->_model->getAllBackupPolicyName(array('token'=>$this->session->get('token')));
        $syncResult1 = $this->_model->getAllSyncPolicyName(array('token'=>$this->session->get('token')));
	$backupPolicies1 = [];
	if(!empty($backupResult1['body']->{'stringList'})){
        foreach((array)$backupResult1['body']->{'stringList'} as $value){
            $policy = $value;
            $backupPolicies1 = array_merge(array($policy), $backupPolicies1);
	}
	}

	$syncPolicies1 = [];
	if(!empty($syncResult1['body']->{'stringList'})){
        foreach((array)$syncResult1['body']->{'stringList'} as $value){
            $policy = $value;
            $syncPolicies1 = array_merge(array($policy), $syncPolicies1);
	}
	}
        
        $resultODB = $this->_model->getAllOfficePolicyName(array("token"=>$this->session->get('token'),'isReport' => 'true','productType'=>'ODB'));
	$resultExchange = $this->_model->getAllOfficePolicyName(array("token"=>$this->session->get('token'),'isReport' => 'true','productType'=>'Exchange'));
	$resultSharepoint = $this->_model->getAllOfficePolicyName(array("token"=>$this->session->get('token'),'isReport' => 'true','productType'=>'Sharepoint'));
        $odbPolicies = [];
	$exchangePolicies = [];
	$sharepointPolicies=[];

            if(!empty($resultODB['body']->{'stringList'})){
                foreach((array)$resultODB['body']->{'stringList'} as $value){
                        $odbPolicy = $value;
                        $odbPolicies = array_merge(array($odbPolicy), $odbPolicies);
                }
            }
            if(!empty($resultExchange['body']->{'stringList'})){
                foreach((array)$resultExchange['body']->{'stringList'} as $value){
                        $exchangePolicy = $value;
                        $exchangePolicies = array_merge(array($exchangePolicy), $exchangePolicies);
                }
	    }
	    if(!empty($resultSharepoint['body']->{'stringList'})){
                foreach((array)$resultSharepoint['body']->{'stringList'} as $value){
                        $sharepointPolicy = $value;
                        $sharepointPolicies = array_merge(array($sharepointPolicy), $sharepointPolicies);
                }
            }
        natcasesort($odbPolicies);
	natcasesort($exchangePolicies);
	natcasesort($sharepointPolicies);
        natcasesort($backupPolicies1);
        natcasesort($syncPolicies1);
        $onedriveBkpEnabled = 'false';
        if($this->session->get('onedriveBkpEnabled') == true){
            $onedriveBkpEnabled = 'true';
        }
	if(empty($result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'}) || $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} == 'null' || $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} == ''){
        	$result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} = 'STAGING_POLICY';
        }else{
                $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} = $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'};
        }
	if($result['body']->{'cloudPropertyElement'}->{'numOfChunksToCheckPgOverloadLimit'} == 0){
                $numOfChunksToCheckPgOverloadLimit = 10;
        }else{
                $numOfChunksToCheckPgOverloadLimit = $result['body']->{'cloudPropertyElement'}->{'numOfChunksToCheckPgOverloadLimit'};
        }
        $data = array(
            'title' 			=> $this->language->get('indexPageName'),
            'crumb1' 			=> $this->language->get('cloudProperties'),
            'active' 			=> 'settings',
            'csrf_token' 		=> $this->setCSRFToken(),
            'loggedInUser' 		=> $this->session->all(),
            "onedriveBkpEnabled" 	=> $onedriveBkpEnabled,
            "backupPolicies"            => $backupPolicies,
            "syncPolicies"              => $syncPolicies,
            "backupPolicies1"           => $backupPolicies1,
            "syncPolicies1"             => $syncPolicies1,
            "odbPolicies1"              => $odbPolicies,
	    "exchangePolicies1" 	=> $exchangePolicies,
	    "sharepointPolicies1"       => $sharepointPolicies,
            "oneDriveBackupType"        => $result['body']->{'cloudPropertyElement'}->{'oneDriveBackupType'},
            "blusyncDownloadPath"       => !empty($result['body']->{'cloudPropertyElement'}->{'blusyncDownloadPath'}) ? $result['body']->{'cloudPropertyElement'}->{'blusyncDownloadPath'} : '/var/lib/parablusys/upgrade/',
            "mntParacloudPath"          => !empty($result['body']->{'cloudPropertyElement'}->{'mntParacloudPath'}) ? $result['body']->{'cloudPropertyElement'}->{'mntParacloudPath'} : '/mnt/',
            "cloudScriptsFolder"        => !empty($result['body']->{'cloudPropertyElement'}->{'cloudScriptsFolder'}) ? $result['body']->{'cloudPropertyElement'}->{'cloudScriptsFolder'} : '/var/lib/parablusys/bin/',
            "scriptsBinDir"             => !empty($result['body']->{'cloudPropertyElement'}->{'scriptsBinDir'}) ? $result['body']->{'cloudPropertyElement'}->{'scriptsBinDir'} : '/var/lib/parablusys/bin/',
            "scriptsVideoThumbnail"     => !empty($result['body']->{'cloudPropertyElement'}->{'scriptsVideoThumbnail'}) ? $result['body']->{'cloudPropertyElement'}->{'scriptsVideoThumbnail'} : 'generateVideoThumbnails.sh',
            "scriptsGeneralThumbnail"   => !empty($result['body']->{'cloudPropertyElement'}->{'scriptsGeneralThumbnail'}) ? $result['body']->{'cloudPropertyElement'}->{'scriptsGeneralThumbnail'} : 'generateThumbnails.sh',
            "cloudFileName"             => !empty($result['body']->{'cloudPropertyElement'}->{'cloudFileName'}) ? $result['body']->{'cloudPropertyElement'}->{'cloudFileName'} : 'cloudName',
            "cloudType"                 => !empty($result['body']->{'cloudPropertyElement'}->{'cloudType'}) ? $result['body']->{'cloudPropertyElement'}->{'cloudType'} : 'enterprise',
            "solrUrl"                   => !empty($result['body']->{'cloudPropertyElement'}->{'solrUrl'}) ? $result['body']->{'cloudPropertyElement'}->{'solrUrl'} : 'http://192.168.7.57/ParacloudSearch/search/',
            "supportMail"               => !empty($result['body']->{'cloudPropertyElement'}->{'supportMail'}) ? $result['body']->{'cloudPropertyElement'}->{'supportMail'} : 'praveen.anandaraju@parablu.com',
            "sslAuthEnabled"            => ($result['body']->{'cloudPropertyElement'}->{'sslAuthEnabled'}) ? true : false,
            "azureVM"                   => ($result['body']->{'cloudPropertyElement'}->{'azureVM'}) ? true : false,
            "localAD"                   => ($result['body']->{'cloudPropertyElement'}->{'localAD'}) ? true : false,
            "reportRows"                => !empty($result['body']->{'cloudPropertyElement'}->{'reportRows'}) ? $result['body']->{'cloudPropertyElement'}->{'reportRows'} : '50',
            "maxCrawlHit"               => $result['body']->{'cloudPropertyElement'}->{'maxCrawlHit'},
            "defaultBkpPolicyName"      => !empty($result['body']->{'cloudPropertyElement'}->{'defaultBkpPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultBkpPolicyName'} : 'STATISTICS_COLLECTOR',
            "defaultSyncPolicyName"     => !empty($result['body']->{'cloudPropertyElement'}->{'defaultSyncPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultSyncPolicyName'} : 'STATISTICS_SYNC_COLLECTOR',
            "defaultGuestSyncPolicyName"=> !empty($result['body']->{'cloudPropertyElement'}->{'defaultGuestSyncPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultGuestSyncPolicyName'} : 'STATISTICS_SYNC_COLLECTOR',
            "defaultGuestBkpPolicyName" => !empty($result['body']->{'cloudPropertyElement'}->{'defaultGuestBkpPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultGuestBkpPolicyName'} : 'STATISTICS_COLLECTOR',
            "daysToWaitForNextBackup"   => !empty($result['body']->{'cloudPropertyElement'}->{'daysToWaitForNextBackup'}) ? $result['body']->{'cloudPropertyElement'}->{'daysToWaitForNextBackup'} : 0,
            "defaultOdbPolicyName"     => !empty($result['body']->{'cloudPropertyElement'}->{'defaultOdbPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultOdbPolicyName'} : 'STATISTICS_ODB_POLICY',
	    "defaultExchangePolicyName"     => !empty($result['body']->{'cloudPropertyElement'}->{'defaultExchangePolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultExchangePolicyName'} : 'STATISTICS_EXCHANGE_POLICY',
	    "defaultSharepointPolicyName" => !empty($result['body']->{'cloudPropertyElement'}->{'defaultSharepointPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultSharepointPolicyName'} : 'STATISTICS_SP_POLICY',
            "mongoReadPreference"       => ($result['body']->{'cloudPropertyElement'}->{'mongoReadPreference'}) ? true : false,
            "writeConcernLimit"         => !empty($result['body']->{'cloudPropertyElement'}->{'writeConcernLimit'}) ? $result['body']->{'cloudPropertyElement'}->{'writeConcernLimit'} : 1000,
            "ebmsWriteDelayLimit"       => !empty($result['body']->{'cloudPropertyElement'}->{'ebmsWriteDelayLimit'}) ? $result['body']->{'cloudPropertyElement'}->{'ebmsWriteDelayLimit'} : 10,
            "noOfMultiADConfig"         => !empty($result['body']->{'cloudPropertyElement'}->{'noOfMultiADConfig'}) ? $result['body']->{'cloudPropertyElement'}->{'noOfMultiADConfig'} : 1,
            "isCrawlEnabled"            => ($result['body']->{'cloudPropertyElement'}->{'isCrawlEnabled'}) ? true : false,
            "emailBkpGroupName"         => !empty($result['body']->{'cloudPropertyElement'}->{'emailBkpGroupName'}) ? $result['body']->{'cloudPropertyElement'}->{'emailBkpGroupName'} : '',
            "emailSyncGroupName"        => !empty($result['body']->{'cloudPropertyElement'}->{'emailSyncGroupName'}) ? $result['body']->{'cloudPropertyElement'}->{'emailSyncGroupName'} : '',
            "bkpGroupEmail"             => !empty($result['body']->{'cloudPropertyElement'}->{'bkpGroupEmail'}) ? $result['body']->{'cloudPropertyElement'}->{'bkpGroupEmail'} : 'MySecureBackup',
            "syncGroupEmail"            => !empty($result['body']->{'cloudPropertyElement'}->{'syncGroupEmail'}) ? $result['body']->{'cloudPropertyElement'}->{'syncGroupEmail'} : 'MySecureSync',
            "chunkUpdateMaxRetry"       => !empty($result['body']->{'cloudPropertyElement'}->{'chunkUpdateMaxRetry'}) ? $result['body']->{'cloudPropertyElement'}->{'chunkUpdateMaxRetry'} : 3,
            "isDomainCheckEnabled"      => ($result['body']->{'cloudPropertyElement'}->{'isDomainCheckEnabled'}) ? true : false,
            "clientMailName"            => !empty($result['body']->{'cloudPropertyElement'}->{'clientMailName'}) ? $result['body']->{'cloudPropertyElement'}->{'clientMailName'} : 'Parablu',
            "clientSupportMailName"     => !empty($result['body']->{'cloudPropertyElement'}->{'clientSupportMailName'}) ? $result['body']->{'cloudPropertyElement'}->{'clientSupportMailName'} : 'support@parablu.com',
            "isShareFileNameEnabled"    => ($result['body']->{'cloudPropertyElement'}->{'isShareFileNameEnabled'}) ? true : false,
            "adfsUrl"                   => !empty($result['body']->{'cloudPropertyElement'}->{'adfsUrl'}) ? $result['body']->{'cloudPropertyElement'}->{'adfsUrl'} : 'https:443//testv20-1.parablu.com/springsam/saml/login',
            "adGroupName"               => !empty($result['body']->{'cloudPropertyElement'}->{'adGroupName'}) ? $result['body']->{'cloudPropertyElement'}->{'adGroupName'} : '',
            "bulkEmailDelay"            => ($result['body']->{'cloudPropertyElement'}->{'bulkEmailDelay'}) ? $result['body']->{'cloudPropertyElement'}->{'bulkEmailDelay'} : "NO DELAY",
            "canUserChangePassword"     => ($result['body']->{'cloudPropertyElement'}->{'canUserChangePassword'}),
            "canAdminChangeUserPassword"=> ($result['body']->{'cloudPropertyElement'}->{'canAdminChangeUserPassword'}),
            "passwordChangeEnforce"     => ($result['body']->{'cloudPropertyElement'}->{'passwordChangeEnforce'}) ? true : false,
            "supportParacloudUrl" 	=> ($result['body']->{'cloudPropertyElement'}->{'supportParacloudUrl'}),
	    "hideStorageSizeOnServer"	=> ($result['body']->{'cloudPropertyElement'}->{'hideStorageSizeOnServer'}) ? true : false,
            "hideStorageSizeInCloud" 	=> ($result['body']->{'cloudPropertyElement'}->{'hideStorageSizeInCloud'}) ? true : false,
            "showLatestBkpInfo"        	=> ($result['body']->{'cloudPropertyElement'}->{'showLatestBkpInfo'}) ? true : false,
            "hideCompressedSize"        => ($result['body']->{'cloudPropertyElement'}->{'hideCompressedSize'}) ? true : false,
	    "showSmtpSettings"        => ($result['body']->{'cloudPropertyElement'}->{'showSmtpSettings'}) ? true : false,
            "portalSSOEnable"           => $result['body']->{'cloudPropertyElement'}->{'portalSSOEnable'},
	    "portalSSOutEnable"         => $result['body']->{'cloudPropertyElement'}->{'portalSSOutEnable'},
            "dnsUserName"               => !empty($result['body']->{'cloudPropertyElement'}->{'dnsUserName'}) ? $result['body']->{'cloudPropertyElement'}->{'dnsUserName'} : 'rsuresh',
            "dnsPassword"               => !empty($result['body']->{'cloudPropertyElement'}->{'dnsPassword'}) ? $result['body']->{'cloudPropertyElement'}->{'dnsPassword'} : 'suresh',
            "dbBackupPassword"          => !empty($result['body']->{'cloudPropertyElement'}->{'dbBackupPassword'}) ? $result['body']->{'cloudPropertyElement'}->{'dbBackupPassword'} : '',
            "adEmailConfig"             => !empty($result['body']->{'cloudPropertyElement'}->{'adEmailConfig'}) ? $result['body']->{'cloudPropertyElement'}->{'adEmailConfig'} : 'mail',
            "solrServerUrl"             => $result['body']->{'cloudPropertyElement'}->{'solrServerUrl'},
            "searchEnabled"             => $result['body']->{'cloudPropertyElement'}->{'searchEnabled'},
            "storageLimitInKb"          => $result['body']->{'cloudPropertyElement'}->{'storageLimitInKb'},
            "showBackupOverview"        => $result['body']->{'cloudPropertyElement'}->{'showBackupOverview'},
            "showBackupHistory"         => $result['body']->{'cloudPropertyElement'}->{'showBackupHistory'},
            "showFailedBackupHistory"   => $result['body']->{'cloudPropertyElement'}->{'showFailedBackupHistory'},
	    "showIncompleteBackupHistory"   => $result['body']->{'cloudPropertyElement'}->{'showIncompleteBackupHistory'},
            "showSystemsWithoutBackups" => $result['body']->{'cloudPropertyElement'}->{'showSystemsWithoutBackups'},
            "showRestoreHistory"        => $result['body']->{'cloudPropertyElement'}->{'showRestoreHistory'},
            "showStorageUtilizationReport" => $result['body']->{'cloudPropertyElement'}->{'showStorageUtilizationReport'},
            "showDeviceHeartbeatReport" => $result['body']->{'cloudPropertyElement'}->{'showDeviceHeartbeatReport'},
            "showUserBackupSummary"     => $result['body']->{'cloudPropertyElement'}->{'showUserBackupSummary'},
	    "showBackupCompletionReport"=> $result['body']->{'cloudPropertyElement'}->{'showBackupCompletionReport'},
	    "enableRecaptcha"           => $result['body']->{'cloudPropertyElement'}->{'enableRecaptcha'},
	    "googleAuthenticator"       => $result['body']->{'cloudPropertyElement'}->{'googleAuthenticator'},
	    "eyeOption"           	=> $result['body']->{'cloudPropertyElement'}->{'eyeOption'},
	    "complexPassword"           => $result['body']->{'cloudPropertyElement'}->{'complexPassword'},
	    "forceChangePasswordAtFirstTimeLogin"                 => $result['body']->{'cloudPropertyElement'}->{'forceChangePasswordAtFirstTimeLogin'},
            "forceSessionLogoutAfterChangepassword"           => $result['body']->{'cloudPropertyElement'}->{'forceSessionLogoutAfterChangepassword'},
            "flipTotalCompletedBackups" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalCompletedBackups'}) ? true : false,
            "flipTotalActualStorageUtilized" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalActualStorageUtilized'}) ? true : false,
            "totalCompletedBackups"     => ($result['body']->{'cloudPropertyElement'}->{'totalCompletedBackups'}) ? true : false,
            "totalActualStorageUtilized"=> ($result['body']->{'cloudPropertyElement'}->{'totalActualStorageUtilized'}) ? true : false,
            "hideDashboard"         	=> ($result['body']->{'cloudPropertyElement'}->{'hideDashboard'}) ? true : false,
            "extensionsToPdfView"       => $result['body']->{'cloudPropertyElement'}->{'extensionsToPdfView'},
            "stopPauseAccess"         	=> ($result['body']->{'cloudPropertyElement'}->{'stopPauseAccess'}) ? true : false,
            "winDeviceDisplayNameUpdate"=> ($result['body']->{'cloudPropertyElement'}->{'winDeviceDisplayNameUpdate'}) ? true : false,
            "macDeviceDisplayNameUpdate"=> ($result['body']->{'cloudPropertyElement'}->{'macDeviceDisplayNameUpdate'}) ? true : false,
	    "brevityLogging"		=> ($result['body']->{'cloudPropertyElement'}->{'brevityLogging'}) ? true : false,
            "globalCheckForLocalStorage"=> ($result['body']->{'cloudPropertyElement'}->{'globalCheckForLocalStorage'}) ? true : false,
	    "policyEdit" => ($result['body']->{'cloudPropertyElement'}->{'policyEdit'}) ? true : false,
	    //"gatewayNameChanged"        => $result['body']->{'cloudPropertyElement'}->{'gatewayNameChanged'},
	    "showCurrentlyRunningReports" => ($result['body']->{'cloudPropertyElement'}->{'showCurrentlyRunningReports'}) ? true : false,
            "showSupportPage" 		=> ($result['body']->{'cloudPropertyElement'}->{'showSupportPage'}) ? true : false,
            "useLocalPackage" 		=> !empty($result['body']->{'cloudPropertyElement'}->{'useLocalPackage'}) ? true : false,
	    "showAuditHistory"          => ($result['body']->{'cloudPropertyElement'}->{'showAuditHistory'}) ? true : false,
	    "softBlockEnabled"          => ($result['body']->{'cloudPropertyElement'}->{'softBlockEnabled'}) ? true : false,
	    "autoExpireUsers"   	=> $result['body']->{'cloudPropertyElement'}->{'autoExpireUsers'},
	    "noBackupPolicyName" 	=> $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'},	    
	    "overridePolicySettings"    => ($result['body']->{'cloudPropertyElement'}->{'overridePolicySettings'}) ? true : false,
	    "canAdminRestoreAll"        => ($result['body']->{'cloudPropertyElement'}->{'canAdminRestoreAll'}) ? true : false,
	    "allowEndUserTocontrolRestore"   => ($result['body']->{'cloudPropertyElement'}->{'allowEndUserTocontrolRestore'}) ? true : false,
	    "isAdminDeleteBackupFile"   => ($result['body']->{'cloudPropertyElement'}->{'isAdminDeleteBackupFile'}) ? true : false,
	    "tile8ReportType"   	=> $result['body']->{'cloudPropertyElement'}->{'tile8ReportType'},
	    "flipNotProtectedTile" => ($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTile'}) ? true : false,
	    "showUserConsentFieldInPolicies"            => ($result['body']->{'cloudPropertyElement'}->{'showUserConsentFieldInPolicies'}) ? true : false,
	    "allowPasswordReset"        =>($result['body']->{'cloudPropertyElement'}->{'allowPasswordReset'}) ? true : false,
	    "activeUsers" 		=> ($result['body']->{'cloudPropertyElement'}->{'activeUsers'}) ? true : false,
	    "activeDevices" 		=> ($result['body']->{'cloudPropertyElement'}->{'activeDevices'}) ? true : false,
	    "flipUsersTile" 		=> ($result['body']->{'cloudPropertyElement'}->{'flipUsersTile'}) ? true : false,
	    "flipDevicesTile" 		=> ($result['body']->{'cloudPropertyElement'}->{'flipDevicesTile'}) ? true : false,
	    "daysToKeepAuditLog" => $result['body']->{'cloudPropertyElement'}->{'daysToKeepAuditLog'},
	    "multifactorAuthWithAccessCode" => ($result['body']->{'cloudPropertyElement'}->{'multifactorAuthWithAccessCode'}) ? true : false,
            "accessCodeExpiryTimeInMins"          => $result['body']->{'cloudPropertyElement'}->{'accessCodeExpiryTimeInMins'},
	    "numOfChunksToCheckPgOverloadLimit" => $numOfChunksToCheckPgOverloadLimit,
	    "autoBlockSoftBlockedUsers"          => $result['body']->{'cloudPropertyElement'}->{'autoBlockSoftBlockedUsers'},
	    "daysToBlockSoftBlockedUsers"        => $result['body']->{'cloudPropertyElement'}->{'daysToBlockSoftBlockedUsers'},
	    "showMultipleLoginWarning" => ($result['body']->{'cloudPropertyElement'}->{'showMultipleLoginWarning'}) ? true : false,
	    "allowUserLevelFolderExclusions" => ($result['body']->{'cloudPropertyElement'}->{'allowUserLevelFolderExclusions'}) ? true : false,
	    "daysToDeleteTmpChunk"                => !empty($result['body']->{'cloudPropertyElement'}->{'daysToDeleteTmpChunk'}) ? $result['body']->{'cloudPropertyElement'}->{'daysToDeleteTmpChunk'} : '7',
	    "daysToDeleteLocalSyncFilesAndFolders"                => !empty($result['body']->{'cloudPropertyElement'}->{'daysToDeleteLocalSyncFilesAndFolders'}) ? $result['body']->{'cloudPropertyElement'}->{'daysToDeleteLocalSyncFilesAndFolders'} : '7',
	    "numOfHitsToDBForContentChunkCheck"                => !empty($result['body']->{'cloudPropertyElement'}->{'numOfHitsToDBForContentChunkCheck'}) ? $result['body']->{'cloudPropertyElement'}->{'numOfHitsToDBForContentChunkCheck'} : '10',
	    "httpEnabled" => !empty($result['body']->{'cloudPropertyElement'}->{'httpEnabled'}) ? ($result['body']->{'cloudPropertyElement'}->{'httpEnabled'}) : false,
	    "showpreview"        => !empty($result['body']->{'cloudPropertyElement'}->{'showpreview'}) ? $result['body']->{'cloudPropertyElement'}->{'showpreview'} : false,
	    "canUserRestoreDeletedFiles"        => !empty($result['body']->{'cloudPropertyElement'}->{'canUserRestoreDeletedFiles'}) ? ($result['body']->{'cloudPropertyElement'}->{'canUserRestoreDeletedFiles'}) : false,
	    "enablePointInTime"        		=> !empty($result['body']->{'cloudPropertyElement'}->{'enablePointInTime'}) ? ($result['body']->{'cloudPropertyElement'}->{'enablePointInTime'}) : false,
	    "activeUsersOnedrive"               => ($result['body']->{'cloudPropertyElement'}->{'activeUsersOnedrive'}) ? true : false,
            "activeDevicesOnedrive"             => ($result['body']->{'cloudPropertyElement'}->{'activeDevicesOnedrive'}) ? true : false,
            "flipUsersTileOnedrive"             => ($result['body']->{'cloudPropertyElement'}->{'flipUsersTileOnedrive'}) ? true : false,
            "flipDevicesTileOnedrive"           => ($result['body']->{'cloudPropertyElement'}->{'flipDevicesTileOnedrive'}) ? true : false,
            "tile8ReportTypeOnedrive"           => $result['body']->{'cloudPropertyElement'}->{'tile8ReportTypeOnedrive'},
            "flipNotProtectedTileOnedrive" => ($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTileOnedrive'}) ? true : false,
            "flipTotalCompletedBackupsOnedrive" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalCompletedBackupsOnedrive'}) ? true : false,
            "flipTotalActualStorageUtilizedOnedrive" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalActualStorageUtilizedOnedrive'}) ? true : false,
            "totalCompletedBackupsOnedrive"     => ($result['body']->{'cloudPropertyElement'}->{'totalCompletedBackupsOnedrive'}) ? true : false,
	    "totalActualStorageUtilizedOnedrive"=> ($result['body']->{'cloudPropertyElement'}->{'totalActualStorageUtilizedOnedrive'}) ? true : false,
	    "activeUsersExchange"               => ($result['body']->{'cloudPropertyElement'}->{'activeUsersExchange'}) ? true : false,
            "activeDevicesExchange"             => ($result['body']->{'cloudPropertyElement'}->{'activeDevicesExchange'}) ? true : false,
            "flipUsersTileExchange"             => ($result['body']->{'cloudPropertyElement'}->{'flipUsersTileExchange'}) ? true : false,
            "flipDevicesTileExchange"           => ($result['body']->{'cloudPropertyElement'}->{'flipDevicesTileExchange'}) ? true : false,
            "tile8ReportTypeExchange"           => $result['body']->{'cloudPropertyElement'}->{'tile8ReportTypeExchange'},
            "flipNotProtectedTileExchange" => ($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTileExchange'}) ? true : false,
            "flipTotalCompletedBackupsExchange" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalCompletedBackupsExchange'}) ? true : false,
            "flipTotalActualStorageUtilizedExchange" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalActualStorageUtilizedExchange'}) ? true : false,
            "totalCompletedBackupsExchange"     => ($result['body']->{'cloudPropertyElement'}->{'totalCompletedBackupsExchange'}) ? true : false,
            "totalActualStorageUtilizedExchange"=> ($result['body']->{'cloudPropertyElement'}->{'totalActualStorageUtilizedExchange'}) ? true : false,
	);
	$data['activeTabBackup'] = '';
        $data['activeTabExchange'] = '';
        $data['activeTabOnedrive'] = '';
        $data['activeTabSharepoint'] = '';
        if(Auth::checkCloudPermission('backup') == true){
                $data['activeTabBackup'] = 'active';
        }else{
                if(Auth::checkCloudPermission('exchange') == true){
                        $data['activeTabExchange'] = 'active';
                }else{
                        if(Auth::checkCloudPermission('sharepoint') == true){
                                $data['activeTabSharepoint'] = 'active';
                        }else{
                                if(Auth::checkCloudPermission('onedrive') == true){
                                        $data['activeTabOnedrive'] = 'active';
                                }else{
                                }
                        }
                }
        }

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/cloudProperties', $data);
        View::renderTemplate('footer', $data);
    }

    public function saveCloudProperties(){
        if(!empty($_POST)){
            $headers = array(
                'Content-Type'      => 'application/json',
                'token'             => $this->session->get('token')
            );
	    if(empty($_POST['bulkEmailDelay']) || $_POST['bulkEmailDelay'] == 'NO DELAY'){
                $_POST['bulkEmailDelay'] = 0;
            }
        if (!preg_match('/https/', $_POST["supportParacloudUrl"])) {
            $_POST["supportParacloudUrl"] = "https://".$_POST["supportParacloudUrl"]."/";
        }        
        $flipTotalCompletedBackups = false;
        if(isset($_POST['tile3flip']) && $_POST['tile3flip']=='on'){
            $flipTotalCompletedBackups = true;
        }
        $flipTotalActualStorageUtilized = false;
        if(isset($_POST['tile5flip']) && $_POST['tile5flip']=='on'){
            $flipTotalActualStorageUtilized = true;
        }
        $totalCompletedBackups = false;
        if(isset($_POST['tile3']) && $_POST['tile3'] == 'true'){
                $totalCompletedBackups = true;
        }
        $totalActualStorageUtilized = false;
        if(isset($_POST['tile5']) && $_POST['tile5'] == 'true'){
                $totalActualStorageUtilized = true;
        }
        $flipNotProtectedTile = false;
        if(isset($_POST['tile4flip']) && $_POST['tile4flip'] == 'on'){
            $flipNotProtectedTile = true;
        }
	if((isset($_POST['autoExpireUsers']) && $_POST['autoExpireUsers'] == 'true')  && (isset($_POST['disallowAging']) && $_POST['disallowAging']) == 'enabled'){
                $autoExpireUsers = 'LOCAL USERS';
        }
        if((isset($_POST['autoExpireUsers']) && $_POST['autoExpireUsers'] == 'true') && (isset($_POST['disallowAging']) && $_POST['disallowAging']) != 'enabled'){
                $autoExpireUsers = 'ALL USERS';
        }
        if(!isset($_POST['autoExpireUsers'])){
                $autoExpireUsers = 'DISABLED';
        }
	$flipUsersTile = false;
        if(isset($_POST['tile1flip']) && $_POST['tile1flip']=='on'){
            $flipUsersTile = true;
        }
        $activeUsers = false;
        if(isset($_POST['tile1']) && $_POST['tile1'] == 'true'){
            $activeUsers = true;
        }
        $flipDevicesTile = false;
        if(isset($_POST['tile2flip']) && $_POST['tile2flip']=='on'){
            $flipDevicesTile = true;
        }
        $activeDevices = false;
        if(isset($_POST['tile2']) && $_POST['tile2'] == 'true'){
            $activeDevices = true;
        }
	if(multifactorAuthWithAccessCode == true){
        	$googleAuthenticator = 'false';
        }else{
                $googleAuthenticator = $_POST["googleAuthenticator"];
        }
	$autoBlockSoftBlockedUsers = false;
	if(isset($_POST['autoBlockSoftBlockedUsers']) && $_POST['autoBlockSoftBlockedUsers'] == 'on'){
                $autoBlockSoftBlockedUsers = 'true';
	}
	/**/
        $flipTotalCompletedBackupsOnedrive = false;
        if(isset($_POST['tile3flipOnedrive']) && $_POST['tile3flipOnedrive']=='on'){
            $flipTotalCompletedBackupsOnedrive = true;
        }
        $flipTotalActualStorageUtilizedOnedrive = false;
        if(isset($_POST['tile5flipOnedrive']) && $_POST['tile5flipOnedrive']=='on'){
            $flipTotalActualStorageUtilizedOnedrive = true;
        }
        $totalCompletedBackupsOnedrive = false;
        if(isset($_POST['tile3Onedrive']) && $_POST['tile3Onedrive'] == 'true'){
                $totalCompletedBackupsOnedrive = true;
        }
        $totalActualStorageUtilizedOnedrive = false;
        if(isset($_POST['tile5Onedrive']) && $_POST['tile5Onedrive'] == 'true'){
                $totalActualStorageUtilizedOnedrive = true;
        }
        $flipNotProtectedTileOnedrive = false;
        if(isset($_POST['tile4flipOnedrive']) && $_POST['tile4flipOnedrive'] == 'on'){
            $flipNotProtectedTileOnedrive = true;
        }
        $flipUsersTileOnedrive = false;
        if(isset($_POST['tile1flipOnedrive']) && $_POST['tile1flipOnedrive']=='on'){
            $flipUsersTileOnedrive = true;
        }
        $activeUsersOnedrive = false;
        if(isset($_POST['tile1Onedrive']) && $_POST['tile1Onedrive'] == 'true'){
            $activeUsersOnedrive = true;
	}
	$flipDevicesTileOnedrive = false;
        if(isset($_POST['tile2flipOnedrive']) && $_POST['tile2flipOnedrive']=='on'){
            $flipDevicesTileOnedrive = true;
        }
        $activeDevicesOnedrive = false;
        if(isset($_POST['tile2Onedrive']) && $_POST['tile2Onedrive'] == 'true'){
            $activeDevicesOnedrive = true;
        }
	/**/
	/*exchange*/
        $flipTotalCompletedBackupsExchange = false;
        if(isset($_POST['tile3flipExchange']) && $_POST['tile3flipExchange']=='on'){
            $flipTotalCompletedBackupsExchange = true;
        }
        $flipTotalActualStorageUtilizedExchange = false;
        if(isset($_POST['tile5flipExchange']) && $_POST['tile5flipExchange']=='on'){
            $flipTotalActualStorageUtilizedExchange = true;
        }
        $totalCompletedBackupsExchange = false;
        if(isset($_POST['tile3Exchange']) && $_POST['tile3Exchange'] == 'true'){
                $totalCompletedBackupsExchange = true;
        }
        $totalActualStorageUtilizedExchange = false;
        if(isset($_POST['tile5Exchange']) && $_POST['tile5Exchange'] == 'true'){
                $totalActualStorageUtilizedExchange = true;
        }
        $flipNotProtectedTileExchange = false;
        if(isset($_POST['tile4flipExchange']) && $_POST['tile4flipExchange'] == 'on'){
            $flipNotProtectedTileExchange = true;
        }
        $flipUsersTileExchange = false;
        if(isset($_POST['tile1flipExchange']) && $_POST['tile1flipExchange']=='on'){
            $flipUsersTileExchange = true;
        }
        $activeUsersExchange = false;
        if(isset($_POST['tile1Exchange']) && $_POST['tile1Exchange'] == 'true'){
            $activeUsersExchange = true;
        }
        $flipDevicesTileExchange = false;
        if(isset($_POST['tile2flipExchange']) && $_POST['tile2flipExchange']=='on'){
            $flipDevicesTileExchange = true;
        }
        $activeDevicesExchange = false;
        if(isset($_POST['tile2Exchange']) && $_POST['tile2Exchange'] == 'true'){
            $activeDevicesExchange = true;
        }
        /*exchange*/
        $flipTotalActualStorageUtilizedSharepoint = false;
        if(isset($_POST['tile5flipSharepoint']) && $_POST['tile5flipSharepoint']=='on'){
            $flipTotalActualStorageUtilizedSharepoint = true;
        }
        $totalActualStorageUtilizedSharepoint = false;
        if(isset($_POST['tile5Sharepoint']) && $_POST['tile5Sharepoint'] == 'true'){
                $totalActualStorageUtilizedSharepoint = true;
        }
        $cloudDetails = array(
                "blusyncDownloadPath" => $_POST["blusyncDownloadPath"],
                "mntParacloudPath" => $_POST["mntParacloudPath"],
                "cloudScriptsFolder" => $_POST["cloudScriptsFolder"],
                "scriptsBinDir" => $_POST["scriptsBinDir"],
                "scriptsVideoThumbnail" => $_POST["scriptsVideoThumbnail"],
                "scriptsGeneralThumbnail" => $_POST["scriptsGeneralThumbnail"],
                "cloudFileName" => $_POST["cloudFileName"],
                "cloudType" => $_POST["cloudType"],
                "solrUrl" => $_POST["solrUrl"],
                "supportMail" => $_POST["supportMailNew"],
                "sslAuthEnabled" => $_POST["sslAuthEnabled"],
                "azureVM" => $_POST["azureVM"],
                "localAD" => $_POST["localAD"],
                "reportRows" => $_POST["reportRows"],
                "maxCrawlHit" => $_POST["maxCrawlHit"],
                "defaultBkpPolicyName" => !empty($_POST["defaultBkpPolicyName"]) ? $_POST["defaultBkpPolicyName"] : '',
                "defaultSyncPolicyName" => !empty($_POST["defaultSyncPolicyName"]) ? $_POST["defaultSyncPolicyName"] : '',
                "defaultGuestSyncPolicyName" => !empty($_POST["defaultGuestSyncPolicyName"]) ? $_POST["defaultGuestSyncPolicyName"] : '',
                "defaultGuestBkpPolicyName" => !empty($_POST["defaultGuestBkpPolicyName"]) ? $_POST["defaultGuestBkpPolicyName"] : '',
                "daysToWaitForNextBackup" => $_POST["daysToWaitForNextBackup"],
                "defaultOdbPolicyName" => !empty($_POST["defaultOdbPolicyName"]) ? $_POST["defaultOdbPolicyName"] : '',
		"defaultExchangePolicyName" => !empty($_POST["defaultExchangePolicyName"]) ? $_POST["defaultExchangePolicyName"] : '',
		"defaultSharepointPolicyName" => !empty($_POST["defaultSharepointPolicyName"]) ? $_POST["defaultSharepointPolicyName"] : '',
                "mongoReadPreference" => $_POST["mongoReadPreference"],
                "writeConcernLimit" => $_POST["writeConcernLimit"],
                "ebmsWriteDelayLimit" => $_POST["ebmsWriteDelayLimit"],
                "noOfMultiADConfig" => $_POST["noOfMultiADConfig"],
                "isCrawlEnabled" => $_POST["isCrawlEnabled"],
                "emailBkpGroupName" => $_POST["emailBkpGroupName"],
                "emailSyncGroupName" => $_POST["emailSyncGroupName"],
                "bkpGroupEmail" => $_POST["bkpGroupEmail"],
                "syncGroupEmail" => $_POST["syncGroupEmail"],
                "chunkUpdateMaxRetry" => $_POST["chunkUpdateMaxRetry"],
                "isDomainCheckEnabled" => $_POST["isDomainCheckEnabled"],
                "clientMailName" => $_POST["clientMailName"],
                "clientSupportMailName" => $_POST["clientSupportMailName"],
                "isShareFileNameEnabled" => $_POST["isShareFileNameEnabled"],
                "adfsUrl" => $_POST["adfsUrl"],
                "adGroupName" => $_POST["adGroupName"],
        	"bulkEmailDelay" => $_POST["bulkEmailDelay"],
                "canUserChangePassword"    => $_POST["canUser"],
                "canAdminChangeUserPassword"  => $_POST["canAdmin"],
                "passwordChangeEnforce"  => !empty($_POST["passwordChangeEnforce"]) ? $_POST["passwordChangeEnforce"] : 'false',
                "supportParacloudUrl" => $_POST["supportParacloudUrl"],
		"hideStorageSizeOnServer" => $_POST['hideStorageSizeOnServer'],
                "hideStorageSizeInCloud" => $_POST["hideStorageSizeInCloud"],
                "showLatestBkpInfo" => $_POST["showLatestBkpInfo"],
                "hideCompressedSize" => $_POST["hideCompressedSize"],
		"showSmtpSettings" => $_POST["showSmtpSettings"],
                "portalSSOEnable" => $_POST["portalSSOEnable"],
		"portalSSOutEnable" => $_POST['portalSSOutEnable'],
                "dnsUserName" => $_POST["dnsUserName"],
                "dnsPassword" => $_POST["dnsPassword"],
                "dbBackupPassword" => $_POST["dbBackupPassword"],
                "adEmailConfig" => $_POST["adEmailConfig"],
                "solrServerUrl" => $_POST['solrServerUrl'],
                "searchEnabled" => !empty($_POST['searchEnabled']) ? $_POST['searchEnabled'] : false,
                "storageLimitInKb" => $_POST['storageLimitInKb'],
                "oneDriveBackupType"    => $_POST["oneDriveBackupType"],
                "eyeOption"=> $_POST["eyeOption"],
                "enableRecaptcha"=> $_POST["enableRecaptcha"],
                "googleAuthenticator"=> $googleAuthenticator,
		"complexPassword"=> $_POST["complexPassword"],
                "totalCompletedBackups"=> $totalCompletedBackups,
                "totalActualStorageUtilized"=> $totalActualStorageUtilized,
		"flipTotalCompletedBackups"=> $flipTotalCompletedBackups,
                "flipTotalActualStorageUtilized"=> $flipTotalActualStorageUtilized,
                "complexPassword"=> $_POST["complexPassword"],
		"forceChangePasswordAtFirstTimeLogin" => $_POST['forceChangePasswordAtFirstTimeLogin'],
                "forceSessionLogoutAfterChangepassword" => $_POST['forceSessionLogoutAfterChangepassword'],
                "showBackupOverview" => $_POST["showBackupOverview"],
                "showBackupHistory" => $_POST["showBackupHistory"],
                "showFailedBackupHistory" => $_POST["showFailedBackupHistory"],
		"showIncompleteBackupHistory"   => $_POST['showIncompleteBackupHistory'],
                "showSystemsWithoutBackups" => $_POST["showSystemsWithoutBackups"],
                "showRestoreHistory" => $_POST["showRestoreHistory"],
                "showStorageUtilizationReport" => $_POST["showStorageUtilizationReport"],
                "showDeviceHeartbeatReport" => $_POST["showDeviceHeartbeatReport"],
                "showUserBackupSummary" => $_POST["showUserBackupSummary"],
	        "showBackupCompletionReport" => $_POST["showBackupCompletionReport"],
                "hideDashboard"         => $_POST['hideDashboard'],
                "extensionsToPdfView" => $_POST['extensionsToPdfView'],
                "stopPauseAccess" => $_POST['stopPauseAccess'],
                "winDeviceDisplayNameUpdate" => $_POST['winDeviceDisplayNameUpdate'],
                "macDeviceDisplayNameUpdate" => $_POST['macDeviceDisplayNameUpdate'],
		"brevityLogging" => $_POST['brevityLogging'],
                "globalCheckForLocalStorage" => $_POST['globalCheckForLocalStorage'],
		"policyEdit" => $_POST['policyEdit'],
		//"gatewayNameChanged" => $_POST["gatewayNameChanged"],
		"showCurrentlyRunningReports" => $_POST['showCurrentlyRunningReports'],
                "showSupportPage" => $_POST['showSupportPage'],
                "useLocalPackage" => $_POST['useLocalPackage'],
		"showAuditHistory"         => $_POST['showAuditHistory'],
		"softBlockEnabled"         => $_POST['softBlockEnabled'],
		"autoExpireUsers"          => $autoExpireUsers,
		"noBackupPolicyName"       => $_POST["noBackupPolicyName"],
		"overridePolicySettings"     => !empty($_POST['overridePolicySettings']) ? $_POST['overridePolicySettings'] : 'false',
                "canAdminRestoreAll" => !empty($_POST['canAdminRestoreAll']) ? $_POST["canAdminRestoreAll"] : 'false',
                "allowEndUserTocontrolRestore" => !empty($_POST['allowEndUserTocontrolRestore']) ?$_POST["allowEndUserTocontrolRestore"] : 'false',
                "isAdminDeleteBackupFile" => !empty($_POST["isAdminDeleteBackupFile"]) ? $_POST["isAdminDeleteBackupFile"] : 'false',
		"tile8ReportType"   	   => $_POST['tile4ReportType'],
		"flipNotProtectedTile"    => $flipNotProtectedTile,
		"showUserConsentFieldInPolicies" => $_POST["showUserConsentFieldInPolicies"],
		"allowPasswordReset"            => $_POST['allowPasswordReset'],
		"activeUsers"=> $activeUsers,
                "activeDevices"=> $activeDevices,
                "flipUsersTile"=> $flipUsersTile,
                "flipDevicesTile"=> $flipDevicesTile,
		"daysToKeepAuditLog" => $_POST['daysToKeepAuditLog'],
		"multifactorAuthWithAccessCode" => $_POST['multifactorAuthWithAccessCode'],
                "accessCodeExpiryTimeInMins"          => $_POST['accessCodeExpiryTimeInMins'],
		"numOfChunksToCheckPgOverloadLimit" => $_POST['numOfChunksToCheckPgOverloadLimit'],
		"autoBlockSoftBlockedUsers"          => $autoBlockSoftBlockedUsers,
		"daysToBlockSoftBlockedUsers"        => $_POST['daysToBlockSoftBlockedUsers'],
		"showMultipleLoginWarning" => $_POST['showMultipleLoginWarning'],
		"allowUserLevelFolderExclusions" => $_POST['allowUserLevelFolderExclusions'],
		"daysToDeleteTmpChunk" => $_POST["daysToDeleteTmpChunk"],
		"daysToDeleteLocalSyncFilesAndFolders" => $_POST["daysToDeleteLocalSyncFilesAndFolders"],
		"numOfHitsToDBForContentChunkCheck" => $_POST["numOfHitsToDBForContentChunkCheck"],
		"httpEnabled" => $_POST["httpEnabled"],
		"showpreview"        =>	$_POST['showpreview'],
		"canUserRestoreDeletedFiles"   => $_POST['canUserRestoreDeletedFiles'],
		"enablePointInTime"        => $_POST['enablePointInTime'],
		"totalCompletedBackupsOnedrive"=> $totalCompletedBackupsOnedrive,
                "totalActualStorageUtilizedOnedrive"=> $totalActualStorageUtilizedOnedrive,
                "flipTotalCompletedBackupsOnedrive"=> $flipTotalCompletedBackupsOnedrive,
                "flipTotalActualStorageUtilizedOnedrive"=> $flipTotalActualStorageUtilizedOnedrive,
                //"tile8ReportTypeOnedrive"        => $_POST['tile4ReportTypeOnedrive'],
                "activeUsersOnedrive"=> $activeUsersOnedrive,
                "activeDevicesOnedrive"=> $activeDevicesOnedrive,
                "flipUsersTileOnedrive"=> $flipUsersTileOnedrive,
                "flipDevicesTileOnedrive"=> $flipDevicesTileOnedrive,
                "totalActualStorageUtilizedSharepoint"=> $totalActualStorageUtilizedSharepoint,
		"flipTotalActualStorageUtilizedSharepoint"=> $flipTotalActualStorageUtilizedSharepoint,
		"totalCompletedBackupsExchange"=> $totalCompletedBackupsExchange,
                "totalActualStorageUtilizedExchange"=> $totalActualStorageUtilizedExchange,
                "flipTotalCompletedBackupsExchange"=> $flipTotalCompletedBackupsExchange,
                "flipTotalActualStorageUtilizedExchange"=> $flipTotalActualStorageUtilizedExchange,                
                "activeUsersExchange"=> $activeUsersExchange,
                "activeDevicesExchange"=> $activeDevicesExchange,
                "flipUsersTileExchange"=> $flipUsersTileExchange,
                "flipDevicesTileExchange"=> $flipDevicesTileExchange,
            );

            $result = $this->_model->saveCloudProperties($headers, $cloudDetails);
            $this->log(json_encode($cloudDetails), "info");
            switch ($result['status']) {
                case (200):
			if($cloudDetails['showSupportPage'] == 'true'){
			    	$this->session->put('showSupportPage','true');
			}else{
				$this->session->put('showSupportPage','false');
			}
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('savedCloudProperties')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }
    
    public function globalSettings(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token')
        );

        $result = $this->_model->getCloudProperties($headers);
        $backupPoliciesResult= $this->_model->getAllPolicies($this->session->get('token'));
        $syncPoliciesResult= $this->_model->getAllSyncPolicies($this->session->get('token'));
        //$odbPolicyResult1 = $this->_model->getAllOneDrivePolicies(array('token'=>$this->session->get('token')));
         /*if(empty((array)$backupPoliciesResult['body']->{'backupPolicyElementList'}) && $this->auth->checkCloudPermission('backup')){
             header('Location: '.Url::basePath('pms/policy/create'));
             exit;
         }
         if(empty((array)$syncPoliciesResult['body']->{'syncPolicyElementList'}) && $this->auth->checkCloudPermission('sync')){
             header('Location: '.Url::basePath('pms/sync/policy/create'));
             exit;
	 }*/
 
         $backupPolicies = [];
	if(!empty($backupPoliciesResult['body']->{'backupPolicyElementList'})){
	foreach((array)$backupPoliciesResult['body']->{'backupPolicyElementList'} as $value){
             $policy = array('name' => $value->{'policygroupName'});
             $backupPolicies = array_merge(array($policy), $backupPolicies);
	}
	}
         
         $syncPolicies = [];
	if(!empty($syncPoliciesResult['body']->{'syncPolicyElementList'})){
	foreach((array)$syncPoliciesResult['body']->{'syncPolicyElementList'} as $value){
             $policy = array('name' => $value->{'policygroupName'});
             $syncPolicies = array_merge(array($policy), $syncPolicies);
	}
	}
         
        $backupResult1 = $this->_model->getAllBackupPolicyName(array('token'=>$this->session->get('token')));
        $syncResult1 = $this->_model->getAllSyncPolicyName(array('token'=>$this->session->get('token')));
        $backupPolicies1 = [];
	if(!empty($backupResult1['body']->{'stringList'})){
	foreach((array)$backupResult1['body']->{'stringList'} as $value){
            $policy = $value;
            $backupPolicies1 = array_merge(array($policy), $backupPolicies1);
	}
	}

        $syncPolicies1 = [];
	if(!empty($syncResult1['body']->{'stringList'})){
	foreach((array)$syncResult1['body']->{'stringList'} as $value){
            $policy = $value;
            $syncPolicies1 = array_merge(array($policy), $syncPolicies1);
	}
	}
        
        $resultODB = $this->_model->getAllOfficePolicyName(array("token"=>$this->session->get('token'),'isReport' => 'true','productType'=>'ODB'));
	$resultExchange = $this->_model->getAllOfficePolicyName(array("token"=>$this->session->get('token'),'isReport' => 'true','productType'=>'Exchange'));
	$resultSharepoint = $this->_model->getAllOfficePolicyName(array("token"=>$this->session->get('token'),'isReport' => 'true','productType'=>'Sharepoint'));
        $odbPolicies = [];
	$exchangePolicies = [];
	$sharepointPolicies=[];

            if(!empty($resultODB['body']->{'stringList'})){
                foreach((array)$resultODB['body']->{'stringList'} as $value){
                        $odbPolicy = $value;
                        $odbPolicies = array_merge(array($odbPolicy), $odbPolicies);
                }
            }
            if(!empty($resultExchange['body']->{'stringList'})){
                foreach((array)$resultExchange['body']->{'stringList'} as $value){
                        $exchangePolicy = $value;
                        $exchangePolicies = array_merge(array($exchangePolicy), $exchangePolicies);
                }
	    }
	    if(!empty($resultSharepoint['body']->{'stringList'})){
                foreach((array)$resultSharepoint['body']->{'stringList'} as $value){
                        $sharepointPolicy = $value;
                        $sharepointPolicies = array_merge(array($sharepointPolicy), $sharepointPolicies);
                }
            }
        natcasesort($odbPolicies);
	natcasesort($exchangePolicies);
	natcasesort($sharepointPolicies);
        natcasesort($backupPolicies1);
        natcasesort($syncPolicies1);
        
        $onedriveBkpEnabled = 'false';
        if($this->session->get('onedriveBkpEnabled') == true){
            $onedriveBkpEnabled = 'true';
        }
	if(empty($result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'}) || $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} == 'null' || $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} == ''){
        	$result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} = 'STAGING_POLICY';
        }else{
                $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'} = $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'};
        }
	if($result['body']->{'cloudPropertyElement'}->{'numOfChunksToCheckPgOverloadLimit'} == 0){
                $numOfChunksToCheckPgOverloadLimit = 10;
        }else{
                $numOfChunksToCheckPgOverloadLimit = $result['body']->{'cloudPropertyElement'}->{'numOfChunksToCheckPgOverloadLimit'};
        }
        $data = array(
            'title' 			=> $this->language->get('indexPageName'),
            'crumb1' 			=> $this->language->get('cloudProperties'),
            'active' 			=> 'settings',
            'csrf_token' 		=> $this->setCSRFToken(),
            'loggedInUser' 		=> $this->session->all(),
            "onedriveBkpEnabled" 	=> $onedriveBkpEnabled,
            "backupPolicies"            => $backupPolicies,
            "syncPolicies"              => $syncPolicies,
            "backupPolicies1"           => $backupPolicies1,
            "syncPolicies1"             => $syncPolicies1,
            "odbPolicies1"              => $odbPolicies,
	    "exchangePolicies1" 	=> $exchangePolicies,
	    "sharepointPolicies1"       => $sharepointPolicies,
            "oneDriveBackupType"        => $result['body']->{'cloudPropertyElement'}->{'oneDriveBackupType'},
            "blusyncDownloadPath"       => !empty($result['body']->{'cloudPropertyElement'}->{'blusyncDownloadPath'}) ? $result['body']->{'cloudPropertyElement'}->{'blusyncDownloadPath'} : '/var/lib/parablusys/upgrade/',
            "mntParacloudPath"          => !empty($result['body']->{'cloudPropertyElement'}->{'mntParacloudPath'}) ? $result['body']->{'cloudPropertyElement'}->{'mntParacloudPath'} : '/mnt/',
            "cloudScriptsFolder"        => !empty($result['body']->{'cloudPropertyElement'}->{'cloudScriptsFolder'}) ? $result['body']->{'cloudPropertyElement'}->{'cloudScriptsFolder'} : '/var/lib/parablusys/bin/',
            "scriptsBinDir"             => !empty($result['body']->{'cloudPropertyElement'}->{'scriptsBinDir'}) ? $result['body']->{'cloudPropertyElement'}->{'scriptsBinDir'} : '/var/lib/parablusys/bin/',
            "scriptsVideoThumbnail"     => !empty($result['body']->{'cloudPropertyElement'}->{'scriptsVideoThumbnail'}) ? $result['body']->{'cloudPropertyElement'}->{'scriptsVideoThumbnail'} : 'generateVideoThumbnails.sh',
            "scriptsGeneralThumbnail"   => !empty($result['body']->{'cloudPropertyElement'}->{'scriptsGeneralThumbnail'}) ? $result['body']->{'cloudPropertyElement'}->{'scriptsGeneralThumbnail'} : 'generateThumbnails.sh',
            "cloudFileName"             => !empty($result['body']->{'cloudPropertyElement'}->{'cloudFileName'}) ? $result['body']->{'cloudPropertyElement'}->{'cloudFileName'} : 'cloudName',
            "cloudType"                 => !empty($result['body']->{'cloudPropertyElement'}->{'cloudType'}) ? $result['body']->{'cloudPropertyElement'}->{'cloudType'} : 'enterprise',
            "solrUrl"                   => !empty($result['body']->{'cloudPropertyElement'}->{'solrUrl'}) ? $result['body']->{'cloudPropertyElement'}->{'solrUrl'} : 'http://192.168.7.57/ParacloudSearch/search/',
            "supportMail"               => !empty($result['body']->{'cloudPropertyElement'}->{'supportMail'}) ? $result['body']->{'cloudPropertyElement'}->{'supportMail'} : 'praveen.anandaraju@parablu.com',
            "sslAuthEnabled"            => ($result['body']->{'cloudPropertyElement'}->{'sslAuthEnabled'}) ? true : false,
            "azureVM"                   => ($result['body']->{'cloudPropertyElement'}->{'azureVM'}) ? true : false,
            "localAD"                   => ($result['body']->{'cloudPropertyElement'}->{'localAD'}) ? true : false,
            "reportRows"                => !empty($result['body']->{'cloudPropertyElement'}->{'reportRows'}) ? $result['body']->{'cloudPropertyElement'}->{'reportRows'} : '50',
            "maxCrawlHit"               => $result['body']->{'cloudPropertyElement'}->{'maxCrawlHit'},
            "defaultBkpPolicyName"      => !empty($result['body']->{'cloudPropertyElement'}->{'defaultBkpPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultBkpPolicyName'} : 'STATISTICS_COLLECTOR',
            "defaultSyncPolicyName"     => !empty($result['body']->{'cloudPropertyElement'}->{'defaultSyncPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultSyncPolicyName'} : 'STATISTICS_SYNC_COLLECTOR',
            "defaultGuestSyncPolicyName"=> !empty($result['body']->{'cloudPropertyElement'}->{'defaultGuestSyncPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultGuestSyncPolicyName'} : 'STATISTICS_SYNC_COLLECTOR',
            "defaultGuestBkpPolicyName" => !empty($result['body']->{'cloudPropertyElement'}->{'defaultGuestBkpPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultGuestBkpPolicyName'} : 'STATISTICS_COLLECTOR',
            "daysToWaitForNextBackup"   => !empty($result['body']->{'cloudPropertyElement'}->{'daysToWaitForNextBackup'}) ? $result['body']->{'cloudPropertyElement'}->{'daysToWaitForNextBackup'} : 0,
            "defaultOdbPolicyName"     	=> !empty($result['body']->{'cloudPropertyElement'}->{'defaultOdbPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultOdbPolicyName'} : 'STATISTICS_ODB_POLICY',
	    "defaultExchangePolicyName"     => !empty($result['body']->{'cloudPropertyElement'}->{'defaultExchangePolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultExchangePolicyName'} : 'STATISTICS_EXCHANGE_POLICY',
	    "defaultSharepointPolicyName" => !empty($result['body']->{'cloudPropertyElement'}->{'defaultSharepointPolicyName'}) ? $result['body']->{'cloudPropertyElement'}->{'defaultSharepointPolicyName'} : 'STATISTICS_SP_POLICY',
            "mongoReadPreference"       => ($result['body']->{'cloudPropertyElement'}->{'mongoReadPreference'}) ? true : false,
            "writeConcernLimit"         => !empty($result['body']->{'cloudPropertyElement'}->{'writeConcernLimit'}) ? $result['body']->{'cloudPropertyElement'}->{'writeConcernLimit'} : 1000,
            "ebmsWriteDelayLimit"       => !empty($result['body']->{'cloudPropertyElement'}->{'ebmsWriteDelayLimit'}) ? $result['body']->{'cloudPropertyElement'}->{'ebmsWriteDelayLimit'} : 10,
            "noOfMultiADConfig"         => !empty($result['body']->{'cloudPropertyElement'}->{'noOfMultiADConfig'}) ? $result['body']->{'cloudPropertyElement'}->{'noOfMultiADConfig'} : 1,
            "isCrawlEnabled"            => ($result['body']->{'cloudPropertyElement'}->{'isCrawlEnabled'}) ? true : false,
            "emailBkpGroupName"         => !empty($result['body']->{'cloudPropertyElement'}->{'emailBkpGroupName'}) ? $result['body']->{'cloudPropertyElement'}->{'emailBkpGroupName'} : '',
            "emailSyncGroupName"        => !empty($result['body']->{'cloudPropertyElement'}->{'emailSyncGroupName'}) ? $result['body']->{'cloudPropertyElement'}->{'emailSyncGroupName'} : '',
            "bkpGroupEmail"             => !empty($result['body']->{'cloudPropertyElement'}->{'bkpGroupEmail'}) ? $result['body']->{'cloudPropertyElement'}->{'bkpGroupEmail'} : 'MySecureBackup',
            "syncGroupEmail"            => !empty($result['body']->{'cloudPropertyElement'}->{'syncGroupEmail'}) ? $result['body']->{'cloudPropertyElement'}->{'syncGroupEmail'} : 'MySecureSync',
            "chunkUpdateMaxRetry"       => !empty($result['body']->{'cloudPropertyElement'}->{'chunkUpdateMaxRetry'}) ? $result['body']->{'cloudPropertyElement'}->{'chunkUpdateMaxRetry'} : 3,
            "isDomainCheckEnabled"      => ($result['body']->{'cloudPropertyElement'}->{'isDomainCheckEnabled'}) ? true : false,
            "clientMailName"            => !empty($result['body']->{'cloudPropertyElement'}->{'clientMailName'}) ? $result['body']->{'cloudPropertyElement'}->{'clientMailName'} : 'Parablu',
            "clientSupportMailName"     => !empty($result['body']->{'cloudPropertyElement'}->{'clientSupportMailName'}) ? $result['body']->{'cloudPropertyElement'}->{'clientSupportMailName'} : 'support@parablu.com',
            "isShareFileNameEnabled"    => ($result['body']->{'cloudPropertyElement'}->{'isShareFileNameEnabled'}) ? true : false,
            "adfsUrl"                   => !empty($result['body']->{'cloudPropertyElement'}->{'adfsUrl'}) ? $result['body']->{'cloudPropertyElement'}->{'adfsUrl'} : 'https:443//testv20-1.parablu.com/springsam/saml/login',
            "adGroupName"               => !empty($result['body']->{'cloudPropertyElement'}->{'adGroupName'}) ? $result['body']->{'cloudPropertyElement'}->{'adGroupName'} : '',
            "bulkEmailDelay"            => ($result['body']->{'cloudPropertyElement'}->{'bulkEmailDelay'}) ? $result['body']->{'cloudPropertyElement'}->{'bulkEmailDelay'} : "NO DELAY",
            "canUserChangePassword"     => ($result['body']->{'cloudPropertyElement'}->{'canUserChangePassword'}),
            "canAdminChangeUserPassword"=> ($result['body']->{'cloudPropertyElement'}->{'canAdminChangeUserPassword'}),
            "passwordChangeEnforce"     => ($result['body']->{'cloudPropertyElement'}->{'passwordChangeEnforce'}) ? true : false,
            "supportParacloudUrl" 	=> ($result['body']->{'cloudPropertyElement'}->{'supportParacloudUrl'}),
	    "hideStorageSizeOnServer"	=> ($result['body']->{'cloudPropertyElement'}->{'hideStorageSizeOnServer'}) ? true : false,
            "hideStorageSizeInCloud" 	=> ($result['body']->{'cloudPropertyElement'}->{'hideStorageSizeInCloud'}) ? true : false,
            "showLatestBkpInfo"        	=> ($result['body']->{'cloudPropertyElement'}->{'showLatestBkpInfo'}) ? true : false,
            "hideCompressedSize"        => ($result['body']->{'cloudPropertyElement'}->{'hideCompressedSize'}) ? true : false,
	    "showSmtpSettings"        	=> ($result['body']->{'cloudPropertyElement'}->{'showSmtpSettings'}) ? true : false,
            "portalSSOEnable"           => $result['body']->{'cloudPropertyElement'}->{'portalSSOEnable'},
	    "portalSSOutEnable"         => $result['body']->{'cloudPropertyElement'}->{'portalSSOutEnable'},
            "dnsUserName"               => !empty($result['body']->{'cloudPropertyElement'}->{'dnsUserName'}) ? $result['body']->{'cloudPropertyElement'}->{'dnsUserName'} : 'rsuresh',
            "dnsPassword"               => !empty($result['body']->{'cloudPropertyElement'}->{'dnsPassword'}) ? $result['body']->{'cloudPropertyElement'}->{'dnsPassword'} : 'suresh',
            "dbBackupPassword"          => !empty($result['body']->{'cloudPropertyElement'}->{'dbBackupPassword'}) ? $result['body']->{'cloudPropertyElement'}->{'dbBackupPassword'} : '',
            "adEmailConfig"             => !empty($result['body']->{'cloudPropertyElement'}->{'adEmailConfig'}) ? $result['body']->{'cloudPropertyElement'}->{'adEmailConfig'} : 'mail',
            "solrServerUrl"             => $result['body']->{'cloudPropertyElement'}->{'solrServerUrl'},
            "searchEnabled"             => $result['body']->{'cloudPropertyElement'}->{'searchEnabled'},
            "storageLimitInKb"          => $result['body']->{'cloudPropertyElement'}->{'storageLimitInKb'},
            "showBackupOverview"        => $result['body']->{'cloudPropertyElement'}->{'showBackupOverview'},
            "showBackupHistory"         => $result['body']->{'cloudPropertyElement'}->{'showBackupHistory'},
            "showFailedBackupHistory"   => $result['body']->{'cloudPropertyElement'}->{'showFailedBackupHistory'},
	    "showIncompleteBackupHistory"   => $result['body']->{'cloudPropertyElement'}->{'showIncompleteBackupHistory'},
            "showSystemsWithoutBackups" => $result['body']->{'cloudPropertyElement'}->{'showSystemsWithoutBackups'},
            "showRestoreHistory"        => $result['body']->{'cloudPropertyElement'}->{'showRestoreHistory'},
            "showStorageUtilizationReport" => $result['body']->{'cloudPropertyElement'}->{'showStorageUtilizationReport'},
            "showDeviceHeartbeatReport" => $result['body']->{'cloudPropertyElement'}->{'showDeviceHeartbeatReport'},
            "showUserBackupSummary"     => $result['body']->{'cloudPropertyElement'}->{'showUserBackupSummary'},
	    "showBackupCompletionReport"=> $result['body']->{'cloudPropertyElement'}->{'showBackupCompletionReport'},
	    "enableRecaptcha"           => $result['body']->{'cloudPropertyElement'}->{'enableRecaptcha'},
	    "googleAuthenticator"       => $result['body']->{'cloudPropertyElement'}->{'googleAuthenticator'},
	    "eyeOption"           	=> $result['body']->{'cloudPropertyElement'}->{'eyeOption'},
	    "complexPassword"           => $result['body']->{'cloudPropertyElement'}->{'complexPassword'},
	    "forceChangePasswordAtFirstTimeLogin"                 => $result['body']->{'cloudPropertyElement'}->{'forceChangePasswordAtFirstTimeLogin'},
            "forceSessionLogoutAfterChangepassword"           => $result['body']->{'cloudPropertyElement'}->{'forceSessionLogoutAfterChangepassword'},
            "flipTotalCompletedBackups" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalCompletedBackups'}) ? true : false,
            "flipTotalActualStorageUtilized" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalActualStorageUtilized'}) ? true : false,
            "totalCompletedBackups"     => ($result['body']->{'cloudPropertyElement'}->{'totalCompletedBackups'}) ? true : false,
            "totalActualStorageUtilized"=> ($result['body']->{'cloudPropertyElement'}->{'totalActualStorageUtilized'}) ? true : false,
            "hideDashboard"         	=> ($result['body']->{'cloudPropertyElement'}->{'hideDashboard'}) ? true : false,
            "extensionsToPdfView"       => $result['body']->{'cloudPropertyElement'}->{'extensionsToPdfView'},
            "stopPauseAccess"         	=> ($result['body']->{'cloudPropertyElement'}->{'stopPauseAccess'}) ? true : false,
            "winDeviceDisplayNameUpdate"=> ($result['body']->{'cloudPropertyElement'}->{'winDeviceDisplayNameUpdate'}) ? true : false,
            "macDeviceDisplayNameUpdate"=> ($result['body']->{'cloudPropertyElement'}->{'macDeviceDisplayNameUpdate'}) ? true : false,
	    "brevityLogging"		=> ($result['body']->{'cloudPropertyElement'}->{'brevityLogging'}) ? true : false,
            "globalCheckForLocalStorage"=> ($result['body']->{'cloudPropertyElement'}->{'globalCheckForLocalStorage'}) ? true : false,
	    "policyEdit" => ($result['body']->{'cloudPropertyElement'}->{'policyEdit'}) ? true : false,
	    //"gatewayNameChanged"        => $result['body']->{'cloudPropertyElement'}->{'gatewayNameChanged'},
	    "showCurrentlyRunningReports" => ($result['body']->{'cloudPropertyElement'}->{'showCurrentlyRunningReports'}) ? true : false,
            "showSupportPage" => ($result['body']->{'cloudPropertyElement'}->{'showSupportPage'}) ? true : false,
            "useLocalPackage" => !empty($result['body']->{'cloudPropertyElement'}->{'useLocalPackage'}) ? true : false,
	    "showAuditHistory"          => ($result['body']->{'cloudPropertyElement'}->{'showAuditHistory'}) ? true : false,
	    "softBlockEnabled"          => ($result['body']->{'cloudPropertyElement'}->{'softBlockEnabled'}) ? true : false,
	    "autoExpireUsers"   	=> $result['body']->{'cloudPropertyElement'}->{'autoExpireUsers'},
	    "noBackupPolicyName" 	=> $result['body']->{'cloudPropertyElement'}->{'noBackupPolicyName'},
	    "overridePolicySettings"    => ($result['body']->{'cloudPropertyElement'}->{'overridePolicySettings'}) ? true : false,
	    "canAdminRestoreAll"        => ($result['body']->{'cloudPropertyElement'}->{'canAdminRestoreAll'}) ? true : false,
	    "allowEndUserTocontrolRestore"   => ($result['body']->{'cloudPropertyElement'}->{'allowEndUserTocontrolRestore'}) ? true : false,
	    "isAdminDeleteBackupFile"   => ($result['body']->{'cloudPropertyElement'}->{'isAdminDeleteBackupFile'}) ? true : false,
	    "tile8ReportType"   	=> $result['body']->{'cloudPropertyElement'}->{'tile8ReportType'},
	    "flipNotProtectedTile" => ($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTile'}) ? true : false,
	    "showUserConsentFieldInPolicies"            => ($result['body']->{'cloudPropertyElement'}->{'showUserConsentFieldInPolicies'}) ? true : false,
	    "allowPasswordReset"        =>($result['body']->{'cloudPropertyElement'}->{'allowPasswordReset'}) ? true : false,
	    "activeUsers" 		=> ($result['body']->{'cloudPropertyElement'}->{'activeUsers'}) ? true : false,
	    "activeDevices" 		=> ($result['body']->{'cloudPropertyElement'}->{'activeDevices'}) ? true : false,
	    "flipUsersTile" 		=> ($result['body']->{'cloudPropertyElement'}->{'flipUsersTile'}) ? true : false,
	    "flipDevicesTile" 		=> ($result['body']->{'cloudPropertyElement'}->{'flipDevicesTile'}) ? true : false,
	    "daysToKeepAuditLog" => $result['body']->{'cloudPropertyElement'}->{'daysToKeepAuditLog'},
	    "multifactorAuthWithAccessCode" => ($result['body']->{'cloudPropertyElement'}->{'multifactorAuthWithAccessCode'}) ? true : false,
            "accessCodeExpiryTimeInMins"          => $result['body']->{'cloudPropertyElement'}->{'accessCodeExpiryTimeInMins'},
	    "numOfChunksToCheckPgOverloadLimit" => $numOfChunksToCheckPgOverloadLimit,
	    "autoBlockSoftBlockedUsers"          => $result['body']->{'cloudPropertyElement'}->{'autoBlockSoftBlockedUsers'},
	    "daysToBlockSoftBlockedUsers"        => $result['body']->{'cloudPropertyElement'}->{'daysToBlockSoftBlockedUsers'},
	    "showMultipleLoginWarning" => ($result['body']->{'cloudPropertyElement'}->{'showMultipleLoginWarning'}) ? true : false,
	    "allowUserLevelFolderExclusions" => ($result['body']->{'cloudPropertyElement'}->{'allowUserLevelFolderExclusions'}) ? true : false,
	    "daysToDeleteTmpChunk"                => !empty($result['body']->{'cloudPropertyElement'}->{'daysToDeleteTmpChunk'}) ? $result['body']->{'cloudPropertyElement'}->{'daysToDeleteTmpChunk'} : '7',
	    "daysToDeleteLocalSyncFilesAndFolders"                => !empty($result['body']->{'cloudPropertyElement'}->{'daysToDeleteLocalSyncFilesAndFolders'}) ? $result['body']->{'cloudPropertyElement'}->{'daysToDeleteLocalSyncFilesAndFolders'} : '7',
	    "numOfHitsToDBForContentChunkCheck"                => !empty($result['body']->{'cloudPropertyElement'}->{'numOfHitsToDBForContentChunkCheck'}) ? $result['body']->{'cloudPropertyElement'}->{'numOfHitsToDBForContentChunkCheck'} : '10',
	    "httpEnabled" => !empty($result['body']->{'cloudPropertyElement'}->{'httpEnabled'}) ? ($result['body']->{'cloudPropertyElement'}->{'httpEnabled'}) : false,
	    "showpreview"        => !empty($result['body']->{'cloudPropertyElement'}->{'showpreview'}) ? $result['body']->{'cloudPropertyElement'}->{'showpreview'} : false,
	    "canUserRestoreDeletedFiles"        => !empty($result['body']->{'cloudPropertyElement'}->{'canUserRestoreDeletedFiles'}) ? ($result['body']->{'cloudPropertyElement'}->{'canUserRestoreDeletedFiles'}) : false,
            "enablePointInTime"                 => !empty($result['body']->{'cloudPropertyElement'}->{'enablePointInTime'}) ? ($result['body']->{'cloudPropertyElement'}->{'enablePointInTime'}) : false,
	    "activeUsersOnedrive"               => ($result['body']->{'cloudPropertyElement'}->{'activeUsersOnedrive'}) ? true : false,
            "activeDevicesOnedrive"             => ($result['body']->{'cloudPropertyElement'}->{'activeDevicesOnedrive'}) ? true : false,
            "flipUsersTileOnedrive"             => ($result['body']->{'cloudPropertyElement'}->{'flipUsersTileOnedrive'}) ? true : false,
            "flipDevicesTileOnedrive"           => ($result['body']->{'cloudPropertyElement'}->{'flipDevicesTileOnedrive'}) ? true : false,
            "tile8ReportTypeOnedrive"           => !empty($result['body']->{'cloudPropertyElement'}->{'tile8ReportTypeOnedrive'}) ? $result['body']->{'cloudPropertyElement'}->{'tile8ReportTypeOnedrive'} : 'systemsWithoutBackup',
            "flipNotProtectedTileOnedrive" => !empty($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTileOnedrive'}) ? ($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTileOnedrive'}) : false,
            "flipTotalCompletedBackupsOnedrive" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalCompletedBackupsOnedrive'}) ? true : false,
            "flipTotalActualStorageUtilizedOnedrive" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalActualStorageUtilizedOnedrive'}) ? true : false,
            "totalCompletedBackupsOnedrive"     => ($result['body']->{'cloudPropertyElement'}->{'totalCompletedBackupsOnedrive'}) ? true : false,
            "totalActualStorageUtilizedOnedrive"=> ($result['body']->{'cloudPropertyElement'}->{'totalActualStorageUtilizedOnedrive'}) ? true : false,
            "flipTotalActualStorageUtilizedSharepoint" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalActualStorageUtilizedSharepoint'}) ? true : false,
	    "totalActualStorageUtilizedSharepoint"=> ($result['body']->{'cloudPropertyElement'}->{'totalActualStorageUtilizedSharepoint'}) ? true : false,	    
	    "activeUsersExchange"               => ($result['body']->{'cloudPropertyElement'}->{'activeUsersExchange'}) ? true : false,
            "activeDevicesExchange"             => ($result['body']->{'cloudPropertyElement'}->{'activeDevicesExchange'}) ? true : false,
            "flipUsersTileExchange"             => ($result['body']->{'cloudPropertyElement'}->{'flipUsersTileExchange'}) ? true : false,
            "flipDevicesTileExchange"           => ($result['body']->{'cloudPropertyElement'}->{'flipDevicesTileExchange'}) ? true : false,
            "tile8ReportTypeExchange"           => !empty($result['body']->{'cloudPropertyElement'}->{'tile8ReportTypeExchange'}) ? $result['body']->{'cloudPropertyElement'}->{'tile8ReportTypeExchange'} : 'systemsWithoutBackup',
            "flipNotProtectedTileExchange" => !empty($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTileExchange'}) ? ($result['body']->{'cloudPropertyElement'}->{'flipNotProtectedTileExchange'}) : false,
            "flipTotalCompletedBackupsExchange" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalCompletedBackupsExchange'}) ? true : false,
            "flipTotalActualStorageUtilizedExchange" => ($result['body']->{'cloudPropertyElement'}->{'flipTotalActualStorageUtilizedExchange'}) ? true : false,
            "totalCompletedBackupsExchange"     => ($result['body']->{'cloudPropertyElement'}->{'totalCompletedBackupsExchange'}) ? true : false,
            "totalActualStorageUtilizedExchange"=> ($result['body']->{'cloudPropertyElement'}->{'totalActualStorageUtilizedExchange'}) ? true : false,
	);
	$data['activeTabBackup'] = '';
        $data['activeTabExchange'] = '';
        $data['activeTabOnedrive'] = '';
        $data['activeTabSharepoint'] = '';
        if(Auth::checkCloudPermission('backup') == true){
                $data['activeTabBackup'] = 'active';
        }else{
                if(Auth::checkCloudPermission('exchange') == true){
                        $data['activeTabExchange'] = 'active';
                }else{
                        if(Auth::checkCloudPermission('onedrive') == true){
                                $data['activeTabOnedrive'] = 'active';
                        }else{
                                if(Auth::checkCloudPermission('sharepoint') == true){
                                        $data['activeTabSharepoint'] = 'active';
                                }else{
                                }
                        }
                }
        }

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/globalSettings', $data);
        View::renderTemplate('footer', $data);
    }
    
    public function portalProperties(){
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token'),
            'componentName' => PARACLOUD_IP
        );

        $result = $this->_model->getPortalProperties($headers);
	$this->log("-------> ".json_encode($result['body']->{'portalProperties'}->{'componentsProperties'}),"info");
	$this->log("-------> ".json_encode($result['body']->{'portalProperties'}->{'componentsProperties'}->{'PORTAL_LIGHT_VERSION'}),"info");
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('Portal Properties'),
            'active' => 'settings',
            'portal' => $result['body']->{'portalProperties'}->{'componentsProperties'},
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/portalProperties', $data);
        View::renderTemplate('footer', $data);
}

    public function writePortalProperties(){
            $headers = array(
                'Content-Type'  => 'application/json',
                'Accept'        => 'application/json',
                'token'         => $this->session->get('token'),
            );
            $data = array(
                "componentName" => PARACLOUD_IP,
                "componentsProperties" => array(
                "WINDOWS_CLIENT_FILENAME" => $_POST["WindowsClientFilename"],
                "MAC_CLIENT_FILENAME"=> $_POST["MacClientFilename"],
                "MAX_ENABLE_PARTIAL_FILE_TRANSFER"=> $_POST["MaximumEnablePartialFileTransfer"],
                "MAX_PARTIAL_FILE_TRANSFER_CHUNK_SIZE"=> $_POST["MaximumPartialFileTransferChunkSize"],
                "STORAGE_TYPE"=> $_POST["StorageType"],
                "PROXY_URL"=> $_POST["ProxyURL"],
                "PROXY_USERNAME"=> $_POST["ProxyUsername"],
                "PROXY_PASSWORD"=> $_POST["ProxyPassword"],
                "COPYRIGHT_NAME"=> $_POST["CopyrightName"],
                "NEIL_IMG_NAME"=> $_POST["LoginPageImage"],
                "HEADER_NAME"=> $_POST["HeaderImage"],
                "ENABLE_IDEAL_TIMEOUT"=> filter_var($_POST["EnableIdealTimeout"], FILTER_VALIDATE_BOOLEAN),
                "IDEAL_TIMEOUT"=> $_POST["IdealTimeout"],
                "COMPLEX_PASSWORD"=> filter_var($_POST["ComplexPassword"], FILTER_VALIDATE_BOOLEAN),
                "SHARE_WITHIN_ORG"=> filter_var($_POST["ShareWithinOrg"], FILTER_VALIDATE_BOOLEAN),
                "DISK_SPACE_DETAILS"=> filter_var($_POST["DiskSpaceDetails"], FILTER_VALIDATE_BOOLEAN),
                "EULA_ENABLED"=> filter_var($_POST["EULAEnabled"], FILTER_VALIDATE_BOOLEAN),
                "PORTAL_LIGHT_VERSION"=> filter_var($_POST["PortalLightVersion"], FILTER_VALIDATE_BOOLEAN),
                "REQ_RES_LOGS"=> filter_var($_POST["RequestResponseLogs"], FILTER_VALIDATE_BOOLEAN),
                "ENABLE_EYE"=> filter_var($_POST["EnableEye"], FILTER_VALIDATE_BOOLEAN),
                "DISABLE_VIEW"=> filter_var($_POST["DisableView"], FILTER_VALIDATE_BOOLEAN),
                "DISABLE_DOWNLOAD"=> filter_var($_POST["DisableDownload"], FILTER_VALIDATE_BOOLEAN),
                "BLUDRIVE_MODE"=> filter_var($_POST["BluDriveMode"], FILTER_VALIDATE_BOOLEAN),
                "RELAXED_CHECK"=> filter_var($_POST["RelaxedCheck"], FILTER_VALIDATE_BOOLEAN),
                "TOTAL_COMPLETED_BACKUPS"=> filter_var($_POST["ShowTotalCompletedBackups"], FILTER_VALIDATE_BOOLEAN),
                "TOTAL_ACTUAL_STORAGE_UTILIZED"=> filter_var($_POST["ShowTotalActualStorageUtilized"], FILTER_VALIDATE_BOOLEAN),
                "ENABLE_EPA"=> filter_var($_POST["EnableEPA"], FILTER_VALIDATE_BOOLEAN),
                "WINDOWS_EPA"=> filter_var($_POST["WindowsEPA"], FILTER_VALIDATE_BOOLEAN),
                "MAC_EPA"=> filter_var($_POST["MacEPA"], FILTER_VALIDATE_BOOLEAN),
                "ENABLE_MOBILE_APPS"=> filter_var($_POST["EnableMobileApps"], FILTER_VALIDATE_BOOLEAN),
                "ENABLE_ANDROID_APP"=> filter_var($_POST["EnableAndroidApp"], FILTER_VALIDATE_BOOLEAN),
                "ENABLE_WINDOWS_PHONE_APP"=> filter_var($_POST["EnableWindowsPhoneApp"], FILTER_VALIDATE_BOOLEAN),
                "ENABLE_IOS_APP"=> filter_var($_POST["EnableIosApp"], FILTER_VALIDATE_BOOLEAN),
                "DISCLAIMER"=> filter_var($_POST["Disclaimer"], FILTER_VALIDATE_BOOLEAN),
                "HEADER_LOGO"=> filter_var($_POST["EnableHeaderLogo"], FILTER_VALIDATE_BOOLEAN),
                "FLIP_TOTAL_COMPLETED_BACKUPS"=> filter_var($_POST["FLIP_TOTAL_COMPLETED_BACKUPS"], FILTER_VALIDATE_BOOLEAN),
                "FLIP_TOTAL_ACTUAL_STORAGE_UTILIZED"=> filter_var($_POST["FLIP_TOTAL_ACTUAL_STORAGE_UTILIZED"], FILTER_VALIDATE_BOOLEAN),
                "RECAPTCHA"=> filter_var($_POST["RECAPTCHA"], FILTER_VALIDATE_BOOLEAN),
                "GOOGLE_AUTHENTICATOR"=> filter_var($_POST["GOOGLE_AUTHENTICATOR"], FILTER_VALIDATE_BOOLEAN)
                )
            );
            $result = $this->_model->savePortalProperties($headers,json_encode($data));
            $this->log("Result:".json_encode($result), "info");
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details have been successfully saved')
                        );
                        echo json_encode($response);
                    exit;
                case (202):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details have been successfully saved')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }

    /**
     * Below Method Renders Encryption settings page
     */
    public function cloudCredentials(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $userDetails = $this->_model->getUserDetails(array('token' => $this->session->get('token'), 'loggedInUserName' => base64_encode($this->session->get('userName'))), base64_encode($this->session->get("userName")));
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );

        $result = $this->_model->getOdbDetails($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('cloudCredentials'),
            'active' => 'settings',
            'userDetails' => $userDetails['body'],
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
            'clientID'=> !empty($result["body"]->{"clientId"}) ? $result["body"]->{"clientId"} : '',
	    'appName' => !empty($result["body"]->{"appName"}) ? $result["body"]->{"appName"} : '',
            'clientRedirectURI'=> !empty($result["body"]->{"clientRedirectURI"}) ? $result["body"]->{"clientRedirectURI"} : '',
            'portalURL'=> !empty($result["body"]->{"portalURL"}) ? $result["body"]->{"portalURL"} : '',
            'clientSecretKey'=> !empty($result["body"]->{"clientSecretKey"}) ? $result["body"]->{"clientSecretKey"} : '',
            'clientResourceURL'=> !empty($result["body"]->{"clientResourceURL"}) ? $result["body"]->{"clientResourceURL"} : '',
            'clientTokenURL'=> !empty($result["body"]->{"clientTokenURL"}) ? $result["body"]->{"clientTokenURL"} : '',
	    'user_principal' => !empty($result["body"]->{"accountId"}) ? $result["body"]->{"accountId"} : '',
            'configId'=> !empty($result["body"]->{"configId"}) ? $result["body"]->{"configId"} : '',
        );
	if($this->session->get('graphApiEnabled') == 'true' && STORAGE_TYPE == "ONE_DRIVE"){
                $showCC = 'false';
                if(Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
                        $showOffice = 'true';
                }
                if(!Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
                        $showOffice = 'true';
                }
                if(Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
                        $showOffice = 'true';
                }
        }else{
                $showCC = 'true';
                if(Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
                        $showOffice = 'false';
                }
                if(!Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
                        $showOffice = 'true';
                }
                if(Auth::checkCloudPermission('backup') && Auth::checkCloudPermission('office365')){
                        $showOffice = 'true';
                }
        }
        if(Auth::checkCloudPermission('sync') && STORAGE_TYPE == "ONE_DRIVE" && !Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
                $showCC = 'false';
                $showOffice = 'true';
        }
        if(Auth::checkCloudPermission('sync') && STORAGE_TYPE != "ONE_DRIVE" && !Auth::checkCloudPermission('backup') && !Auth::checkCloudPermission('office365')){
                $showCC = 'true';$showOffice = 'false';
        }
        $data['showCC'] = $showCC;
        $data['showOffice'] = $showOffice;
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/cloudCredentials', $data);
        View::renderTemplate('footer', $data);
    }

    public function getAllCcS(){
        if(empty($_POST)){
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
        $ccS = [];
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token')
        );
        $result = $this->_model->getCloudCredentials($headers);
        $this->log("Result : ".json_encode($result), "info");
        switch ($result['status']) {
            case (200):
                if(!empty($result['body']->{'cloudCredentialListElement'}->{'cloudCredentialElements'})){
                    foreach($result['body']->{'cloudCredentialListElement'}->{'cloudCredentialElements'} as $value){
                        switch($value->cloudName){
                            case 'azureBlob':
                                $value->cloudNameInCaps = 'Azure Blob';
                                break;
                            case 'b2':
                                $value->cloudNameInCaps = 'Backblaze';
                                break;
                            case 'ibmCloud':
                                $value->cloudNameInCaps = 'IBM Cloud - Swift';
                                break;
                            case 's3':
				$value->cloudNameInCaps = 'S3 Compatibles';
                                //$value->cloudNameInCaps = 'IBM Cloud - S3';
                                break;
                            case 'amazon':				
                                $value->cloudNameInCaps = 'Amazon S3 Buckets';
                                break;
                            case 'localStorage':
                                $value->cloudNameInCaps = 'Local Storage';
                                break;
                            default:
                                $value->cloudNameInCaps = '';
                                break;
                        }
                        $ccS = array_merge(array($value), $ccS);
                    }
                }
                $response = array(
                    'result' => 'success',
                    'ccS' => $ccS,
                );
                echo json_encode($response);
                exit;
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'code' => $result,
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
    }

    public function saveCloudCredentials(){
        if(!empty($_POST['cloudType'])){
            $data = array(
                'cloudName' => trim($_POST['cloudType']),
                'identity' => ($_POST['cloudType'] == "localStorage") ? "local" : $_POST['identity'],
                'credential' => trim($_POST['accessKey']),
                'containerName' => !empty($_POST['containerName']) ? $_POST['containerName'] : '',
                'endPointUrl' => ($_POST['cloudType'] == "localStorage") ? $_POST['localStorage'] : $_POST['epaUrl'],
		'blobTagName' => $_POST['blobTagName']
            );
            $headers = array(
                'Content-Type'      => 'application/json',
                'token'          => $this->session->get('token')
            );
            $result = $this->_model->saveCloudCredentials($headers, $data);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('savedCloudCredentials')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'msg' => $this->language->get('noData')
                )
            );
        }
    }

    public function removeCloudCredentials(){
        if(!empty($_POST['identity'])){
            $headers = array(
                'Content-Type'      => 'application/json',
                'identity'          => $_POST['identity'],
                'token'             => $this->session->get('token')
            );
            $result = $this->_model->removeCloudCredentials($headers);
            $this->log("headers: ". json_encode($headers), 'info');
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('removeCloudCredentials')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'msg' => $this->language->get('noData')
                )
            );
        }
    }
    
    public function aadCredentials(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token'),
            'Accept'        => 'application/json',
            'Accept-Charset'=> 'utf-8',
        );
        $result = $this->_model->getAadDetails($headers);
        //$this->log("ggggggggggg : ".$result['body']->{'data'}->{'clientId'},"info");
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('aadCredentials'),
            'active' => 'settings',
            'data' => !empty($result['body']->{'AADCredentialsElementList'}) ? $result['body']->{'AADCredentialsElementList'}[0] : [],
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );
        //$this->log("ggggggggggg : ".$data['data']->{'clientId'},"info");
	if(!empty($result['body']->{'AADCredentialsElementList'}[0])){
		$obj = $data['data']->{'groupConfig'};
		$groupCount = 0;
		foreach($obj as $key => $value){
			if($key != ''){
				$groupCount = $groupCount+1;
			}
			$this->log('Your key is: '.$key.' and the value of the key is:'.$value,"info");
		}
		$this->log("Group config_count : ".$groupCount,"info");
		$data['groupCount'] = $groupCount;
	}else{
                $data['groupCount'] = 0;
        }
	if($this->session->get('graphAADEnabled') == 'true'){
            $data['graphAADEnabled'] = 'true';
        }else{
            $data['graphAADEnabled'] = 'false';
        }
        if($this->session->get('multiTenantAADEnabled') == 'true'){
            $data['multiTenantAADEnabled'] = 'true';
        }else{
            $data['multiTenantAADEnabled'] = 'false';
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/aadCredentials', $data);
        View::renderTemplate('footer', $data);
    }

    public function getAadCredentials(){
            $headers = array(
                'Content-Type'      => 'application/json',
                'Accept'            => 'application/json',
                'token'             => $this->session->get('token'),
		//'aadCredId'         => $_POST['id']
            );
            //$result = $this->_model->getAadDetailsById($headers);
	    $result = $this->_model->getAadDetails($headers);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'aad'    => $result['body']->{'AADCredentialsElementList'}[0]
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (204):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "No AAD Credentials found"
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }

    public function writeAddAadSettings(){
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token'),
            );
            $combine = array_combine($_POST['aadGroupNameadd'], $_POST['aadProductTypeadd']);
            $groupConfig = array('groupConfig' => $combine );
	    //$this->log("tenants : ".json_encode($_POST['aadTenant']),"info");
	    if($this->session->get('graphAADEnabled') == 'true' || $this->session->get('multiTenantAADEnabled') == 'true'){
		    $_POST['clientIdForLoginadd'] = '';
		    //$_POST['tenentIdadd'] = '';
	    }else{
		    $_POST['clientIdForLoginadd'] = trim($_POST['clientIdForLoginadd']);
		    //$_POST['tenentIdadd'] = trim($_POST['tenentIdadd']);
	    }
	    if($this->session->get('multiTenantAADEnabled') == 'true'){
		$_POST['tenentId'] = '';
	    }
            $this->log("Result:".json_encode($groupConfig), "info");
            $data = array(
                'clientIdForLogin'  => $_POST['clientIdForLoginadd'],
                'clientId'          => trim($_POST['clientIdadd']),
                'secretKey'         => trim($_POST['secretKeyadd']),
		'tenentId'          => trim($_POST['tenentIdadd']),
		'tenants'	    => !empty($_POST['aadTenant']) ? $_POST['aadTenant'] : [],
                'redirectURI'       => trim($_POST['redirectURIadd']),
                'endpointRedirectURI'       => trim($_POST['endpointRedirectURIadd']),
                'portalRedirectURI' => trim($_POST['portalRedirectURIaad']),
		'loginMode' => $_POST['loginMode2'],
                'groupConfig'       => $combine,
            );
            $this->log("DATA :".json_encode($data), "info");
            $result = $this->_model->saveAadDetails($headers,json_encode($data));
            $this->log("Result:".json_encode($result), "info");
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details has been successfully saved')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }

    public function writeAadSettings(){
        if(!empty($_POST['aadProductType'])){
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token'),
            );
            $combine = array_combine($_POST['aadGroupName'], $_POST['aadProductType']);
            $groupConfig = array('groupConfig' => $combine );
            //$this->log("tenants : ".json_encode($_POST['tenantEdit']),"info");
            //$multiTenent = ['a53329c6-582f-48e5-b286-15e6bcc658b0', 'a53329c6-582f-48e5-b286-15e6bcc658b2'];
            $this->log("Result:".json_encode($groupConfig), "info");
	    if($this->session->get('graphAADEnabled') == 'true' || $this->session->get('multiTenantAADEnabled') == 'true'){
                    $_POST['clientIdForLogin'] = '';
                    //$_POST['tenentId'] = '';
            }else{
                    $_POST['clientIdForLogin'] = trim($_POST['clientIdForLogin']);
                    //$_POST['tenentId'] = trim($_POST['tenentId']);
	    }
            if($this->session->get('multiTenantAADEnabled') == 'true'){
		$_POST['tenentId'] = '';
            }
            $data = array(
                'clientIdForLogin'  => trim($_POST['clientIdForLogin']),
                'clientId'          => trim($_POST['clientId']),
                'secretKey'         => trim($_POST['secretKey']),
		'tenentId'          => trim($_POST['tenentId']),
		'tenants'          => !empty($_POST['tenantEdit']) ? $_POST['tenantEdit'] : [],
                'redirectURI'       => trim($_POST['redirectURI']),
                'endpointRedirectURI'       => trim($_POST['endpointRedirectURI']),
                'portalRedirectURI' => trim($_POST['portalRedirectURI']),
		'loginMode' => $_POST['loginMode1'],
                'groupConfig'       => $combine,
            );
            $this->log("DATA :".json_encode($data), "info");
            $result = $this->_model->saveAadDetails($headers,json_encode($data));
            $this->log("Result:".json_encode($result), "info");
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details has been successfully saved')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'msg' => 'Please specify at least on Product type'
                )
            );
        }
    }
	
    public function removeAadCredentials(){
        if(!empty($_POST['id'])){
            $headers = array(
                'Content-Type'      => 'application/json',
                'aadCredId'            => $_POST['id'],
                'token'             => $this->session->get('token')
            );
            $result = $this->_model->removeAadCredentials($headers);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('removeAadCredentials')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }

        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
    }
    
    public function sharepoint(){
        Auth::allowOnly('admin');
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );

        $result = $this->_model->getOdbDetails($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('sharepoint'),
            'active' => 'settings',
            'clientID'=> !empty($result["body"]->{"clientId"}) ? $result["body"]->{"clientId"} : '',
            'clientRedirectURI'=> !empty($result["body"]->{"clientRedirectURI"}) ? $result["body"]->{"clientRedirectURI"} : '',
            'portalURL'=> !empty($result["body"]->{"portalURL"}) ? $result["body"]->{"portalURL"} : '',
            'clientSecretKey'=> !empty($result["body"]->{"clientSecretKey"}) ? $result["body"]->{"clientSecretKey"} : '',
            'clientResourceURL'=> !empty($result["body"]->{"clientResourceURL"}) ? $result["body"]->{"clientResourceURL"} : '',
            'configId'=> !empty($result["body"]->{"configId"}) ? $result["body"]->{"configId"} : '',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/sharepoint', $data);
        View::renderTemplate('footer', $data);
    }
    
    public function saveSharepointConfiguration(){

        if(!empty($_POST['clientId']) && !empty($_POST['clientSecret'])){
        file_put_contents('/var/www/PHPAppForSharePointMaster/PHP/config.php',"<?php 
        \$client_id = '".$_POST['clientId']."';
        \$client_secret = '".$_POST['clientSecret']."';
        \$redirectURL = '".$_POST['redirectURL']."';
        ?>");
        $clientId = $_POST['clientId'];
        $redirectURL = $_POST['redirectURL'];
        $this->log("inside createPackage","info");
        shell_exec("mkdir /var/www/portal/app/templates/default/new && chown -R www-data:www-data /var/www/portal/app/templates/default/new && chmod -R 755 /var/www/portal/app/templates/default/new");
        shell_exec("unzip /var/www/PHPAppForSharePointMaster/AppPackage.app -d /var/www/portal/app/templates/default/new");
        $xmlString = '<?xml version="1.0" encoding="UTF-8" standalone="no"?>
            <App xmlns="http://schemas.microsoft.com/sharepoint/2012/app/manifest" Name="PHP2" ProductID="{7944BC76-82CF-4807-8906-6205BB85E2FE}" SharePointMinVersion="15.0.0.0" Version="1.0.0.1"><Properties><Title>PHP App for SharePoint</Title><StartPage>'.$redirectURL.'/PHPAppForSharePointMaster/PHP/index.php?{StandardTokens}</StartPage></Properties><AppPrincipal><RemoteWebApplication ClientId="'.$clientId.'"/></AppPrincipal>
            <AppPermissionRequests>
            <AppPermissionRequest Scope="http://sharepoint/content/sitecollection/web" Right="Write" />
            <AppPermissionRequest Scope="http://sharepoint/content/sitecollection" Right="Write" />    
            <AppPermissionRequest Scope="http://sharepoint/content/tenant" Right="Write" />
            </AppPermissionRequests>
         </App>';
        file_put_contents('/var/www/portal/app/templates/default/new/AppManifest.xml',$xmlString);
        shell_exec("cd /var/www/portal/app/templates/default/new && zip -r AppPackage.zip *");
        $this->log("after zipping","info");
        shell_exec("cp /var/www/portal/app/templates/default/new/AppPackage.zip /var/www/portal/app/templates/default/documents/");
        shell_exec("rm -rf /var/www/portal/app/templates/default/new");
        shell_exec("mv /var/www/portal/app/templates/default/documents/AppPackage.zip /var/www/portal/app/templates/default/documents/AppPackage.app");
                    $headers = array(
                        'Content-Type'  => 'application/json',
                        'token'         => $this->session->get('token')
                    );
                    $odbDetails = array(
                        'clientId' => trim($_POST['clientId']),
                        'configId' => "",//trim($_POST['configId']),
                        'clientSecretKey' => trim($_POST['clientSecret']),
                        'clientRedirectURI' => trim($_POST['redirectURL']),
                        'clientResourceURL' => trim($_POST['clientResourceURL']),
                        'clientTokenURL' => " ",//trim($_POST['clientTokenURL']),
                        'portalURL' => " "//trim($_POST['portalURL'])
                    );
        	        $result = $this->_model->saveOdbDetails($headers, $odbDetails);
                    $this->log(json_encode($odbDetails), "info");
                    switch ($result['status']) {
                        case (200):
                            $data = array(
                                'result' => 'success',
                                'msg' => 'Details has been successfully saved'
                            );
                            echo json_encode($data);
                            exit;
                        case (421):
                            $result = array(
        			            'result' => 'fail',
                                'msg' => $this->language->get('421')
                            );
                            echo json_encode($result);
                            exit();
                        case (500):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('500')
                            );
                            echo json_encode($result);
                            exit();
                        case (0):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('0')
                            );
                            echo json_encode($result);
        		    exit();
                        default:
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('default')
                            );
                            echo json_encode($result);
                            exit();
                    }
                }else {
                    $data = array(
                        "post" => $_POST,
                        'result' => 'error',
                        'msg' => 'None of the field listed should be empty'
                    );
                    echo json_encode($data);
                }
    }


    public function downloadIt(){
        $filePath = "/var/www/portal/app/templates/default/documents/AppPackage.app";
            if(file_exists($filePath)){
                $this->log("file present----->","info");
                $this->log("inside download ","info");
                header('Content-Type: application/octet-stream');
                header('Content-Disposition: attachment; filename=AppPackage.app');
                header('Pragma: no-cache');
                ob_clean();
                readfile($filePath);}
        }

    public function createPackage(){
        $clientId = "76ad67cf-115f-4b10-ba6e-5333f974a6e2";
        $redirectURL = "https://naveen.devenv.parablu.com";
        $this->log("inside createPackage","info");
        shell_exec("mkdir /var/www/portal/app/templates/default/new && chown -R www-data:www-data /var/www/portal/app/templates/default/new && chmod -R 755 /var/www/portal/app/templates/default/new");
        shell_exec("unzip /var/www/PHPAppForSharePointMaster/AppPackage.app -d /var/www/portal/app/templates/default/new");
        $xmlString = '<?xml version="1.0" encoding="UTF-8" standalone="no"?>
            <App xmlns="http://schemas.microsoft.com/sharepoint/2012/app/manifest" Name="PHP2" ProductID="{7944BC76-82CF-4807-8906-6205BB85E2FE}" SharePointMinVersion="15.0.0.0" Version="1.0.0.1"><Properties><Title>PHP App for SharePoint</Title><StartPage>'.$redirectURL.'/index.php?{StandardTokens}</StartPage></Properties><AppPrincipal><RemoteWebApplication ClientId="'.$clientId.'"/></AppPrincipal>
            <AppPermissionRequests>
            <AppPermissionRequest Scope="http://sharepoint/content/sitecollection/web" Right="Write" />
            <AppPermissionRequest Scope="http://sharepoint/content/sitecollection" Right="Write" />    
            <AppPermissionRequest Scope="http://sharepoint/content/tenant" Right="Write" />
            </AppPermissionRequests>
         </App>';
        $this->log("aftre xml","info");
        file_put_contents('/var/www/portal/app/templates/default/new/AppManifest.xml',$xmlString);
        $this->log("after xml writing","info");
        shell_exec("cd /var/www/portal/app/templates/default/new && zip -r AppPackage.zip *");
        $this->log("after zipping","info");
        shell_exec("cp /var/www/portal/app/templates/default/new/AppPackage.zip /var/www/portal/app/templates/default/documents/");
        shell_exec("rm -rf /var/www/portal/app/templates/default/new");
        shell_exec("mv /var/www/portal/app/templates/default/documents/AppPackage.zip /var/www/portal/app/templates/default/documents/AppPackage.app");
    }
    
    public function epaManager(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token')
        );
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('smtp'),
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all(),
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/epaManager', $data);
        View::renderTemplate('footer', $data);
    }


    public function getEPAWindows(){
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token')
        );    
        $result = $this->_model->getEPAWindows($headers);  
        $macDetails = [];
        $winDetails = [];
	$linuxdebDetails = [];
        $linuxrpmDetails = [];
        if(!empty($result['body']->{'productElementList'})){
            foreach($result['body']->{'productElementList'} as $value){
                if($value->{'productMinorGroup'} == 'mac'){
                    $macDetails = array(
                                        'productMinorGroup' => !empty($value->{'productVersion'}) ? (string)$value->{'productMinorGroup'} : '',
                                        'productVersion' => !empty($value->{'productVersion'}) ? (string)$value->{'productVersion'} : '',
                                        'updateAgent' => !empty($value->{'productVersion'}) ? $value->{'updateAgent'} : false,
                                        'downloadAgent' => !empty($value->{'productVersion'}) ? $value->{'downloadAgent'}: false
                                    );
                }
                if($value->{'productMinorGroup'} == 'service'){
                    $winDetails = array(
                                        'productMinorGroup' => !empty($value->{'productVersion'}) ? (string)$value->{'productMinorGroup'} : '',
                                        'productVersion' => !empty($value->{'productVersion'}) ? (string)$value->{'productVersion'} : '',
                                        'updateAgent' => !empty($value->{'productVersion'}) ? $value->{'updateAgent'} : false,
                                        'downloadAgent' => !empty($value->{'productVersion'}) ? $value->{'downloadAgent'} : false
                                    );
                }
		if($value->{'productMinorGroup'} == 'linux-deb'){
                    $linuxdebDetails = array(
                                        'productMinorGroup' => !empty($value->{'productMinorGroup'}) ? (string)$value->{'productMinorGroup'} : '',
                                        'productVersion' => !empty($value->{'productVersion'}) ? (string)$value->{'productVersion'} : '',
                                        'updateAgent' => !empty($value->{'productVersion'}) ? $value->{'updateAgent'} : false,
                                        'downloadAgent' => !empty($value->{'productVersion'}) ? $value->{'downloadAgent'} : false
                    );
                }
                if($value->{'productMinorGroup'} == 'linux-rpm'){
                    $linuxrpmDetails = array(
                                        'productMinorGroup' => !empty($value->{'productMinorGroup'}) ? (string)$value->{'productMinorGroup'} : '',
                                        'productVersion' => !empty($value->{'productVersion'}) ? (string)$value->{'productVersion'} : '',
                                        'updateAgent' => !empty($value->{'productVersion'}) ? $value->{'updateAgent'} : false,
                                        'downloadAgent' => !empty($value->{'productVersion'}) ? $value->{'downloadAgent'} : false
                    );
                }
            }
        }

	switch ($result['status']) {
            case (200):
                $response = array(
                    'result' => 'success',
                    'macDetails'    => $macDetails,
                    'winDetails' => $winDetails,
		    'linuxdebDetails' => $linuxdebDetails,
                    'linuxrpmDetails' => $linuxrpmDetails,
                );
                echo json_encode($response);
                exit;
            case (204):
                $result = array(
                    'result' => 'success',
                    'macDetails'    => $macDetails,
                    'winDetails' => $winDetails,
		    'linuxdebDetails' => $linuxdebDetails,
                    'linuxrpmDetails' => $linuxrpmDetails,
                );
                echo json_encode($result);    
                exit();
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);    
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
    }

    public function saveEPAWindows(){
    	$this->log("Called saveEPAWIndows ","info");
    	//start
    	if (isset($_FILES['updateFileName'])) {
    			$path = "/parablu/updates/";
    			if (!is_dir($path)) {
                    $result = array(
                                'result' => 'fail',
                                'msg' => 'No Directory Found'
                    );
                    die(json_encode($result));
                }
    	        //$all_files = count($_FILES['updateFileName']['tmp_name']);
    			//$this->log("inside all_files: ".$all_files,"info");
    	            $file_name = $_FILES['updateFileName']['name'];
    	            $file_tmp = $_FILES['updateFileName']['tmp_name'];
    	            $file_type = $_FILES['updateFileName']['type'];
    	            $file_size = $_FILES['updateFileName']['size'];
    	            $file_ext = strtolower(end(explode('.', $_FILES['updateFileName']['name'])));
    	            $file = $path . $file_name;
		    $this->log("file :  ".$file,"info");
		    $errors = [];
    	                if ($errors) {
    	                        $this->log("ERRORS WHILE UPLOADING".json_encode($errors),"info");
    	                        $result = array(
    	                            'result' => 'fail',
    	                            'msg'    => 'Failed to upload agent'
    	                        );
    	                        die(json_encode($result));
    	                }
    	                
    		            if (empty($errors)) {
    		                $this->log("success ","info");
    		                move_uploaded_file($file_tmp, $file);
    		                chmod($file, 0777);
    						$response = array(
    		                        'result' => 'success',
    		                        'msg'    => 'Agent uploaded succesfully'
    		                    );
    		                    echo json_encode($response);
    		                    exit;
    					}else{
    						$response = array(
    	                        'result' => 'fail',
    	                        'msg'    => 'Failed to upload agent'
    	                    );
    	                    echo json_encode($response);
    	                    exit;
    					}
    	}else{
    		$this->saveEPAWindowsOne();
    	}
    	//end
    }
    
    public function saveEPAWindowsOne(){
    	$this->log("Called saveEPAWIndowsOne ","info");
    	if(empty($_POST['autoUpdate']) || $_POST['autoUpdate'] != 'enabled'){
    		$_POST['autoUpdate'] = 'false';
    	}else{
    	    $_POST['autoUpdate'] = 'true';
    	}
    	if(empty($_POST['downloadAgent']) || $_POST['downloadAgent'] != 'enabled'){
    	    $_POST['downloadAgent'] = 'false';
    	}else{
    	    $_POST['downloadAgent'] = 'true';
    	}
    	            $headers = array(
    	                'Content-Type'  => 'application/json',
    	                'token'         => $this->session->get('token'),
    			'autoUpdate' =>$_POST['autoUpdate'],
    			'downloadAgent' =>$_POST['downloadAgent'],
    			'updateFileName' =>!empty($_FILES["updateFileName"]["name"]) ? $_FILES["updateFileName"]["name"] : '',
    			//'autoUpdateEnabled' =>$_POST['allowUpdate'], 
    			'link' => !empty($_POST['link']) ? trim($_POST['link']) : '',
    			'productType' => 'windows'
    	            );
    	$this->log("jjjjjjjjjjjjjjjj : ".json_encode($headers),"info");
    
    	$this->log("jjjjjjjjjjjjjjjj : ".json_encode($_FILES['updateFileName']),"info");
    	$result = $this->_model->saveEPAWindows($headers);
    	            switch ($result['status']) {
    	                case (200):
    	                    $response = array(
    	                        'result' => 'success',
    	                        'response' => $result,
    	                        'msg'    => 'Details saved successfully.'
    	                    );
    	                    echo json_encode($response);
    	                    exit;
    	                case (421):
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'msg' => $this->language->get('421')
    	                    );
    	                    echo json_encode($result);
    	                    exit();
    	                case (412):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Selected file should have proper naming convention'
                                );
                                echo json_encode($result);
                                exit();
                        case (507):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Failed to download file from DNS'
                                );
                                echo json_encode($result);
                                exit();
    	                case (500):
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'msg' => $this->language->get('500')
    	                    );
    	                    echo json_encode($result);
    	                	exit();
    	                case (0):
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'msg' => $this->language->get('0')
    	                    );
    	                    echo json_encode($result);
    	                    exit();
    	                default:
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'response' => $result,
    	                        'msg' => $this->language->get('default')
    	                    );
    	                    echo json_encode($result);
    	                    exit();
    				}
    }
    
    // for Macccccccccccccccccc start
    public function saveEPAMac(){
    	$this->log("Called saveEPAMAC ","info");
    	//start
    	if (isset($_FILES['updateFileNameMac'])) {
    			$path = "/parablu/updates/";
    			if (!is_dir($path)) {
                $result = array(
                            'result' => 'fail',
                            'msg' => 'No Directory Found'
                );
                die(json_encode($result));
                }
    	        //$all_files = count($_FILES['updateFileNameMac']['tmp_name']);
    			//$this->log("inside all_files: ".$all_files,"info");
    	            $file_name = $_FILES['updateFileNameMac']['name'];
    	            $file_tmp = $_FILES['updateFileNameMac']['tmp_name'];
    	            $file_type = $_FILES['updateFileNameMac']['type'];
    	            $file_size = $_FILES['updateFileNameMac']['size'];
    	            $file_ext = strtolower(end(explode('.', $_FILES['updateFileNameMac']['name'])));
    
    	            $file = $path . $file_name;
		    $this->log("file :  ".$file,"info");
		    $errors = [];
    	                if ($errors) {
    	                        $this->log("ERRORS WHILE UPLOADING".json_encode($errors),"info");
    	                        $result = array(
    	                            'result' => 'fail',
    	                            'msg'    => 'Failed to upload agent'
    	                        );
    	                        die(json_encode($result));
    	                }           
    		            if (empty($errors)) {
    		                $this->log("success ","info");
    		                move_uploaded_file($file_tmp, $file);
    		                chmod($file, 0777);
    						$response = array(
    		                        'result' => 'success',
    		                        'msg'    => 'Agent uploaded succesfully'
    		                    );
    		                    echo json_encode($response);
    		                    exit;
    					}else{
    						$response = array(
    	                        'result' => 'fail',
    	                        'msg'    => 'Failed to upload agent'
    	                    );
    	                    echo json_encode($response);
    	                    exit;
    					}
    	}else{
    		$this->saveEPAMacOne();
    	}
    	//end
    }

    public function saveEPAMacOne(){
    	$this->log("Called saveEPAMacOne ","info");
    	if(empty($_POST['autoUpdateMac']) || $_POST['autoUpdateMac'] != 'enabled'){
    		$_POST['autoUpdateMac'] = 'false';
    	}else{
    	    $_POST['autoUpdateMac'] = 'true';
    	}
    	if(empty($_POST['downloadAgentMac']) || $_POST['downloadAgentMac'] != 'enabled'){
    	    $_POST['downloadAgentMac'] = 'false';
    	}else{
    	    $_POST['downloadAgentMac'] = 'true';
    	}
    	            $headers = array(
    	                'Content-Type'  => 'application/json',
    	                'token'         => $this->session->get('token'),
    			//'autoUpdate' =>$_POST['autoUpdateMac'],
    			'downloadAgent' =>$_POST['downloadAgentMac'],
    			'updateFileName' =>!empty($_FILES["updateFileNameMac"]["name"]) ? $_FILES["updateFileNameMac"]["name"] : '',
    			//'autoUpdateEnabled' =>$_POST['allowUpdateMac'], 
    			'link' => !empty($_POST['linkMac']) ? trim($_POST['linkMac']) : '',
    			'productType' => 'mac'
    	            );
    	$this->log("jjjjjjjjjjjjjjjj : ".json_encode($headers),"info");
    
    	$this->log("jjjjjjjjjjjjjjjj : ".json_encode($_FILES['updateFileNameMac']),"info");
    	$result = $this->_model->saveEPAWindows($headers);
    	            switch ($result['status']) {
    	                case (200):
    	                    $response = array(
    	                        'result' => 'success',
    	                        'response' => $result,
    	                        'msg'    => 'Details saved successfully.'
    	                    );
    	                    echo json_encode($response);
    	                    exit;
    	                case (421):
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'msg' => $this->language->get('421')
    	                    );
    	                    echo json_encode($result);
    	                    exit();
    	                case (412):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Selected file should have proper naming convention'
                                );
                                echo json_encode($result);
                                exit();
                        case (507):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Failed to download file from DNS'
                                );
                                echo json_encode($result);
                                exit();
    	                case (500):
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'msg' => $this->language->get('500')
    	                    );
    	                    echo json_encode($result);
    	                	exit();
    	                case (0):
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'msg' => $this->language->get('0')
    	                    );
    	                    echo json_encode($result);
    	                    exit();
    	                default:
    	                    $result = array(
    	                        'result' => 'fail',
    	                        'response' => $result,
    	                        'msg' => $this->language->get('default')
    	                    );
    	                    echo json_encode($result);
    	                    exit();
    				}

    }
    // for Macccccccccccccccccc end
	
    // for linux start
    public function saveEPALinux(){
        $this->log("Called saveEPALinux ","info");
        //start
        if (isset($_FILES['updateFileNameLinux'])) {
                        $path = "/parablu/updates/";
                        if (!is_dir($path)) {
                	  $result = array(
                            'result' => 'fail',
                            'msg' => 'No Directory Found'
                	  );
                	  die(json_encode($result));
                	}
                    $file_name = $_FILES['updateFileNameLinux']['name'];
                    $file_tmp = $_FILES['updateFileNameLinux']['tmp_name'];
                    $file_type = $_FILES['updateFileNameLinux']['type'];
                    $file_size = $_FILES['updateFileNameLinux']['size'];
                    $file_ext = strtolower(end(explode('.', $_FILES['updateFileNameLinux']['name'])));
                    $file = $path . $file_name;
		    $this->log("file :  ".$file,"info");
		    $errors = [];
                        if ($errors) {
                                $this->log("ERRORS WHILE UPLOADING".json_encode($errors),"info");
                                $result = array(
                                    'result' => 'fail',
                                    'msg'    => 'Failed to upload agent'
                                );
                                die(json_encode($result));
                        }
                        if (empty($errors)) {
                                $this->log("success ","info");
                                move_uploaded_file($file_tmp, $file);
                                chmod($file, 0777);
                                    $response = array(
                                    	'result' => 'success',
                                      'msg'    => 'Agent uploaded succesfully'
                                    );
                                    echo json_encode($response);
                                    exit;
                                        }else{
                                                $response = array(
                                'result' => 'fail',
                                'msg'    => 'Failed to upload agent'
                            );
                            echo json_encode($response);
                            exit;
			}
        }else{
                $this->saveEPALinuxOne();
        }
        //end
    }

    public function saveEPALinuxOne(){
        $this->log("Called saveEPALinuxOne ","info");
        if(empty($_POST['autoUpdateLinux']) || $_POST['autoUpdateLinux'] != 'enabled'){
                $_POST['autoUpdateLinux'] = 'false';
        }else{
            $_POST['autoUpdateLinux'] = 'true';
        }
        if(empty($_POST['downloadAgentLinux']) || $_POST['downloadAgentLinux'] != 'enabled'){
            $_POST['downloadAgentLinux'] = 'false';
        }else{
            $_POST['downloadAgentLinux'] = 'true';
        }
        $headers = array(
        	'Content-Type'  => 'application/json',
        	'token'         => $this->session->get('token'),
        	'downloadAgent' =>$_POST['downloadAgentLinux'],
        	'updateFileName' =>!empty($_FILES["updateFileNameLinux"]["name"]) ? $_FILES["updateFileNameLinux"]["name"] : '',
        	'link' => !empty($_POST['linkLinux']) ? trim($_POST['linkLinux']) : '',
        	'productType' => 'linux-deb'
        );
        $this->log("jjjjjjjjjjjjjjjj : ".json_encode($headers),"info");
        $this->log("jjjjjjjjjjjjjjjj : ".json_encode($_FILES['updateFileNameLinux']),"info");
        $result = $this->_model->saveEPAWindows($headers);
                    switch ($result['status']) {
                        case (200):
                            $response = array(
                                'result' => 'success',
                                'response' => $result,
                                'msg'    => 'Details saved successfully.'
                            );
                            echo json_encode($response);
                            exit;
                        case (421):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('421')
                            );
                            echo json_encode($result);
                            exit();
                        case (412):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Selected file should have proper naming convention'
                                );
                                echo json_encode($result);
                                exit();
                        case (507):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Failed to download file from DNS'
                                );
                                echo json_encode($result);
                                exit();
                        case (500):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('500')
                            );
                            echo json_encode($result);
                                exit();
                        case (0):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('0')
                            );
                            echo json_encode($result);
                            exit();
                        default:
                            $result = array(
                                'result' => 'fail',
                                'response' => $result,
                                'msg' => $this->language->get('default')
                            );
                            echo json_encode($result);
                            exit();
                    }
    }
    // for linux end
	
    // for linux rpm start
    public function saveEPALinuxrpm(){
        $this->log("Called saveEPALinux ","info");
        //start
        if (isset($_FILES['updateFileNameLinuxrpm'])) {
                        $path = "/parablu/updates/";
                        if (!is_dir($path)) {
                          $result = array(
                            'result' => 'fail',
                            'msg' => 'No Directory Found'
                          );
                          die(json_encode($result));
                        }
                    $file_name = $_FILES['updateFileNameLinuxrpm']['name'];
                    $file_tmp = $_FILES['updateFileNameLinuxrpm']['tmp_name'];
                    $file_type = $_FILES['updateFileNameLinuxrpm']['type'];
                    $file_size = $_FILES['updateFileNameLinuxrpm']['size'];
                    $file_ext = strtolower(end(explode('.', $_FILES['updateFileNameLinuxrpm']['name'])));
                    $file = $path . $file_name;
		    $this->log("file :  ".$file,"info");
		    $errors = [];
                        if ($errors) {
                                $this->log("ERRORS WHILE UPLOADING".json_encode($errors),"info");
                                $result = array(
                                    'result' => 'fail',
                                    'msg'    => 'Failed to upload agent'
                                );
                                die(json_encode($result));
                        }
                        if (empty($errors)) {
                                $this->log("success ","info");
                                move_uploaded_file($file_tmp, $file);
                                chmod($file, 0777);
                                    $response = array(
                                        'result' => 'success',
                                      	'msg'    => 'Agent uploaded succesfully'
				    );
                                    echo json_encode($response);
                                    exit;
                                        }else{
                                                $response = array(
                                'result' => 'fail',
                                'msg'    => 'Failed to upload agent'
                            );
                            echo json_encode($response);
                            exit;
                        }
        }else{
                $this->saveEPALinuxrpmOne();
        }
        //end
    }

    public function saveEPALinuxrpmOne(){
        $this->log("Called saveEPALinuxOne ","info");
        if(empty($_POST['autoUpdateLinuxrpm']) || $_POST['autoUpdateLinuxrpm'] != 'enabled'){
                $_POST['autoUpdateLinuxrpm'] = 'false';
        }else{
            $_POST['autoUpdateLinuxrpm'] = 'true';
        }
        if(empty($_POST['downloadAgentLinuxrpm']) || $_POST['downloadAgentLinuxrpm'] != 'enabled'){
            $_POST['downloadAgentLinuxrpm'] = 'false';
        }else{
            $_POST['downloadAgentLinuxrpm'] = 'true';
        }
        $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token'),
                'downloadAgent' =>$_POST['downloadAgentLinuxrpm'],
                'updateFileName' =>!empty($_FILES["updateFileNameLinuxrpm"]["name"]) ? $_FILES["updateFileNameLinuxrpm"]["name"] : '',
                'link' => !empty($_POST['linkLinuxrpm']) ? trim($_POST['linkLinuxrpm']) : '',
		'productType' => 'linux-rpm'
        );
        $this->log("jjjjjjjjjjjjjjjj : ".json_encode($headers),"info");
        $this->log("jjjjjjjjjjjjjjjj : ".json_encode($_FILES['updateFileNameLinux']),"info");
        $result = $this->_model->saveEPAWindows($headers);
                    switch ($result['status']) {
                        case (200):
                            $response = array(
                                'result' => 'success',
                                'response' => $result,
                                'msg'    => 'Details saved successfully.'
                            );
                            echo json_encode($response);
                            exit;
                        case (421):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('421')
                            );
                            echo json_encode($result);
                            exit();
                        case (412):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Selected file should have proper naming convention'
                                );
                                echo json_encode($result);
                                exit();
                        case (507):
                                $result = array(
                                    'result' => 'fail',
                                    'msg' => 'Failed to download file from DNS'
                                );
                                echo json_encode($result);
				exit();
                        case (500):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('500')
                            );
                            echo json_encode($result);
                                exit();
                        case (0):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('0')
                            );
                            echo json_encode($result);
                            exit();
                        default:
                            $result = array(
                                'result' => 'fail',
                                'response' => $result,
                                'msg' => $this->language->get('default')
                            );
                            echo json_encode($result);
                            exit();
                    }
    }
    // for linux rpm end
    
    public function mongoProperties(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token')
        );
        
        $result = $this->_model->getMongoProperties($headers);
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('Meta-data Properties'),
            'active' => 'settings',
            'proxy' => $result['body']->{'mongoPropertiesElementList'},
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/mongoProperties', $data);
        View::renderTemplate('footer', $data);
    }
    
    public function saveMongoProperties(){
        if(!empty($_POST['proxyHost']) && !empty($_POST['proxyUserName']) && !empty($_POST['proxyPassword']) && !empty($_POST['proxyPort'])){
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token'),

            );
        $password_en = $_POST['proxyPassword'];
        $password_en = str_replace(".","+",$password_en);
        $password_en = str_replace("_","/",$password_en);
        $password_en = str_replace("-","=",$password_en);
        $privkey ='-----BEGIN RSA PRIVATE KEY-----
MIICXAIBAAKBgQCqGKukO1De7zhZj6+H0qtjTkVxwTCpvKe4eCZ0FPqri0cb2JZfXJ/DgYSF6vUp
wmJG8wVQZKjeGcjDOL5UlsuusFncCzWBQ7RKNUSesmQRMSGkVb1/3j+skZ6UtW+5u09lHNsj6tQ5
1s1SPrCBkedbNf0Tp0GbMJDyR4e9T04ZZwIDAQABAoGAFijko56+qGyN8M0RVyaRAXz++xTqHBLh
3tx4VgMtrQ+WEgCjhoTwo23KMBAuJGSYnRmoBZM3lMfTKevIkAidPExvYCdm5dYq3XToLkkLv5L2
pIIVOFMDG+KESnAFV7l2c+cnzRMW0+b6f8mR1CJzZuxVLL6Q02fvLi55/mbSYxECQQDeAw6fiIQX
GukBI4eMZZt4nscy2o12KyYner3VpoeE+Np2q+Z3pvAMd/aNzQ/W9WaI+NRfcxUJrmfPwIGm63il
AkEAxCL5HQb2bQr4ByorcMWm/hEP2MZzROV73yF41hPsRC9m66KrheO9HPTJuo3/9s5p+sqGxOlF
L0NDt4SkosjgGwJAFklyR1uZ/wPJjj611cdBcztlPdqoxssQGnh85BzCj/u3WqBpE2vjvyyvyI5k
X6zk7S0ljKtt2jny2+00VsBerQJBAJGC1Mg5Oydo5NwD6BiROrPxGo2bpTbu/fhrT8ebHkTz2epl
U9VQQSQzY1oZMVX8i1m5WUTLPz2yLJIBQVdXqhMCQBGoiuSoSjafUhV7i1cEGpb88h5NBYZzWXGZ
37sJ5QsW+sJyoNde3xH8vdXhzU7eT82D6X/scw9RZz+/6rCJ4p0=
-----END RSA PRIVATE KEY-----';
        $encrypted_password = $password_en;
        if(openssl_private_decrypt(base64_decode($encrypted_password), $decrypted, $privkey))
        {
                $proxyPassword = $decrypted;
        }
        $this->log("Resultencrypted_password:".$proxyPassword, "info");
            $data = array(
                'id'                 => $_POST['id'],
                'mongoIp'            => trim($_POST['mongoIp']),
                'proxyHost'          => trim($_POST['proxyHost']),
                'proxyUserName'      => trim($_POST['proxyUserName']),
                'proxyPassword'      => trim($proxyPassword),
                'proxyPort'          => trim($_POST['proxyPort']),
		'backupdir'          => $_POST['backupdir'],
                'archivedir'         => $_POST['archivedir'],
                'backblaze_id'       => $_POST['backblazeid'],
                'application_key'    => $_POST['applicationkey'],
                'backblaze_bucket'   => $_POST['backblazebucket'],
                'customer_name'      => $_POST['customername'],
                'backblaze_backup'   => $_POST['backblazebackup'],
                'encrypt_backup'     => $_POST['encryptbackup'],
            );
            $result = $this->_model->saveMongoProperties($headers,json_encode($data));
            $this->log("Result:".json_encode($result), "info");
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details have been successfully saved')
                        );
                    echo json_encode($response);
                    exit;
                case (202):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('Details have been successfully saved')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'response' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            $data = array(
                'result' => 'error',
                'msg'=>'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }
    
    public function dataMigration(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('dataMigration'),
            'active' => 'settings',
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
        );
	$data['graphApiEnabled'] = 'false';
	if($this->session->get('graphApiEnabled') == 'true'){
		$data['graphApiEnabled'] = 'true';	
	}

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/dataMigration', $data);
        View::renderTemplate('footer', $data);
    }

    public function usersDataMigration(){
            $headers = array(
                'Content-Type'      => 'application/json',
                'Accept'        => 'application/json',
                'token'             => $this->session->get('token')
            );
            $result = $this->_model->usersDataMigration($headers);
            $this->log("usersDataMigration : ".json_encode($result['body']->{'userElementResponse'}->{'users'}),"info");
	    $users = [];
	    if(!empty($result['body']->{'userElementResponse'}->{'users'})){
                foreach($result['body']->{'userElementResponse'}->{'users'} as $value){
			//if($value->{'active'} == false && $value->{'migrationStatus'} != 'COMPLETED'){
			if($value->{'active'} == false){
                    		$user = $value->{'userName'};
                    		$users = array_merge(array($user), $users);
			}
                }
            }
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'users'    => $users
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();                
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }

    public function startDataMigration(){
        $this->log("Called startDataMigration ","info");
        $_POST['users'] = implode(',', $_POST['users']);
        $headers = array(
            'Content-Type'  => 'application/json',
            'Accept'  => 'application/json',
            'token'         => $this->session->get('token'),
            'users' => $_POST['users'],
            'destOdbId' => $_POST['bucketName'],
        );
        $this->log("jjjjjjjjjjjjjjjj : ".json_encode($headers),"info");
        $result = $this->_model->startDataMigration($headers);
                    switch ($result['status']) {
                        case (200):
                            $response = array(
                                'result' => 'success',
                                'response' => $result,
                                'msg'    => 'Migration process started.'
                            );
                            echo json_encode($response);
                            exit;
                        case (421):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('421')
                            );
                            echo json_encode($result);
                            exit();
                        case (500):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('500')
                            );
                            echo json_encode($result);
                            exit();
                        case (0):
                            $result = array(
                                'result' => 'fail',
                                'msg' => $this->language->get('0')
                            );
                            echo json_encode($result);
                            exit();
                        default:
                            $result = array(
                                'result' => 'fail',
                                'response' => $result,
                                'msg' => $this->language->get('default')
                            );
                            echo json_encode($result);
                            exit();
                    }

    }
	
    public function browse(){
            $headers = array(
                    'token'     => $this->session->get('token'),
                    'Accept' => 'application/json',
                    'folderpath' => $_POST['folderpath']
            );
            $result = $this->_model->browse($headers, $_POST['deviceUUID']);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'stringList'  => !empty($result['body']->{'stringList'}) ? $result['body']->{'stringList'}: []
                    );
                    echo json_encode($response);
                    exit;
		case (406):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Please select a destination device"
                    );
                    echo json_encode($result);
                    exit();
                case (204):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "No Restore in Queue"
                    );
                    echo json_encode($result);
                    exit();
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
		    exit();
		case (502):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Your Tenant is slow so please retry after some time"
                    );
                    echo json_encode($result);
                    exit();
		case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'code' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }


    public function browseOnedrive(){
            $headers = array(
                    'token'     => $this->session->get('token'),
                    'Accept' => 'application/json',
                    'folderpath' => $_POST['folderpath']
            );
            $result = $this->_model->browseOnedrive($headers, $_POST['deviceUUID']);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'stringList'  => !empty($result['body']->{'stringList'}) ? $result['body']->{'stringList'}: []
                    );
                    echo json_encode($response);
                    exit;
		case (406):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Please select a destination device"
                    );
                    echo json_encode($result);
                    exit();
                case (204):
		    $result = array(
                        'result' => 'fail',
                        'msg' => "No Restore in Queue"
                    );
                    echo json_encode($result);
                    exit();
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
		    exit();
		case (502):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Your Tenant is slow so please retry after some time"
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
		    $result = array(
                        'result' => 'fail',
                        'code' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }
	
    public function curlCall(){
	$scriptOutput = shell_exec('bash /var/www/portal/app/curl.sh >> naveen.log');
	//$scriptOutput = shell_exec('bash /parablu-scripts/Installable/scripts/curl.sh');
	$this->log("CURLCALL RESPONSE : ".json_encode($scriptOutput),"info");
	$response = array(
                    'result' => 'success'
                );
                echo json_encode($response);
                exit;
    }
	
    public function brandingUpload(){
	$valid_extensions = array('jpeg', 'jpg', 'png', 'gif', 'bmp' , 'pdf' , 'doc' , 'ppt', 'txt', 'xml'); // valid extensions
	$path = '/var/www/portal/app/templates/default/collateral/'; // upload directory
	$loginimg = $_FILES['loginlogo']['name'];
	$logintmp = $_FILES['loginlogo']['tmp_name'];

	$headerimg = $_FILES['headerlogo']['name'];
	$headertmp = $_FILES['headerlogo']['tmp_name'];

	$disclaimerFile = $_FILES['disclaimer']['name'];
	$disclaimertmp = $_FILES['disclaimer']['tmp_name'];

	$customemailFile = $_FILES['customemail']['name'];
	$customemailtmp = $_FILES['customemail']['tmp_name'];
	    
	$gettingFile = $_FILES['getting']['name'];
        $gettingtmp = $_FILES['getting']['tmp_name'];

	$extLogin = strtolower(pathinfo($loginimg, PATHINFO_EXTENSION));
	$extHeader = strtolower(pathinfo($headerimg, PATHINFO_EXTENSION));
	$extDisclaimer = strtolower(pathinfo($disclaimerFile, PATHINFO_EXTENSION));
	$extCustomemail = strtolower(pathinfo($customemailFile, PATHINFO_EXTENSION));
	$extGetting = strtolower(pathinfo($gettingFile, PATHINFO_EXTENSION));
	if(in_array($extLogin, $valid_extensions) || in_array($extHeader, $valid_extensions) || in_array($extDisclaimer, $valid_extensions) || in_array($extCustomemail, $valid_extensions) || in_array($extGetting, $valid_extensions)){
	$pathLogin = $path.'login_logo.png';
	$pathHeader = $path.'header_logo.png';
	$pathDisclaimer = $path.'disclaimer.txt';
	$pathCustomemail = $path.'emails.xml';
	$pathGetting = $path.'gettingStarted.pdf';
	//if(move_uploaded_file($logintmp,$pathLogin) && move_uploaded_file($headertmp,$pathHeader) && move_uploaded_file($disclaimertmp,$pathDisclaimer) && move_uploaded_file($customemailtmp,$pathCustomemail)){
	move_uploaded_file($logintmp,$pathLogin);
	move_uploaded_file($headertmp,$pathHeader);
	move_uploaded_file($disclaimertmp,$pathDisclaimer);
	move_uploaded_file($customemailtmp,$pathCustomemail);
	move_uploaded_file($gettingtmp,$pathGetting);
	$scriptOutput = shell_exec('bash /var/www/portal/app/branding.sh');
	$branding = [];

	$data1 = array(
			    "fileName" => 'login_logo.png',
			    "filePath" => '/var/www/portal/app/templates/default/collateral/'
		);
	$data2 = array(
			    "fileName" => 'header_logo.png',
			    "filePath" => '/var/www/portal/app/templates/default/collateral/'
		    );
	$data3 = array(
			    "fileName" => 'disclaimer.txt',
			    "filePath" => '/var/www/portal/app/templates/default/collateral/'
		    );
	$data4 = array(
			    "fileName" => 'emails.xml',
			    "filePath" => '/var/www/portal/app/templates/default/collateral/'
		    );
	$data5 = array(
			    "fileName" => 'gettingStarted.pdf',
			    "filePath" => '/var/www/portal/app/templates/default/collateral/'
		    );
	array_push($branding,$data1);
	array_push($branding,$data2);
	array_push($branding,$data3);
	array_push($branding,$data4);
	array_push($branding,$data5);
	$final = array("brandingItems" => $branding);
	$headers = array(
		    'Content-Type'         => 'application/json',
		    'token'         => $this->session->get('token')
		);
	$this->log("BRANDING DATA : ".json_encode($final),"info");
	$result = $this->_model->saveBranding($headers, json_encode($final));
	$this->log("BRANDING : ".json_encode($result),"info");
	switch ($result['status']) {
	    case (200):
		/*move_uploaded_file($logintmp,$pathLogin);
		move_uploaded_file($headertmp,$pathHeader);
		move_uploaded_file($disclaimertmp,$pathDisclaimer);
		move_uploaded_file($customemailtmp,$pathCustomemail);
		move_uploaded_file($gettingtmp,$pathGetting);
		$scriptOutput = shell_exec('bash /var/www/portal/app/branding.sh');*/
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
		    exit;
	    case (500):
                /*move_uploaded_file($logintmp,$pathLogin);
		move_uploaded_file($headertmp,$pathHeader);
		move_uploaded_file($disclaimertmp,$pathDisclaimer);
		move_uploaded_file($customemailtmp,$pathCustomemail);
		move_uploaded_file($gettingtmp,$pathGetting);
		$scriptOutput = shell_exec('bash /var/www/portal/app/branding.sh');*/
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
                    exit;
	    case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
	    case (437):
                        $this->cleanUpTempDirectory($path);
                    $result = array(
                        'result' => 'fail',
                        'msg' => 'Malicious file detected.'
                    );
                    echo json_encode($result);
                    exit();
	    default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
        }
	//	}
	}else{
			$response = array(
			    'result' => 'invalid',
			    'msg' => 'File extension is not supported'
			);
			echo json_encode($response);
			exit;
	}
		if($errorimg > 0){
			$response = array(
			    'result' => ' An error occurred while uploading the file'
			);
			echo json_encode($response);
			exit;
		}

    }
	
      public function licenseKey(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $data = array(
            'title' => $this->language->get('indexPageName'),
             'crumb1' => 'License Key Management',
            'active' => 'settings',
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/licenseKey', $data);
        View::renderTemplate('footer', $data);
    }

    public function uploadLicenseKey(){
        $this->log("Called uploadlicensekey from portal ","info");
        //start
        $path = "/parablu/LicenseKey/encryptedFiles/";
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token'),
            'fileName' => $_FILES['licenseKeyFileName']['name']
        );
                if (!is_dir($path)) {
                    $result = array(
                                'result' => 'fail',
                                'msg' => 'No Directory Found'
                    );
                    die(json_encode($result));
                }
                    $file_name = $_FILES['licenseKeyFileName']['name'];
                    $file_tmp = $_FILES['licenseKeyFileName']['tmp_name'];
                    $file_type = $_FILES['licenseKeyFileName']['type'];
                    $file_size = $_FILES['licenseKeyFileName']['size'];
                    $file_ext = strtolower(end(explode('.', $_FILES['licenseKeyFileName']['name'])));
                    $file = $path . $file_name;
		    $this->log("file :  ".$file,"info");
		    $errors = [];
                    if(file_exists($file)){
                            $this->log("License key with same name already exists.","info");
                                $result = array(
                                    'result' => 'exists',
                                    'msg'    => 'License key with same name already exists.'
                                );
                            die(json_encode($result));
                            exit();
                    }
                        if ($errors) {
                                $this->log("ERRORS WHILE UPLOADING".json_encode($errors),"info");
                                $result = array(
                                    'result' => 'fail',
				    'msg'    => 'Failed to upload license key'
                                );
                                die(json_encode($result));
                        }

                        if (empty($errors)) {
                            $this->log("success ","info");
                            move_uploaded_file($file_tmp, $file);
                            chmod($file, 0777);
                            $result = $this->_model->saveLicenseKey($headers);
            switch ($result['status']) {
            case (200):
                $response = array(
                    'result' => 'success',
                    'msg'    => 'License key uploaded succesfully'
            );
                unlink($file);
                echo json_encode($response);
                exit;
            default:
                $result = array(
                    'result' => 'fail',
                    'msg' => 'Failed to upload license key'
            );
                unlink($file);
                echo json_encode($result);
                exit();
                            }
                            }else{
                            $response = array(
                                'result' => 'fail',
                                'msg'    => 'Failed to upload license key'
			    );
                            unlink($file);
                            echo json_encode($response);
                            exit;
                            }
		}

    public function uploadLicenseKeyForce(){
        $this->log("Called force uploadlicensekey from portal ","info");
        //start
        $path = "/parablu/LicenseKey/encryptedFiles/";
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token'),
            'fileName' => $_FILES['licenseKeyFileName']['name']
        );
                if (!is_dir($path)) {
                    $result = array(
                                'result' => 'fail',
                                'msg' => 'No Directory Found'
		    );
                    die(json_encode($result));
                }
                    $file_name = $_FILES['licenseKeyFileName']['name'];
                    $file_tmp = $_FILES['licenseKeyFileName']['tmp_name'];
                    $file_type = $_FILES['licenseKeyFileName']['type'];
                    $file_size = $_FILES['licenseKeyFileName']['size'];
                    $file_ext = strtolower(end(explode('.', $_FILES['licenseKeyFileName']['name'])));

                    $file = $path . $file_name;
                    $this->log("file :  ".$file,"info");
                        if ($errors) {
                                $this->log("ERRORS WHILE UPLOADING".json_encode($errors),"info");
                                $result = array(
                                    'result' => 'fail',
                                    'msg'    => 'Failed to upload license key'
                                );
                                die(json_encode($result));
                                }

                        if (empty($errors)) {
                                $this->log("success ".$file,"info");
//                                unlink($file);
                            move_uploaded_file($file_tmp, $file);
                                chmod($file, 0777);
                                $result = $this->_model->saveLicenseKey($headers);
            switch ($result['status']) {
            case (200):
                $response = array(
                    'result' => 'success',
                    'msg'    => 'License key uploaded succesfully'
            );
                unlink($file);
                echo json_encode($response);
                exit;
            default:
		$result = array(
                    'result' => 'fail',
                    'msg' => 'Failed to upload license key'
                );
                unlink($file);
                echo json_encode($result);
                exit();
                                }
                            }else{
                            $response = array(
                                'result' => 'fail',
                                'msg'    => 'Failed to upload license key'
                        );
                            unlink($file);
                            echo json_encode($response);
                            exit;
                            }
	//end                         
}
	
    public function getLicenseKeyList(){
        $licenseKeyList = [];
        $headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token')
            );
        if($this->session->get('admin') == "1"){
            $result = $this->_model->getLicenseKeyList($headers);
        }

        if(!empty($result['body']->{'licenseKeyFileElementList'})){
                foreach($result['body']->{'licenseKeyFileElementList'} as $value){
                        $value->{'lastModifiedTimeMillis'} = $value->{'lastModifiedTime'};
                        $value->{'lastModifiedTime'} = date('d-M-Y H:i:s', (((int)$value->{'lastModifiedTime'}) / 1000));
                $licenseKeyList = array_merge(array($value), $licenseKeyList);
            }
        }
        switch ($result['status']) {
            case (200):
                $response = array(
                    'result' => 'success',
                    'licenseKeyList'    => $licenseKeyList
                );
                echo json_encode($response);
                exit;
	    case (507):
                $result = array(
                    'result' => 'fail',
                    'msg' => 'No License Key found'
                );
                echo json_encode($result);
                exit();
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
}

    public function licenseKeyAction(){
        /*view start*/
if($_POST['action'] == 'view'){
        $headers = array(
            'Content-Type' => 'application/xml',
            'Accept' => 'application/xml',
            'Accept-Charset' => 'utf-8',
//          'Content-Type'      => 'application/json',
            'token'             => $this->session->get('token'),
            'fileName'          => $_POST['fileName'],
            'operation'         => $_POST['action'],
	    'cloudName'         => $this->session->get('cloudName')
    );
    $_POST['fileName'] = str_replace(' ', '-', $_POST['fileName']);
                    $_POST['fileName'] = preg_replace("/[^a-z0-9\_\-\.]/i", '', $_POST['fileName']);
                    $t=time();
                    $_POST['fileName'] = $t.$_POST['fileName'];
                    $fileArray = explode('.', $_POST['fileName']);
                    list($extension) = array_reverse($fileArray);
                    $extension = strtolower($extension);
                    $fullPath = PARAVIEW_TMP_PATH;
                    $this->cleanUpTempDirectory($fullPath);
                    $result = $this->_model->viewLicenseKey($headers);

/*                    if($result['status'] != 200){
                        echo json_encode(array(
                            'result' => 'fail',
                            'msg' => 'Was not able to get file contents, error code - ' . $result['status']
                        ));
                        exit;
                    }

                    $fileFullPath   = $fullPath.ltrim($_POST['fileName'], DS);
                    $myFile = fopen($fileFullPath, "w");
                    if(!$myFile){
                        die("Unable to open file!");
                    }
                    $txt = $result['body'];
                    fwrite($myFile, $txt);
                    fclose($myFile);
                    $this->$extension();*/
                    switch($result['status']){
                    case (200);
                        $fileFullPath   = $fullPath.ltrim($_POST['fileName'], DS);
                    $myFile = fopen($fileFullPath, "w");
                    if(!$myFile){
                        die("Unable to open file!");
                        }
                    $txt = $result['body'];
                    fwrite($myFile, $txt);
                    fclose($myFile);
                    $this->$extension();
                case (507):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('507')
                );
                echo json_encode($result);
                exit();
                case (508):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('508')
                );
                echo json_encode($result);
                exit();
                case (509):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('509')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
}
/*view end*/
if($_POST['action'] == 'apply'){
$headers = array(
            'Content-Type'      => 'application/json',
            'token'          => $this->session->get('token'),
            'fileName'          => $_POST['fileName'],
            'operation'         => $_POST['action'],
	    'cloudName'         => $this->session->get('cloudName')
        );

	$result = $this->_model->applyLicenseKey($headers);
	switch ($result['status']) {
            case (200):

                $response = array(
                    'result' => 'success',
                    'msg'    => "License key configuration applied successfully.</b>"
                );
                echo json_encode($response);
                exit;
                case (507):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('507')
                );
                echo json_encode($result);
                exit();
                case (508):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('508')
                    );
                echo json_encode($result);
                exit();
                case (509):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('509')
                );
                echo json_encode($result);
                exit();
            case (510):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('510')
                );
                echo json_encode($result);
                exit();
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
                exit();
        }
}
    }

public function pblic(){
        $fileName = $_POST['fileName'];
        $this->log("kkkkkk: ".$fileName,"info");
        if(!empty($fileName)) {
            if(file_exists(PARAVIEW_TMP_PATH.$fileName)) {
                $data = array(
                    'html' => file_get_contents(PARAVIEW_TMP_PATH.$fileName),
                    'type' => 'text'
                );
                $jsonDoc = json_encode($data);
			$lines = explode("\n", $data['html']);

	foreach($lines as $word) {
	//      $this->log("word : ".$word,"info");
		if (strpos($word, 'cloudName =') !== FALSE) {
			$cloudName = str_replace("cloudName =","",$word);
		}
		if (strpos($word, 'noOfUsersAllowed =') !== FALSE) {
			$noOfUsersAllowed = str_replace("noOfUsersAllowed =","",$word);
		}
		if (strpos($word, 'noOfBackupUsersAllowed =') !== FALSE) {
			$noOfBackupUsersAllowed = str_replace("noOfBackupUsersAllowed =","",$word);
		}
		if (strpos($word, 'noOfSyncUsersAllowed =') !== FALSE) {
			$noOfSyncUsersAllowed = str_replace("noOfSyncUsersAllowed =","",$word);
		}
		if (strpos($word, 'validityPeriod =') !== FALSE) {
			$validityPeriod = str_replace("validityPeriod =","",$word);
		}
		if (strpos($word, 'contentSearchEnabled =') !== FALSE) {
			$contentSearchEnabled = str_replace("contentSearchEnabled =","",$word);
		}
		if (strpos($word, 'versioningEnabled =') !== FALSE) {
			$versioningEnabled = str_replace("versioningEnabled =","",$word);
		}
		if (strpos($word, 'noOfMiniCloudsAllowed =') !== FALSE) {
			$noOfMiniCloudsAllowed = str_replace("noOfMiniCloudsAllowed =","",$word);
		}
		if (strpos($word, 'noOfOdbBackupUsersAllowed =') !== FALSE) {
			$noOfOdbBackupUsersAllowed = str_replace("noOfOdbBackupUsersAllowed =","",$word);
		}
		if (strpos($word, 'noOfExchangeBackupUsersAllowed =') !== FALSE) {
			$noOfExchangeBackupUsersAllowed = str_replace("noOfExchangeBackupUsersAllowed =","",$word);
		}	
		if (strpos($word, 'cloudSizeAllowed =') !== FALSE) {
			$cloudSizeAllowed = str_replace("cloudSizeAllowed =","",$word);
		}
		if (strpos($word, 'noOfDevicesAllowed =') !== FALSE) {
			$noOfDevicesAllowed = str_replace("noOfDevicesAllowed =","",$word);
		}
		if (strpos($word, 'sqlLicenseAllowed =') !== FALSE) {
			$sqlLicenseAllowed = str_replace("sqlLicenseAllowed =","",$word);
		}
		if (strpos($word, 'ClamAVLicenseAllowed =') !== FALSE) {
			$ClamAVLicenseAllowed = str_replace("ClamAVLicenseAllowed =","",$word);
		}
		if (strpos($word, 'RWLicenseAllowed =') !== FALSE) {
                        $RWLicenseAllowed = str_replace("RWLicenseAllowed =","",$word);
                }
		if (strpos($word, 'c2cRestoreEnabled =') !== FALSE) {
                        $c2cRestoreEnabled = str_replace("c2cRestoreEnabled =","",$word);
		}
		if (strstr($word, 'BackupEnabled =') === $word) {
                        $this->log("ccccccc","info");
                        $BackupEnabled = str_replace("BackupEnabled =","",$word);
                        $this->log("ccccccc : ".$BackupEnabled,"info");
                }
                if (strpos($word, 'SyncEnabled =') !== FALSE) {
                        $SyncEnabled = str_replace("SyncEnabled =","",$word);
                }
                if (strpos($word, 'OneDriveBackupEnabled =') !== FALSE) {
                        $OneDriveBackupEnabled = str_replace("OneDriveBackupEnabled =","",$word);
                }
                if (strpos($word, 'ExchangeBackupEnabled =') !== FALSE) {
                        $ExchangeBackupEnabled = str_replace("ExchangeBackupEnabled =","",$word);
                }
                if (strpos($word, 'SharepointBackupEnabled =') !== FALSE) {
                        $SharepointBackupEnabled = str_replace("SharepointBackupEnabled =","",$word);
                }
                if (strpos($word, 'noOfSharepointBackupUsersAllowed =') !== FALSE) {
                        $noOfSharepointBackupUsersAllowed = str_replace("noOfSharepointBackupUsersAllowed =","",$word);
		}
		if (strpos($word, 'EnableContentSearchForOnedrive =') !== FALSE) {
                        $EnableContentSearchForOnedrive = str_replace("EnableContentSearchForOnedrive =","",$word);
                }
		if (strpos($word, 'EnableContentSearchForExchange =') !== FALSE) {
                        $EnableContentSearchForExchange = str_replace("EnableContentSearchForExchange =","",$word);
                }
		if (strpos($word, 'EnableContentSearchForSharepoint =') !== FALSE) {
                        $EnableContentSearchForSharepoint = str_replace("EnableContentSearchForSharepoint =","",$word);
                }
		if (strpos($word, 'EnableContentSearchForSync =') !== FALSE) {
                        $EnableContentSearchForSync = str_replace("EnableContentSearchForSync =","",$word);
                }
		if (strpos($word, 'BackupNetworkDriveEnabled =') !== FALSE) {
                        $BackupNetworkDriveEnabled = str_replace("BackupNetworkDriveEnabled =","",$word);
                }
		if (strpos($word, 'ServerBackupEnabled =') !== FALSE) {
                        $ServerBackupEnabled = str_replace("ServerBackupEnabled =","",$word);
                }
		if (strpos($word, 'OneDriveArchivingEnabled =') !== FALSE) {
                        $OneDriveArchivingEnabled = str_replace("OneDriveArchivingEnabled =","",$word);
                }
		if (strpos($word, 'MailArchivingEnabled =') !== FALSE) {
                        $MailArchivingEnabled = str_replace("MailArchivingEnabled =","",$word);
                }
                if (strpos($word, 'LoginType =') !== FALSE) {
                        $LoginType = str_replace("LoginType =","",$word);
		}
		if (strpos($word, 'GlobalSearchEnabled =') !== FALSE) {
                        $GlobalSearchEnabled = str_replace("GlobalSearchEnabled =","",$word);
                }
                if (strpos($word, 'InplaceArchivingEnabled =') !== FALSE) {
                        $InplaceArchivingEnabled = str_replace("InplaceArchivingEnabled =","",$word);
                }
                if (strpos($word, 'SharepointArchivingEnabled =') !== FALSE) {
                        $SharepointArchivingEnabled = str_replace("SharepointArchivingEnabled =","",$word);
                }
		}
		$data['cloudName'] = $cloudName;
		$data['noOfUsersAllowed'] = $noOfUsersAllowed;
		$data['noOfBackupUsersAllowed'] = $noOfBackupUsersAllowed;
		$data['noOfSyncUsersAllowed'] = $noOfSyncUsersAllowed;
		$validityPeriod = date('d-M-Y H:i:s', (((int)$validityPeriod) / 1000));
		$data['validityPeriod'] = $validityPeriod;
		$data['contentSearchEnabled'] = $contentSearchEnabled;
		$data['versioningEnabled'] = $versioningEnabled;
		$data['noOfMiniCloudsAllowed'] = $noOfMiniCloudsAllowed;
		$data['noOfOdbBackupUsersAllowed'] = $noOfOdbBackupUsersAllowed;
		$data['noOfExchangeBackupUsersAllowed'] = $noOfExchangeBackupUsersAllowed;		   
		$data['cloudSizeAllowed'] = $cloudSizeAllowed;
		$data['noOfDevicesAllowed'] = $noOfDevicesAllowed;
		$data['sqlLicenseAllowed'] = $sqlLicenseAllowed;
		$data['ClamAVLicenseAllowed'] = $ClamAVLicenseAllowed;
		$data['RWLicenseAllowed'] = $RWLicenseAllowed;
		$data['c2cRestoreEnabled'] = $c2cRestoreEnabled;
		$data['GlobalSearchEnabled'] = $GlobalSearchEnabled;
                $data['InplaceArchivingEnabled'] = $InplaceArchivingEnabled;
                $data['SharepointArchivingEnabled'] = $SharepointArchivingEnabled;
		if($data['RWLicenseAllowed'] != 1 && $data['RWLicenseAllowed'] != 0){
			$data['RWLicenseAllowed'] = 'not there';
		}
		if($data['c2cRestoreEnabled'] != 1 && $data['c2cRestoreEnabled'] != 0){
			$data['c2cRestoreEnabled'] = 'not there';
		}
		if(json_encode($data['RWLicenseAllowed']) == 'null'){
        		$data['RWLicenseAllowed'] = 'not there';
		}
		if(json_encode($data['c2cRestoreEnabled']) == 'null'){
        		$data['c2cRestoreEnabled'] = 'not there';
		}
		if($data['GlobalSearchEnabled'] != 1 && $data['GlobalSearchEnabled'] != 0){
                        $data['GlobalSearchEnabled'] = 'not there';
                }
                if($data['InplaceArchivingEnabled'] != 1 && $data['InplaceArchivingEnabled'] != 0){
                        $data['InplaceArchivingEnabled'] = 'not there';
                }
                if($data['SharepointArchivingEnabled'] != 1 && $data['SharepointArchivingEnabled'] != 0){
                        $data['SharepointArchivingEnabled'] = 'not there';
                }
		$data['BackupEnabled'] = $BackupEnabled;
                $data['SyncEnabled'] = $SyncEnabled;
                $data['OneDriveBackupEnabled'] = $OneDriveBackupEnabled;
                $data['ExchangeBackupEnabled'] = $ExchangeBackupEnabled;
                $data['SharepointBackupEnabled'] = $SharepointBackupEnabled;
		$data['noOfSharepointBackupUsersAllowed'] = $noOfSharepointBackupUsersAllowed;
		$data['EnableContentSearchForOnedrive'] = $EnableContentSearchForOnedrive;
		$data['EnableContentSearchForExchange'] = $EnableContentSearchForExchange;
		$data['EnableContentSearchForSharepoint'] = $EnableContentSearchForSharepoint;
		$data['EnableContentSearchForSync'] = $EnableContentSearchForSync;
		$data['BackupNetworkDriveEnabled'] = $BackupNetworkDriveEnabled;
		$data['ServerBackupEnabled'] = $ServerBackupEnabled;
		$data['OneDriveArchivingEnabled'] = $OneDriveArchivingEnabled;
		$data['MailArchivingEnabled'] = $MailArchivingEnabled;
		$data['LoginType'] = $LoginType;
		$jsonDoc = json_encode($data);
            }else{
                $data = array(
                    'result' => 'fail',
                    'msg' => 'Selected file was not found'
                );
                $jsonDoc = json_encode($data);
            }
        }else{
            $data = array(
                'result' => 'fail',
                'msg' => 'The File format is not yet support'
            );
            $jsonDoc = json_encode($data);
        }
        echo $jsonDoc;
        exit;
    }

    public function cleanUpTempDirectory($fullPath){
        $files = glob($fullPath.DS.'{,.}*', GLOB_BRACE);
        foreach($files as $file){
            if(is_file($file)){
                unlink($file);
            }
        }
    }
	
    public function browseEndPointOnedrive(){
            $headers = array(
                    'token'     => $this->session->get('token'),
                    'Accept' => 'application/json',
                    'folderpath' => base64_encode($_POST['folderpath']),
                    'userName'  => base64_encode($_POST['userName'])
            );
            $result = $this->_model->browseEndPointOnedrive($headers);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'stringList'  => !empty($result['body']->{'stringList'}) ? $result['body']->{'stringList'}: []
                    );
                    echo json_encode($response);
                    exit;
                case (406):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Please select a destination device"
                    );
                    echo json_encode($result);
                    exit();
                case (204):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "No Restore in Queue"
                    );
                    echo json_encode($result);
                    exit();
                case (421):
                    $result = array(
			    'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
		    exit();
		case (502):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Your Tenant is slow so please retry after some time"
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'code' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }
	
    public function sitesDiscovery(){
            $headers = array(
                'Content-Type'      => 'application/json',
                'Accept'        => 'application/json',
                'token'             => $this->session->get('token')
            );
            $result = $this->_model->sitesDiscovery($headers);
            $this->log("usersDataMigration : ".json_encode($result['body']->{'userElementResponse'}->{'users'}),"info");
            $users = [];
            if(!empty($result['body']->{'userElementResponse'}->{'users'})){
                foreach($result['body']->{'userElementResponse'}->{'users'} as $value){
//                      if($value->{'active'} == false && $value->{'migrationStatus'} != 'COMPLETED'){
                                $user = $value->{'userName'};
                                $users = array_merge(array($user), $users);
//                      }
                }
            }
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'discoveredSites'    => $users
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
		case (404):
                    $result = array(
                            'result' => 'fail',
                            'msg' => "No AAD Credentials found"
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }
	
    public function browseSharepoint(){
            $headers = array(
                    'token'     => $this->session->get('token'),
                    'Accept' => 'application/json',
                    'folderpath' => $_POST['folderpath']
            );
            $result = $this->_model->browseSharepoint($headers, $_POST['deviceUUID']);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'stringList'  => !empty($result['body']->{'stringList'}) ? $result['body']->{'stringList'}: []
                    );
                    echo json_encode($response);
                    exit;
                case (406):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Please select a destination Site"
                    );
                    echo json_encode($result);
                    exit();
                case (204):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "No Restore in Queue"
                    );
                    echo json_encode($result);
                    exit();
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
		    exit();
		case (502):
                    $result = array(
                        'result' => 'fail',
                        'msg' => "Your Tenant is slow so please retry after some time"
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'code' => $result,
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }
	
    public function exchangeSettings(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $userDetails = $this->_model->getUserDetails(array('token' => $this->session->get('token'), 'loggedInUserName' => base64_encode($this->session->get('userName'))), base64_encode($this->session->get("userName")));
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token')
        );

        $result = $this->_model->getExchangeDetails($headers);
	$this->log("RESULTTTT : ".json_encode($result),"info");
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => 'Office 365 Settings',
            'crumb2' => 'Exchange Settings',
            'active' => 'settings',
            'userDetails' => $userDetails['body'],
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
            'storageType' => 'GoogleDrive',

            'clientID'=> !empty($result["body"]->{"clientId"}) ? $result["body"]->{"clientId"} : '',
	    'appName' => !empty($result["body"]->{"appName"}) ? $result["body"]->{"appName"} : '',
            'clientRedirectURI'=> !empty($result["body"]->{"clientRedirectURI"}) ? $result["body"]->{"clientRedirectURI"} : '',
            'portalURL'=> !empty($result["body"]->{"portalURL"}) ? $result["body"]->{"portalURL"} : '',
            'clientSecretKey'=> !empty($result["body"]->{"clientSecretKey"}) ? $result["body"]->{"clientSecretKey"} : '',
            'clientResourceURL'=> !empty($result["body"]->{"clientResourceURL"}) ? $result["body"]->{"clientResourceURL"} : '',
            'clientTokenURL'=> !empty($result["body"]->{"clientTokenURL"}) ? $result["body"]->{"clientTokenURL"} : '',
            'configId'=> !empty($result["body"]->{"configId"}) ? $result["body"]->{"configId"} : '',
	    'tenantId'=> !empty($result["body"]->{"tenantId"}) ? $result["body"]->{"tenantId"} : '',
	    'user_principal' => !empty($result["body"]->{"accountId"}) ? $result["body"]->{"accountId"} : '',
	    'tokenMapped' => !empty($result['header']->{'container'}['tokenMapped']) ? $result['header']->{'container'}['tokenMapped'] : 'false',
        );

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/exchangeSettings', $data);
        View::renderTemplate('footer', $data);
    }

    public function writeExchangeSettings(){
     if (!empty($_POST['clientId']) && !empty($_POST['clientSecret']) && !empty($_POST['clientResourceURL']) && !empty($_POST['tenantId']) && !empty($_POST['portalURL'])) {
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token')
            );
            $this->log("TENANTID : ".$_POST['tenantId'],"info");
            $odbDetails = array(
		'appName' => trim($_POST['appName']),
                'clientId' => trim($_POST['clientId']),
                'configId' => trim($_POST['configId']),
                'clientSecretKey' => trim($_POST['clientSecret']),
                'clientRedirectURI' => trim($_POST['clientRedirectURI']),
                'clientResourceURL' => trim($_POST['clientResourceURL']),
                'clientTokenURL' => trim($_POST['clientTokenURL']),
                'tenantId' => trim($_POST['tenantId']),
                'portalURL' => trim($_POST['portalURL'])
            );
            $this->log("POSTtTTTT : ".json_encode($odbDetails),"info");
            $result = $this->_model->saveExchangeDetails($headers, $odbDetails);
            $this->log(json_encode($odbDetails), "info");
            switch ($result['status']) {
                case (200):
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        } else {
            $data = array(
                "post" => $_POST,
                'result' => 'error',
                'msg' => 'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }
	
    public function siemCredentials(){
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => $this->language->get('siemCredentials'),
            'active' => 'settings',
            //'userDetails' => $userDetails['body'],
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
        );
	$headers = array(
            'Content-Type'      => 'application/json',
	    'token'          => $this->session->get('token'),
	    'loggedInUserName' => base64_encode($this->session->get('userName'))
        );
        $result = $this->_model->getSiemCredentials($headers);
	if(!empty($result['body']->{'SIEMCredentialElement'})){
                        //$this->log("cloudName : ".$value,"info");
                        switch($result['body']->{'SIEMCredentialElement'}->{'cloudName'}){
                            case 'azureBlob':
                                $cloudNameInCaps = 'Azure Blob';
                                break;
                            case 'b2':
                                $cloudNameInCaps = 'Backblaze';
                                break;
                            case 'ibmCloud':
                                $cloudNameInCaps = 'IBM Cloud - Swift';
                                break;
                            case 's3':
                                $cloudNameInCaps = 'S3 Compatibles';
                                //$value->cloudNameInCaps = 'IBM Cloud - S3';
                                break;
                            case 'amazon':
                                $cloudNameInCaps = 'Amazon S3 Buckets';
                                break;
                            case 'localStorage':
                                $cloudNameInCaps = 'Local Storage';
                                break;
                            case 'odb':
                                $cloudNameInCaps = 'OneDrive for Business';
                                break;
                            default:
                                $cloudNameInCaps = '';
                                break;
                        }
                        $result['body']->{'SIEMCredentialElement'}->{'cloudNameInCaps'} = $cloudNameInCaps;
        }
        $data['ccSList'] = $result['body']->{'SIEMCredentialElement'};

        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/siemCredentials', $data);
        View::renderTemplate('footer', $data);
    }
	
    public function getAllSiemCredentials(){
        if(empty($_POST)){
            echo json_encode(array(
                    'result' => 'noData',
                    'message' => $this->language->get('noData')
                )
            );
        }
        $ccSList = [];
        $headers = array(
            'Content-Type'      => 'application/json',
	    'token'          => $this->session->get('token'),
	    'loggedInUserName' => base64_encode($this->session->get('userName'))
        );
        $result = $this->_model->getSiemCredentials($headers);
        $this->log("Result : ".json_encode($result),"info");
        switch ($result['status']) {
        case (200):
                if(!empty($result['body']->{'SIEMCredentialElement'})){
			//$this->log("cloudName : ".$value,"info");
                        switch($result['body']->{'SIEMCredentialElement'}->{'cloudName'}){
                            case 'azureBlob':
                                $cloudNameInCaps = 'Azure Blob';
                                break;
                            case 'b2':
                                $cloudNameInCaps = 'Backblaze';
                                break;
                            case 'ibmCloud':
                                $cloudNameInCaps = 'IBM Cloud - Swift';
                                break;
                            case 's3':
                                $cloudNameInCaps = 'S3 Compatibles';
                                //$value->cloudNameInCaps = 'IBM Cloud - S3';
                                break;
                            case 'amazon':
				$cloudNameInCaps = 'Amazon S3 Buckets';
                                break;
                            case 'localStorage':
                                $cloudNameInCaps = 'Local Storage';
                                break;
                            case 'odb':
                                $cloudNameInCaps = 'OneDrive for Business';
                                break;
                            default:
                                $cloudNameInCaps = '';
                                break;
                        }               
			$result['body']->{'SIEMCredentialElement'}->{'cloudNameInCaps'} = $cloudNameInCaps;
                }
                $this->log("SIEMCredentialElement : ".json_encode($result['body']->{'SIEMCredentialElement'}),"info");
                $response = array(
			'result' => 'success',
                        'ccS' => $result['body']->{'SIEMCredentialElement'}
                );
                echo json_encode($response);
                exit;
            case (421):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('421')
                );
                echo json_encode($result);
                exit();
            case (500):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('500')
                );
                echo json_encode($result);
                exit();
            case (0):
                $result = array(
                    'result' => 'fail',
                    'msg' => $this->language->get('0')
                );
                echo json_encode($result);
                exit();
            default:
                $result = array(
                    'result' => 'fail',
                    'code' => $result,
                    'msg' => $this->language->get('default')
                );
                echo json_encode($result);
		exit();
        }
    }
	
    public function saveSiemCredentials(){
        if(!empty($_POST['cloudType'])){
            $data = array(
                'cloudName' => trim($_POST['cloudType']),
                'identity' => ($_POST['cloudType'] == "localStorage") ? "local" : $_POST['identity'],
                'credential' => trim($_POST['accessKey']),
                'containerName' => !empty($_POST['containerName']) ? $_POST['containerName'] : '',
                'endPointUrl' => ($_POST['cloudType'] == "localStorage") ? $_POST['localStorage'] : $_POST['epaUrl'],
                'odbLoginId' => ($_POST['cloudType'] == "odb") ? $_POST['odbLoginId'] : '',
		'msClientId' => trim($_POST['clientId']),
                'msClientSecretKey' => trim($_POST['clientSecret']),
		'msAppName' => trim($_POST['appName']),
		'msTenantId' => trim($_POST['tenantId']),
		'msClientRedirectURI' => trim($_POST['clientRedirectURI']),
		'msClientResourceURL' => trim($_POST['clientResourceURL']),
		'msClientTokenURL' => trim($_POST['clientTokenURL']),
		'portalURL' => trim($_POST['portalURL']),
		//'blobTagName' => $_POST['blobTagName']
            );
            $headers = array(
                'Content-Type'      => 'application/json',
		'token'          => $this->session->get('token'),
		'loggedInUserName' => base64_encode($this->session->get('userName'))
            );
            $result = $this->_model->saveSiemCredentials($headers, $data);
            switch ($result['status']) {
                case (200):
                    $response = array(
                        'result' => 'success',
                        'msg'    => $this->language->get('savedSiemCredentials')
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
		    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
        }else{
            echo json_encode(array(
                    'result' => 'noData',
                    'msg' => $this->language->get('noData')
                )
            );
        }
    }
	
    public function removeSiemCredentials(){
            $headers = array(
                'Content-Type'      => 'application/json',
		'token'             => $this->session->get('token'),
		'loggedInUserName' => base64_encode($this->session->get('userName'))
            );
            $result = $this->_model->removeSiemCredentials($headers, $_POST['id']);
            $this->log("headers: ". json_encode($headers), 'info');
            switch ($result['status']) {
                case (200):

                    $response = array(
                        'result' => 'success',
                        'msg'    => 'Siem Credentials removed'
                    );
                    echo json_encode($response);
                    exit;

                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
		    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }
	
    public function keyManager(){
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => 'Key Manager',
            'active' => 'settings',
            'csrf_token' => $this->setCSRFToken(),
            'loggedInUser' => $this->session->all()
        );
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/keyManager', $data);
        View::renderTemplate('footer', $data);
    }
	
    public function getSitesDiscovery(){
            $headers = array(
                'Content-Type'	=> 'application/json',
                'Accept'	=> 'application/json',
                'token'         => $this->session->get('token')
            );
	    $result = $this->_model->getSitesDiscovery($headers);
	    $resultSh = $this->_model->getSharepointSites($headers);
	    $this->log("usersDataMigration : ".json_encode($result['body']->{'siteElement'}->{'discoveredSites'}),"info");
	    $devices = array();
                    if(!empty($resultSh['body']->{'data'}->{'devices'})){
                        foreach($resultSh['body']->{'data'}->{'devices'} as $value){
                            if($value->{'blocked'} == false && $value->{'decoupled'} == false){
                                $status = 'Active';
                            }else if($value->{'blocked'} == true){
                                $status = 'Blocked';
                            }else if($value->{'blocked'} == false && $value->{'decoupled'} == true){
                                $status = 'Decoupled';
                            }
                            $ciphering = "AES-256-CBC";
                            $iv_length = openssl_cipher_iv_length($ciphering);
                            $options = 0;
                            $encryption_iv = '2007199020071990';
                            $encryption_key = "PORTAL";
                            $encryption = openssl_encrypt($value->{'userName'}, $ciphering,$encryption_key, $options, $encryption_iv);
                            $device = array(
                                'name'          => (string)$value->{'deviceName'},
                                'nameNew'       => str_replace(' ', '_PB_', $value->{'deviceName'}),
                                'userName'      => base64_encode($encryption),
				'userNamePlain' => (string)$value->{'userName'},
				'devPolicyName' => !empty($value->{'devPolicyName'}) ? (string)$value->{'devPolicyName'} : '-',
                                'status'        => $status,
                                'decoupled'     => (string)$value->{'decoupled'},
                                'id'            => (string)$value->{'deviceId'},
                                'uuId'          => (string)$value->{'deviceUUID'},
                                'deviceType' => !empty($value->{'deviceType'}) ? (string)$value->{'deviceType'} : 'Windows',
                                'tempPath'      => (string)$value->{'deviceTempPath'},
                                'blocked'       => $value->{'blocked'},
                                'os' => ((string)$value->{'osType'} == 'OUTLOOK') ? 'envelope' : $this->getOsType($value->{'osType'}),
                                'version'       => (string)$value->{'osType'},
                                'icon' => ((string)$value->{'osType'} == 'OUTLOOK') ? 'envelope' : $this->getOsIcon($value->{'osType'}),
                                'modifiedOn'    => date('d-M-Y H:i:s', (((int)$value->{'lastModifiedTimestamp'}) / 1000)),
                                'createdOn'     => date('d-M-Y H:i:s', (((int)$value->{'deviceCreatedDate'}) / 1000)),
                                'lastSuccessfullBackup' => !empty($value->{'lastSuccessfullBackup'}) ? (string)$value->{'lastSuccessfullBackup'} : '-',
                                'quarantineDevice' => $value->{'quarantineDevice'},
                                'canAdminRestore' => $value->{'canAdminRestore'},
                                'storageUsedByDevice' => !empty($value->{'storageUsedByDevice'}) ? (string)$value->{'storageUsedByDevice'} : 0,
                                'storageValue' => !empty($value->{'storageValue'}) ? $value->{'storageValue'} : 0,
                                'backupStatus' => !empty($value->{'status'}) ? (string)$value->{'status'} : '',
                            );
                            $devices = array_merge(array($device), $devices);
                        }
                    }
            switch ($result['status']) {
                case (200):
                    $response = array(
			'result' => 'success',
			'siteElement' => $result['body']->{'siteElement'},
			'discoveredSites'    => $result['body']->{'siteElement'}->{'discoveredSites'},
			'allDevices' => array_reverse($devices)
                    );
                    echo json_encode($response);
                    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
		case (404):
                    $result = array(
                            'result' => 'fail',
                            'msg' => "No AAD Credentials found"
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
                    exit();
            }
    }

    public function getOsType($deviceType){
        if((strpos($deviceType, 'Wind') === false )){
            if((strpos($deviceType, 'Lin') === false )){
                return 'MAC';
            }else{
                return 'Linux';
            }
        }else{
            return 'Windows';
        }
    }

    public function getOsIcon($deviceType){
      if((strpos($deviceType, 'SHARE') === false )){
        if((strpos($deviceType, 'ONE') === false )){
            if((strpos($deviceType, 'Wind') === false )){
                if((strpos($deviceType, 'Lin') === false )){
                    if(strpos($deviceType, 'Android') === false){
                        $type =  'apple';
                    }else{
                        $type =  'android';
                    }
                }else{
                    $type =  'linux';
                }
            }else{
                $type =  'windows';
            }
        }else{
            $type =  'cloud';
        }
      }else{
        $type =  'sharepoint';
      }
    return $type;
    }

    public function c2cSettings(){
    	$userDetails = $this->_model->getUserDetails(array('token' => $this->session->get('token'), 'loggedInUserName' => base64_encode($this->session->get('userName'))), base64_encode($this->session->get("userName")));
        $headers = array(
            'Content-Type'  => 'application/json',
            'token'         => $this->session->get('token'),
            'c2c-app-setting' => 'true'
        );

        $result = $this->_model->getOneDriveDetails($headers);
        $this->log("RESULTTTT : ".json_encode($result),"info");
        $data = array(
            'title' => $this->language->get('indexPageName'),
            'crumb1' => 'Cloud2Cloud Settings',
            'active' => 'settings',
            'userDetails' => $userDetails['body'],
            'loggedInUser' => $this->session->all(),
            'csrf_token' => $this->setCSRFToken(),
            'storageType' => 'GoogleDrive',
            'clientID'=> !empty($result["body"]->{"clientId"}) ? $result["body"]->{"clientId"} : '',
            'appName' => !empty($result["body"]->{"appName"}) ? $result["body"]->{"appName"} : '',
            'clientRedirectURI'=> !empty($result["body"]->{"clientRedirectURI"}) ? $result["body"]->{"clientRedirectURI"} : '',
            'portalURL'=> !empty($result["body"]->{"portalURL"}) ? $result["body"]->{"portalURL"} : '',
            'clientSecretKey'=> !empty($result["body"]->{"clientSecretKey"}) ? $result["body"]->{"clientSecretKey"} : '',
            'clientResourceURL'=> !empty($result["body"]->{"clientResourceURL"}) ? $result["body"]->{"clientResourceURL"} : '',
            'clientTokenURL'=> !empty($result["body"]->{"clientTokenURL"}) ? $result["body"]->{"clientTokenURL"} : '',
            'configId'=> !empty($result["body"]->{"configId"}) ? $result["body"]->{"configId"} : '',
            'tenantId'=> !empty($result["body"]->{"tenantId"}) ? $result["body"]->{"tenantId"} : '',
            'user_principal' => !empty($result["body"]->{"accountId"}) ? $result["body"]->{"accountId"} : '',
            'tokenMapped' => !empty($result['header']->{'container'}['tokenMapped']) ? $result['header']->{'container'}['tokenMapped'] : 'false',
        );
	if(($this->session->get('userType') == 'delegatedAdmin' && $this->session->get('MSP_Environment_Enabled') == 'true') || ($this->session->get('userType') == 'user' && $this->session->get('MSP_Environment_Enabled') == 'true')){
                Url::redirect('404');
        }
        View::renderTemplate('header', $data);
        View::renderTemplate('navigation', $data);
        View::render('settings/c2cCredentials', $data);
        View::renderTemplate('footer', $data);
    }

    public function writeC2CSettings(){
	    if (!empty($_POST['clientId']) && !empty($_POST['clientSecret']) && !empty($_POST['clientResourceURL']) && !empty($_POST['tenantId']) && !empty($_POST['portalURL'])) {
            $headers = array(
                'Content-Type'  => 'application/json',
                'token'         => $this->session->get('token'),
                'c2c-app-setting' => 'true'
            );
            $this->log("TENANTID : ".$_POST['tenantId'],"info");
            $odbDetails = array(
                'appName' => trim($_POST['appName']),
                'clientId' => trim($_POST['clientId']),
                'configId' => trim($_POST['configId']),
                'clientSecretKey' => trim($_POST['clientSecret']),
                'clientRedirectURI' => trim($_POST['clientRedirectURI']),
                'clientResourceURL' => trim($_POST['clientResourceURL']),
                'clientTokenURL' => trim($_POST['clientTokenURL']),
                'tenantId' => trim($_POST['tenantId']),
                'portalURL' => trim($_POST['portalURL'])
            );
            $this->log("POSTtTTTT : ".json_encode($odbDetails),"info");
            $result = $this->_model->saveOneDriveDetails($headers, $odbDetails);
            $this->log(json_encode($odbDetails), "info");
            switch ($result['status']) {
                case (200):
                    $data = array(
                        'result' => 'success',
                        'msg' => 'Details has been successfully saved'
                    );
                    echo json_encode($data);
		    exit;
                case (421):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('421')
                    );
                    echo json_encode($result);
                    exit();
                case (500):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('500')
                    );
                    echo json_encode($result);
                    exit();
                case (0):
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('0')
                    );
                    echo json_encode($result);
                    exit();
                default:
                    $result = array(
                        'result' => 'fail',
                        'msg' => $this->language->get('default')
                    );
                    echo json_encode($result);
		    exit();
            }
        } else {
            $data = array(
                "post" => $_POST,
                'result' => 'error',
                'msg' => 'None of the field listed should be empty'
            );
            echo json_encode($data);
        }
    }

}
